# kubernetes

Kubernetes - JavaScript client for kubernetes
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1.30.0
- Package version: v1.30.0
- Generator version: 7.8.0
- Build package: org.openapitools.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/), please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install kubernetes --save
```

Finally, you need to build the module:

```shell
npm run build
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

To use the link you just defined in your project, switch to the directory you want to use your kubernetes from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

Finally, you need to build the module:

```shell
npm run build
```

#### git

If the library is hosted at a git repository, e.g.https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Kubernetes = require('kubernetes');

var defaultClient = Kubernetes.ApiClient.instance;
// Configure API key authorization: BearerToken
var BearerToken = defaultClient.authentications['BearerToken'];
BearerToken.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//BearerToken.apiKeyPrefix['authorization'] = "Token"

var api = new Kubernetes.AdmissionregistrationApi()
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.getAdmissionregistrationAPIGroup(callback);

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Kubernetes.AdmissionregistrationApi* | [**getAdmissionregistrationAPIGroup**](docs/AdmissionregistrationApi.md#getAdmissionregistrationAPIGroup) | **GET** /apis/admissionregistration.k8s.io/ | 
*Kubernetes.AdmissionregistrationV1Api* | [**createAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#createAdmissionregistrationV1MutatingWebhookConfiguration) | **POST** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**createAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#createAdmissionregistrationV1ValidatingAdmissionPolicy) | **POST** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies | 
*Kubernetes.AdmissionregistrationV1Api* | [**createAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#createAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **POST** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings | 
*Kubernetes.AdmissionregistrationV1Api* | [**createAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#createAdmissionregistrationV1ValidatingWebhookConfiguration) | **POST** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1CollectionMutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1CollectionMutatingWebhookConfiguration) | **DELETE** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1CollectionValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1CollectionValidatingAdmissionPolicy) | **DELETE** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1CollectionValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1CollectionValidatingAdmissionPolicyBinding) | **DELETE** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1CollectionValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1CollectionValidatingWebhookConfiguration) | **DELETE** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1MutatingWebhookConfiguration) | **DELETE** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1ValidatingAdmissionPolicy) | **DELETE** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **DELETE** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**deleteAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#deleteAdmissionregistrationV1ValidatingWebhookConfiguration) | **DELETE** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**getAdmissionregistrationV1APIResources**](docs/AdmissionregistrationV1Api.md#getAdmissionregistrationV1APIResources) | **GET** /apis/admissionregistration.k8s.io/v1/ | 
*Kubernetes.AdmissionregistrationV1Api* | [**listAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#listAdmissionregistrationV1MutatingWebhookConfiguration) | **GET** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**listAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#listAdmissionregistrationV1ValidatingAdmissionPolicy) | **GET** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies | 
*Kubernetes.AdmissionregistrationV1Api* | [**listAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#listAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **GET** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings | 
*Kubernetes.AdmissionregistrationV1Api* | [**listAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#listAdmissionregistrationV1ValidatingWebhookConfiguration) | **GET** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**patchAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#patchAdmissionregistrationV1MutatingWebhookConfiguration) | **PATCH** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**patchAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#patchAdmissionregistrationV1ValidatingAdmissionPolicy) | **PATCH** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**patchAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#patchAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **PATCH** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**patchAdmissionregistrationV1ValidatingAdmissionPolicyStatus**](docs/AdmissionregistrationV1Api.md#patchAdmissionregistrationV1ValidatingAdmissionPolicyStatus) | **PATCH** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name}/status | 
*Kubernetes.AdmissionregistrationV1Api* | [**patchAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#patchAdmissionregistrationV1ValidatingWebhookConfiguration) | **PATCH** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**readAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#readAdmissionregistrationV1MutatingWebhookConfiguration) | **GET** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**readAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#readAdmissionregistrationV1ValidatingAdmissionPolicy) | **GET** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**readAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#readAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **GET** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**readAdmissionregistrationV1ValidatingAdmissionPolicyStatus**](docs/AdmissionregistrationV1Api.md#readAdmissionregistrationV1ValidatingAdmissionPolicyStatus) | **GET** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name}/status | 
*Kubernetes.AdmissionregistrationV1Api* | [**readAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#readAdmissionregistrationV1ValidatingWebhookConfiguration) | **GET** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**replaceAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#replaceAdmissionregistrationV1MutatingWebhookConfiguration) | **PUT** /apis/admissionregistration.k8s.io/v1/mutatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**replaceAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#replaceAdmissionregistrationV1ValidatingAdmissionPolicy) | **PUT** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**replaceAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#replaceAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **PUT** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicybindings/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**replaceAdmissionregistrationV1ValidatingAdmissionPolicyStatus**](docs/AdmissionregistrationV1Api.md#replaceAdmissionregistrationV1ValidatingAdmissionPolicyStatus) | **PUT** /apis/admissionregistration.k8s.io/v1/validatingadmissionpolicies/{name}/status | 
*Kubernetes.AdmissionregistrationV1Api* | [**replaceAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#replaceAdmissionregistrationV1ValidatingWebhookConfiguration) | **PUT** /apis/admissionregistration.k8s.io/v1/validatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1MutatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1MutatingWebhookConfiguration) | **GET** /apis/admissionregistration.k8s.io/v1/watch/mutatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1MutatingWebhookConfigurationList**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1MutatingWebhookConfigurationList) | **GET** /apis/admissionregistration.k8s.io/v1/watch/mutatingwebhookconfigurations | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1ValidatingAdmissionPolicy**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1ValidatingAdmissionPolicy) | **GET** /apis/admissionregistration.k8s.io/v1/watch/validatingadmissionpolicies/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1ValidatingAdmissionPolicyBinding**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1ValidatingAdmissionPolicyBinding) | **GET** /apis/admissionregistration.k8s.io/v1/watch/validatingadmissionpolicybindings/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1ValidatingAdmissionPolicyBindingList**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1ValidatingAdmissionPolicyBindingList) | **GET** /apis/admissionregistration.k8s.io/v1/watch/validatingadmissionpolicybindings | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1ValidatingAdmissionPolicyList**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1ValidatingAdmissionPolicyList) | **GET** /apis/admissionregistration.k8s.io/v1/watch/validatingadmissionpolicies | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1ValidatingWebhookConfiguration**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1ValidatingWebhookConfiguration) | **GET** /apis/admissionregistration.k8s.io/v1/watch/validatingwebhookconfigurations/{name} | 
*Kubernetes.AdmissionregistrationV1Api* | [**watchAdmissionregistrationV1ValidatingWebhookConfigurationList**](docs/AdmissionregistrationV1Api.md#watchAdmissionregistrationV1ValidatingWebhookConfigurationList) | **GET** /apis/admissionregistration.k8s.io/v1/watch/validatingwebhookconfigurations | 
*Kubernetes.ApiextensionsApi* | [**getApiextensionsAPIGroup**](docs/ApiextensionsApi.md#getApiextensionsAPIGroup) | **GET** /apis/apiextensions.k8s.io/ | 
*Kubernetes.ApiextensionsV1Api* | [**createApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#createApiextensionsV1CustomResourceDefinition) | **POST** /apis/apiextensions.k8s.io/v1/customresourcedefinitions | 
*Kubernetes.ApiextensionsV1Api* | [**deleteApiextensionsV1CollectionCustomResourceDefinition**](docs/ApiextensionsV1Api.md#deleteApiextensionsV1CollectionCustomResourceDefinition) | **DELETE** /apis/apiextensions.k8s.io/v1/customresourcedefinitions | 
*Kubernetes.ApiextensionsV1Api* | [**deleteApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#deleteApiextensionsV1CustomResourceDefinition) | **DELETE** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name} | 
*Kubernetes.ApiextensionsV1Api* | [**getApiextensionsV1APIResources**](docs/ApiextensionsV1Api.md#getApiextensionsV1APIResources) | **GET** /apis/apiextensions.k8s.io/v1/ | 
*Kubernetes.ApiextensionsV1Api* | [**listApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#listApiextensionsV1CustomResourceDefinition) | **GET** /apis/apiextensions.k8s.io/v1/customresourcedefinitions | 
*Kubernetes.ApiextensionsV1Api* | [**patchApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#patchApiextensionsV1CustomResourceDefinition) | **PATCH** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name} | 
*Kubernetes.ApiextensionsV1Api* | [**patchApiextensionsV1CustomResourceDefinitionStatus**](docs/ApiextensionsV1Api.md#patchApiextensionsV1CustomResourceDefinitionStatus) | **PATCH** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name}/status | 
*Kubernetes.ApiextensionsV1Api* | [**readApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#readApiextensionsV1CustomResourceDefinition) | **GET** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name} | 
*Kubernetes.ApiextensionsV1Api* | [**readApiextensionsV1CustomResourceDefinitionStatus**](docs/ApiextensionsV1Api.md#readApiextensionsV1CustomResourceDefinitionStatus) | **GET** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name}/status | 
*Kubernetes.ApiextensionsV1Api* | [**replaceApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#replaceApiextensionsV1CustomResourceDefinition) | **PUT** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name} | 
*Kubernetes.ApiextensionsV1Api* | [**replaceApiextensionsV1CustomResourceDefinitionStatus**](docs/ApiextensionsV1Api.md#replaceApiextensionsV1CustomResourceDefinitionStatus) | **PUT** /apis/apiextensions.k8s.io/v1/customresourcedefinitions/{name}/status | 
*Kubernetes.ApiextensionsV1Api* | [**watchApiextensionsV1CustomResourceDefinition**](docs/ApiextensionsV1Api.md#watchApiextensionsV1CustomResourceDefinition) | **GET** /apis/apiextensions.k8s.io/v1/watch/customresourcedefinitions/{name} | 
*Kubernetes.ApiextensionsV1Api* | [**watchApiextensionsV1CustomResourceDefinitionList**](docs/ApiextensionsV1Api.md#watchApiextensionsV1CustomResourceDefinitionList) | **GET** /apis/apiextensions.k8s.io/v1/watch/customresourcedefinitions | 
*Kubernetes.ApiregistrationApi* | [**getApiregistrationAPIGroup**](docs/ApiregistrationApi.md#getApiregistrationAPIGroup) | **GET** /apis/apiregistration.k8s.io/ | 
*Kubernetes.ApiregistrationV1Api* | [**createApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#createApiregistrationV1APIService) | **POST** /apis/apiregistration.k8s.io/v1/apiservices | 
*Kubernetes.ApiregistrationV1Api* | [**deleteApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#deleteApiregistrationV1APIService) | **DELETE** /apis/apiregistration.k8s.io/v1/apiservices/{name} | 
*Kubernetes.ApiregistrationV1Api* | [**deleteApiregistrationV1CollectionAPIService**](docs/ApiregistrationV1Api.md#deleteApiregistrationV1CollectionAPIService) | **DELETE** /apis/apiregistration.k8s.io/v1/apiservices | 
*Kubernetes.ApiregistrationV1Api* | [**getApiregistrationV1APIResources**](docs/ApiregistrationV1Api.md#getApiregistrationV1APIResources) | **GET** /apis/apiregistration.k8s.io/v1/ | 
*Kubernetes.ApiregistrationV1Api* | [**listApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#listApiregistrationV1APIService) | **GET** /apis/apiregistration.k8s.io/v1/apiservices | 
*Kubernetes.ApiregistrationV1Api* | [**patchApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#patchApiregistrationV1APIService) | **PATCH** /apis/apiregistration.k8s.io/v1/apiservices/{name} | 
*Kubernetes.ApiregistrationV1Api* | [**patchApiregistrationV1APIServiceStatus**](docs/ApiregistrationV1Api.md#patchApiregistrationV1APIServiceStatus) | **PATCH** /apis/apiregistration.k8s.io/v1/apiservices/{name}/status | 
*Kubernetes.ApiregistrationV1Api* | [**readApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#readApiregistrationV1APIService) | **GET** /apis/apiregistration.k8s.io/v1/apiservices/{name} | 
*Kubernetes.ApiregistrationV1Api* | [**readApiregistrationV1APIServiceStatus**](docs/ApiregistrationV1Api.md#readApiregistrationV1APIServiceStatus) | **GET** /apis/apiregistration.k8s.io/v1/apiservices/{name}/status | 
*Kubernetes.ApiregistrationV1Api* | [**replaceApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#replaceApiregistrationV1APIService) | **PUT** /apis/apiregistration.k8s.io/v1/apiservices/{name} | 
*Kubernetes.ApiregistrationV1Api* | [**replaceApiregistrationV1APIServiceStatus**](docs/ApiregistrationV1Api.md#replaceApiregistrationV1APIServiceStatus) | **PUT** /apis/apiregistration.k8s.io/v1/apiservices/{name}/status | 
*Kubernetes.ApiregistrationV1Api* | [**watchApiregistrationV1APIService**](docs/ApiregistrationV1Api.md#watchApiregistrationV1APIService) | **GET** /apis/apiregistration.k8s.io/v1/watch/apiservices/{name} | 
*Kubernetes.ApiregistrationV1Api* | [**watchApiregistrationV1APIServiceList**](docs/ApiregistrationV1Api.md#watchApiregistrationV1APIServiceList) | **GET** /apis/apiregistration.k8s.io/v1/watch/apiservices | 
*Kubernetes.ApisApi* | [**getAPIVersions**](docs/ApisApi.md#getAPIVersions) | **GET** /apis/ | 
*Kubernetes.AppsApi* | [**getAppsAPIGroup**](docs/AppsApi.md#getAppsAPIGroup) | **GET** /apis/apps/ | 
*Kubernetes.AppsV1Api* | [**createAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#createAppsV1NamespacedControllerRevision) | **POST** /apis/apps/v1/namespaces/{namespace}/controllerrevisions | 
*Kubernetes.AppsV1Api* | [**createAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#createAppsV1NamespacedDaemonSet) | **POST** /apis/apps/v1/namespaces/{namespace}/daemonsets | 
*Kubernetes.AppsV1Api* | [**createAppsV1NamespacedDeployment**](docs/AppsV1Api.md#createAppsV1NamespacedDeployment) | **POST** /apis/apps/v1/namespaces/{namespace}/deployments | 
*Kubernetes.AppsV1Api* | [**createAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#createAppsV1NamespacedReplicaSet) | **POST** /apis/apps/v1/namespaces/{namespace}/replicasets | 
*Kubernetes.AppsV1Api* | [**createAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#createAppsV1NamespacedStatefulSet) | **POST** /apis/apps/v1/namespaces/{namespace}/statefulsets | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1CollectionNamespacedControllerRevision**](docs/AppsV1Api.md#deleteAppsV1CollectionNamespacedControllerRevision) | **DELETE** /apis/apps/v1/namespaces/{namespace}/controllerrevisions | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1CollectionNamespacedDaemonSet**](docs/AppsV1Api.md#deleteAppsV1CollectionNamespacedDaemonSet) | **DELETE** /apis/apps/v1/namespaces/{namespace}/daemonsets | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1CollectionNamespacedDeployment**](docs/AppsV1Api.md#deleteAppsV1CollectionNamespacedDeployment) | **DELETE** /apis/apps/v1/namespaces/{namespace}/deployments | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1CollectionNamespacedReplicaSet**](docs/AppsV1Api.md#deleteAppsV1CollectionNamespacedReplicaSet) | **DELETE** /apis/apps/v1/namespaces/{namespace}/replicasets | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1CollectionNamespacedStatefulSet**](docs/AppsV1Api.md#deleteAppsV1CollectionNamespacedStatefulSet) | **DELETE** /apis/apps/v1/namespaces/{namespace}/statefulsets | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#deleteAppsV1NamespacedControllerRevision) | **DELETE** /apis/apps/v1/namespaces/{namespace}/controllerrevisions/{name} | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#deleteAppsV1NamespacedDaemonSet) | **DELETE** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name} | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1NamespacedDeployment**](docs/AppsV1Api.md#deleteAppsV1NamespacedDeployment) | **DELETE** /apis/apps/v1/namespaces/{namespace}/deployments/{name} | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#deleteAppsV1NamespacedReplicaSet) | **DELETE** /apis/apps/v1/namespaces/{namespace}/replicasets/{name} | 
*Kubernetes.AppsV1Api* | [**deleteAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#deleteAppsV1NamespacedStatefulSet) | **DELETE** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name} | 
*Kubernetes.AppsV1Api* | [**getAppsV1APIResources**](docs/AppsV1Api.md#getAppsV1APIResources) | **GET** /apis/apps/v1/ | 
*Kubernetes.AppsV1Api* | [**listAppsV1ControllerRevisionForAllNamespaces**](docs/AppsV1Api.md#listAppsV1ControllerRevisionForAllNamespaces) | **GET** /apis/apps/v1/controllerrevisions | 
*Kubernetes.AppsV1Api* | [**listAppsV1DaemonSetForAllNamespaces**](docs/AppsV1Api.md#listAppsV1DaemonSetForAllNamespaces) | **GET** /apis/apps/v1/daemonsets | 
*Kubernetes.AppsV1Api* | [**listAppsV1DeploymentForAllNamespaces**](docs/AppsV1Api.md#listAppsV1DeploymentForAllNamespaces) | **GET** /apis/apps/v1/deployments | 
*Kubernetes.AppsV1Api* | [**listAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#listAppsV1NamespacedControllerRevision) | **GET** /apis/apps/v1/namespaces/{namespace}/controllerrevisions | 
*Kubernetes.AppsV1Api* | [**listAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#listAppsV1NamespacedDaemonSet) | **GET** /apis/apps/v1/namespaces/{namespace}/daemonsets | 
*Kubernetes.AppsV1Api* | [**listAppsV1NamespacedDeployment**](docs/AppsV1Api.md#listAppsV1NamespacedDeployment) | **GET** /apis/apps/v1/namespaces/{namespace}/deployments | 
*Kubernetes.AppsV1Api* | [**listAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#listAppsV1NamespacedReplicaSet) | **GET** /apis/apps/v1/namespaces/{namespace}/replicasets | 
*Kubernetes.AppsV1Api* | [**listAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#listAppsV1NamespacedStatefulSet) | **GET** /apis/apps/v1/namespaces/{namespace}/statefulsets | 
*Kubernetes.AppsV1Api* | [**listAppsV1ReplicaSetForAllNamespaces**](docs/AppsV1Api.md#listAppsV1ReplicaSetForAllNamespaces) | **GET** /apis/apps/v1/replicasets | 
*Kubernetes.AppsV1Api* | [**listAppsV1StatefulSetForAllNamespaces**](docs/AppsV1Api.md#listAppsV1StatefulSetForAllNamespaces) | **GET** /apis/apps/v1/statefulsets | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#patchAppsV1NamespacedControllerRevision) | **PATCH** /apis/apps/v1/namespaces/{namespace}/controllerrevisions/{name} | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#patchAppsV1NamespacedDaemonSet) | **PATCH** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name} | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedDaemonSetStatus**](docs/AppsV1Api.md#patchAppsV1NamespacedDaemonSetStatus) | **PATCH** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name}/status | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedDeployment**](docs/AppsV1Api.md#patchAppsV1NamespacedDeployment) | **PATCH** /apis/apps/v1/namespaces/{namespace}/deployments/{name} | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedDeploymentScale**](docs/AppsV1Api.md#patchAppsV1NamespacedDeploymentScale) | **PATCH** /apis/apps/v1/namespaces/{namespace}/deployments/{name}/scale | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedDeploymentStatus**](docs/AppsV1Api.md#patchAppsV1NamespacedDeploymentStatus) | **PATCH** /apis/apps/v1/namespaces/{namespace}/deployments/{name}/status | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#patchAppsV1NamespacedReplicaSet) | **PATCH** /apis/apps/v1/namespaces/{namespace}/replicasets/{name} | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedReplicaSetScale**](docs/AppsV1Api.md#patchAppsV1NamespacedReplicaSetScale) | **PATCH** /apis/apps/v1/namespaces/{namespace}/replicasets/{name}/scale | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedReplicaSetStatus**](docs/AppsV1Api.md#patchAppsV1NamespacedReplicaSetStatus) | **PATCH** /apis/apps/v1/namespaces/{namespace}/replicasets/{name}/status | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#patchAppsV1NamespacedStatefulSet) | **PATCH** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name} | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedStatefulSetScale**](docs/AppsV1Api.md#patchAppsV1NamespacedStatefulSetScale) | **PATCH** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name}/scale | 
*Kubernetes.AppsV1Api* | [**patchAppsV1NamespacedStatefulSetStatus**](docs/AppsV1Api.md#patchAppsV1NamespacedStatefulSetStatus) | **PATCH** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name}/status | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#readAppsV1NamespacedControllerRevision) | **GET** /apis/apps/v1/namespaces/{namespace}/controllerrevisions/{name} | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#readAppsV1NamespacedDaemonSet) | **GET** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name} | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedDaemonSetStatus**](docs/AppsV1Api.md#readAppsV1NamespacedDaemonSetStatus) | **GET** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name}/status | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedDeployment**](docs/AppsV1Api.md#readAppsV1NamespacedDeployment) | **GET** /apis/apps/v1/namespaces/{namespace}/deployments/{name} | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedDeploymentScale**](docs/AppsV1Api.md#readAppsV1NamespacedDeploymentScale) | **GET** /apis/apps/v1/namespaces/{namespace}/deployments/{name}/scale | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedDeploymentStatus**](docs/AppsV1Api.md#readAppsV1NamespacedDeploymentStatus) | **GET** /apis/apps/v1/namespaces/{namespace}/deployments/{name}/status | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#readAppsV1NamespacedReplicaSet) | **GET** /apis/apps/v1/namespaces/{namespace}/replicasets/{name} | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedReplicaSetScale**](docs/AppsV1Api.md#readAppsV1NamespacedReplicaSetScale) | **GET** /apis/apps/v1/namespaces/{namespace}/replicasets/{name}/scale | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedReplicaSetStatus**](docs/AppsV1Api.md#readAppsV1NamespacedReplicaSetStatus) | **GET** /apis/apps/v1/namespaces/{namespace}/replicasets/{name}/status | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#readAppsV1NamespacedStatefulSet) | **GET** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name} | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedStatefulSetScale**](docs/AppsV1Api.md#readAppsV1NamespacedStatefulSetScale) | **GET** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name}/scale | 
*Kubernetes.AppsV1Api* | [**readAppsV1NamespacedStatefulSetStatus**](docs/AppsV1Api.md#readAppsV1NamespacedStatefulSetStatus) | **GET** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name}/status | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#replaceAppsV1NamespacedControllerRevision) | **PUT** /apis/apps/v1/namespaces/{namespace}/controllerrevisions/{name} | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#replaceAppsV1NamespacedDaemonSet) | **PUT** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name} | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedDaemonSetStatus**](docs/AppsV1Api.md#replaceAppsV1NamespacedDaemonSetStatus) | **PUT** /apis/apps/v1/namespaces/{namespace}/daemonsets/{name}/status | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedDeployment**](docs/AppsV1Api.md#replaceAppsV1NamespacedDeployment) | **PUT** /apis/apps/v1/namespaces/{namespace}/deployments/{name} | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedDeploymentScale**](docs/AppsV1Api.md#replaceAppsV1NamespacedDeploymentScale) | **PUT** /apis/apps/v1/namespaces/{namespace}/deployments/{name}/scale | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedDeploymentStatus**](docs/AppsV1Api.md#replaceAppsV1NamespacedDeploymentStatus) | **PUT** /apis/apps/v1/namespaces/{namespace}/deployments/{name}/status | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#replaceAppsV1NamespacedReplicaSet) | **PUT** /apis/apps/v1/namespaces/{namespace}/replicasets/{name} | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedReplicaSetScale**](docs/AppsV1Api.md#replaceAppsV1NamespacedReplicaSetScale) | **PUT** /apis/apps/v1/namespaces/{namespace}/replicasets/{name}/scale | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedReplicaSetStatus**](docs/AppsV1Api.md#replaceAppsV1NamespacedReplicaSetStatus) | **PUT** /apis/apps/v1/namespaces/{namespace}/replicasets/{name}/status | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#replaceAppsV1NamespacedStatefulSet) | **PUT** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name} | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedStatefulSetScale**](docs/AppsV1Api.md#replaceAppsV1NamespacedStatefulSetScale) | **PUT** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name}/scale | 
*Kubernetes.AppsV1Api* | [**replaceAppsV1NamespacedStatefulSetStatus**](docs/AppsV1Api.md#replaceAppsV1NamespacedStatefulSetStatus) | **PUT** /apis/apps/v1/namespaces/{namespace}/statefulsets/{name}/status | 
*Kubernetes.AppsV1Api* | [**watchAppsV1ControllerRevisionListForAllNamespaces**](docs/AppsV1Api.md#watchAppsV1ControllerRevisionListForAllNamespaces) | **GET** /apis/apps/v1/watch/controllerrevisions | 
*Kubernetes.AppsV1Api* | [**watchAppsV1DaemonSetListForAllNamespaces**](docs/AppsV1Api.md#watchAppsV1DaemonSetListForAllNamespaces) | **GET** /apis/apps/v1/watch/daemonsets | 
*Kubernetes.AppsV1Api* | [**watchAppsV1DeploymentListForAllNamespaces**](docs/AppsV1Api.md#watchAppsV1DeploymentListForAllNamespaces) | **GET** /apis/apps/v1/watch/deployments | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedControllerRevision**](docs/AppsV1Api.md#watchAppsV1NamespacedControllerRevision) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/controllerrevisions/{name} | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedControllerRevisionList**](docs/AppsV1Api.md#watchAppsV1NamespacedControllerRevisionList) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/controllerrevisions | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedDaemonSet**](docs/AppsV1Api.md#watchAppsV1NamespacedDaemonSet) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/daemonsets/{name} | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedDaemonSetList**](docs/AppsV1Api.md#watchAppsV1NamespacedDaemonSetList) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/daemonsets | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedDeployment**](docs/AppsV1Api.md#watchAppsV1NamespacedDeployment) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/deployments/{name} | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedDeploymentList**](docs/AppsV1Api.md#watchAppsV1NamespacedDeploymentList) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/deployments | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedReplicaSet**](docs/AppsV1Api.md#watchAppsV1NamespacedReplicaSet) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/replicasets/{name} | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedReplicaSetList**](docs/AppsV1Api.md#watchAppsV1NamespacedReplicaSetList) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/replicasets | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedStatefulSet**](docs/AppsV1Api.md#watchAppsV1NamespacedStatefulSet) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/statefulsets/{name} | 
*Kubernetes.AppsV1Api* | [**watchAppsV1NamespacedStatefulSetList**](docs/AppsV1Api.md#watchAppsV1NamespacedStatefulSetList) | **GET** /apis/apps/v1/watch/namespaces/{namespace}/statefulsets | 
*Kubernetes.AppsV1Api* | [**watchAppsV1ReplicaSetListForAllNamespaces**](docs/AppsV1Api.md#watchAppsV1ReplicaSetListForAllNamespaces) | **GET** /apis/apps/v1/watch/replicasets | 
*Kubernetes.AppsV1Api* | [**watchAppsV1StatefulSetListForAllNamespaces**](docs/AppsV1Api.md#watchAppsV1StatefulSetListForAllNamespaces) | **GET** /apis/apps/v1/watch/statefulsets | 
*Kubernetes.AuthenticationApi* | [**getAuthenticationAPIGroup**](docs/AuthenticationApi.md#getAuthenticationAPIGroup) | **GET** /apis/authentication.k8s.io/ | 
*Kubernetes.AuthenticationV1Api* | [**createAuthenticationV1SelfSubjectReview**](docs/AuthenticationV1Api.md#createAuthenticationV1SelfSubjectReview) | **POST** /apis/authentication.k8s.io/v1/selfsubjectreviews | 
*Kubernetes.AuthenticationV1Api* | [**createAuthenticationV1TokenReview**](docs/AuthenticationV1Api.md#createAuthenticationV1TokenReview) | **POST** /apis/authentication.k8s.io/v1/tokenreviews | 
*Kubernetes.AuthenticationV1Api* | [**getAuthenticationV1APIResources**](docs/AuthenticationV1Api.md#getAuthenticationV1APIResources) | **GET** /apis/authentication.k8s.io/v1/ | 
*Kubernetes.AuthorizationApi* | [**getAuthorizationAPIGroup**](docs/AuthorizationApi.md#getAuthorizationAPIGroup) | **GET** /apis/authorization.k8s.io/ | 
*Kubernetes.AuthorizationV1Api* | [**createAuthorizationV1NamespacedLocalSubjectAccessReview**](docs/AuthorizationV1Api.md#createAuthorizationV1NamespacedLocalSubjectAccessReview) | **POST** /apis/authorization.k8s.io/v1/namespaces/{namespace}/localsubjectaccessreviews | 
*Kubernetes.AuthorizationV1Api* | [**createAuthorizationV1SelfSubjectAccessReview**](docs/AuthorizationV1Api.md#createAuthorizationV1SelfSubjectAccessReview) | **POST** /apis/authorization.k8s.io/v1/selfsubjectaccessreviews | 
*Kubernetes.AuthorizationV1Api* | [**createAuthorizationV1SelfSubjectRulesReview**](docs/AuthorizationV1Api.md#createAuthorizationV1SelfSubjectRulesReview) | **POST** /apis/authorization.k8s.io/v1/selfsubjectrulesreviews | 
*Kubernetes.AuthorizationV1Api* | [**createAuthorizationV1SubjectAccessReview**](docs/AuthorizationV1Api.md#createAuthorizationV1SubjectAccessReview) | **POST** /apis/authorization.k8s.io/v1/subjectaccessreviews | 
*Kubernetes.AuthorizationV1Api* | [**getAuthorizationV1APIResources**](docs/AuthorizationV1Api.md#getAuthorizationV1APIResources) | **GET** /apis/authorization.k8s.io/v1/ | 
*Kubernetes.AutoscalingApi* | [**getAutoscalingAPIGroup**](docs/AutoscalingApi.md#getAutoscalingAPIGroup) | **GET** /apis/autoscaling/ | 
*Kubernetes.AutoscalingV1Api* | [**createAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#createAutoscalingV1NamespacedHorizontalPodAutoscaler) | **POST** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV1Api* | [**deleteAutoscalingV1CollectionNamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#deleteAutoscalingV1CollectionNamespacedHorizontalPodAutoscaler) | **DELETE** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV1Api* | [**deleteAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#deleteAutoscalingV1NamespacedHorizontalPodAutoscaler) | **DELETE** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV1Api* | [**getAutoscalingV1APIResources**](docs/AutoscalingV1Api.md#getAutoscalingV1APIResources) | **GET** /apis/autoscaling/v1/ | 
*Kubernetes.AutoscalingV1Api* | [**listAutoscalingV1HorizontalPodAutoscalerForAllNamespaces**](docs/AutoscalingV1Api.md#listAutoscalingV1HorizontalPodAutoscalerForAllNamespaces) | **GET** /apis/autoscaling/v1/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV1Api* | [**listAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#listAutoscalingV1NamespacedHorizontalPodAutoscaler) | **GET** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV1Api* | [**patchAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#patchAutoscalingV1NamespacedHorizontalPodAutoscaler) | **PATCH** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV1Api* | [**patchAutoscalingV1NamespacedHorizontalPodAutoscalerStatus**](docs/AutoscalingV1Api.md#patchAutoscalingV1NamespacedHorizontalPodAutoscalerStatus) | **PATCH** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name}/status | 
*Kubernetes.AutoscalingV1Api* | [**readAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#readAutoscalingV1NamespacedHorizontalPodAutoscaler) | **GET** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV1Api* | [**readAutoscalingV1NamespacedHorizontalPodAutoscalerStatus**](docs/AutoscalingV1Api.md#readAutoscalingV1NamespacedHorizontalPodAutoscalerStatus) | **GET** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name}/status | 
*Kubernetes.AutoscalingV1Api* | [**replaceAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#replaceAutoscalingV1NamespacedHorizontalPodAutoscaler) | **PUT** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV1Api* | [**replaceAutoscalingV1NamespacedHorizontalPodAutoscalerStatus**](docs/AutoscalingV1Api.md#replaceAutoscalingV1NamespacedHorizontalPodAutoscalerStatus) | **PUT** /apis/autoscaling/v1/namespaces/{namespace}/horizontalpodautoscalers/{name}/status | 
*Kubernetes.AutoscalingV1Api* | [**watchAutoscalingV1HorizontalPodAutoscalerListForAllNamespaces**](docs/AutoscalingV1Api.md#watchAutoscalingV1HorizontalPodAutoscalerListForAllNamespaces) | **GET** /apis/autoscaling/v1/watch/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV1Api* | [**watchAutoscalingV1NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV1Api.md#watchAutoscalingV1NamespacedHorizontalPodAutoscaler) | **GET** /apis/autoscaling/v1/watch/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV1Api* | [**watchAutoscalingV1NamespacedHorizontalPodAutoscalerList**](docs/AutoscalingV1Api.md#watchAutoscalingV1NamespacedHorizontalPodAutoscalerList) | **GET** /apis/autoscaling/v1/watch/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV2Api* | [**createAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#createAutoscalingV2NamespacedHorizontalPodAutoscaler) | **POST** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV2Api* | [**deleteAutoscalingV2CollectionNamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#deleteAutoscalingV2CollectionNamespacedHorizontalPodAutoscaler) | **DELETE** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV2Api* | [**deleteAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#deleteAutoscalingV2NamespacedHorizontalPodAutoscaler) | **DELETE** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV2Api* | [**getAutoscalingV2APIResources**](docs/AutoscalingV2Api.md#getAutoscalingV2APIResources) | **GET** /apis/autoscaling/v2/ | 
*Kubernetes.AutoscalingV2Api* | [**listAutoscalingV2HorizontalPodAutoscalerForAllNamespaces**](docs/AutoscalingV2Api.md#listAutoscalingV2HorizontalPodAutoscalerForAllNamespaces) | **GET** /apis/autoscaling/v2/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV2Api* | [**listAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#listAutoscalingV2NamespacedHorizontalPodAutoscaler) | **GET** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV2Api* | [**patchAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#patchAutoscalingV2NamespacedHorizontalPodAutoscaler) | **PATCH** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV2Api* | [**patchAutoscalingV2NamespacedHorizontalPodAutoscalerStatus**](docs/AutoscalingV2Api.md#patchAutoscalingV2NamespacedHorizontalPodAutoscalerStatus) | **PATCH** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name}/status | 
*Kubernetes.AutoscalingV2Api* | [**readAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#readAutoscalingV2NamespacedHorizontalPodAutoscaler) | **GET** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV2Api* | [**readAutoscalingV2NamespacedHorizontalPodAutoscalerStatus**](docs/AutoscalingV2Api.md#readAutoscalingV2NamespacedHorizontalPodAutoscalerStatus) | **GET** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name}/status | 
*Kubernetes.AutoscalingV2Api* | [**replaceAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#replaceAutoscalingV2NamespacedHorizontalPodAutoscaler) | **PUT** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV2Api* | [**replaceAutoscalingV2NamespacedHorizontalPodAutoscalerStatus**](docs/AutoscalingV2Api.md#replaceAutoscalingV2NamespacedHorizontalPodAutoscalerStatus) | **PUT** /apis/autoscaling/v2/namespaces/{namespace}/horizontalpodautoscalers/{name}/status | 
*Kubernetes.AutoscalingV2Api* | [**watchAutoscalingV2HorizontalPodAutoscalerListForAllNamespaces**](docs/AutoscalingV2Api.md#watchAutoscalingV2HorizontalPodAutoscalerListForAllNamespaces) | **GET** /apis/autoscaling/v2/watch/horizontalpodautoscalers | 
*Kubernetes.AutoscalingV2Api* | [**watchAutoscalingV2NamespacedHorizontalPodAutoscaler**](docs/AutoscalingV2Api.md#watchAutoscalingV2NamespacedHorizontalPodAutoscaler) | **GET** /apis/autoscaling/v2/watch/namespaces/{namespace}/horizontalpodautoscalers/{name} | 
*Kubernetes.AutoscalingV2Api* | [**watchAutoscalingV2NamespacedHorizontalPodAutoscalerList**](docs/AutoscalingV2Api.md#watchAutoscalingV2NamespacedHorizontalPodAutoscalerList) | **GET** /apis/autoscaling/v2/watch/namespaces/{namespace}/horizontalpodautoscalers | 
*Kubernetes.BatchApi* | [**getBatchAPIGroup**](docs/BatchApi.md#getBatchAPIGroup) | **GET** /apis/batch/ | 
*Kubernetes.BatchV1Api* | [**createBatchV1NamespacedCronJob**](docs/BatchV1Api.md#createBatchV1NamespacedCronJob) | **POST** /apis/batch/v1/namespaces/{namespace}/cronjobs | 
*Kubernetes.BatchV1Api* | [**createBatchV1NamespacedJob**](docs/BatchV1Api.md#createBatchV1NamespacedJob) | **POST** /apis/batch/v1/namespaces/{namespace}/jobs | 
*Kubernetes.BatchV1Api* | [**deleteBatchV1CollectionNamespacedCronJob**](docs/BatchV1Api.md#deleteBatchV1CollectionNamespacedCronJob) | **DELETE** /apis/batch/v1/namespaces/{namespace}/cronjobs | 
*Kubernetes.BatchV1Api* | [**deleteBatchV1CollectionNamespacedJob**](docs/BatchV1Api.md#deleteBatchV1CollectionNamespacedJob) | **DELETE** /apis/batch/v1/namespaces/{namespace}/jobs | 
*Kubernetes.BatchV1Api* | [**deleteBatchV1NamespacedCronJob**](docs/BatchV1Api.md#deleteBatchV1NamespacedCronJob) | **DELETE** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name} | 
*Kubernetes.BatchV1Api* | [**deleteBatchV1NamespacedJob**](docs/BatchV1Api.md#deleteBatchV1NamespacedJob) | **DELETE** /apis/batch/v1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchV1Api* | [**getBatchV1APIResources**](docs/BatchV1Api.md#getBatchV1APIResources) | **GET** /apis/batch/v1/ | 
*Kubernetes.BatchV1Api* | [**listBatchV1CronJobForAllNamespaces**](docs/BatchV1Api.md#listBatchV1CronJobForAllNamespaces) | **GET** /apis/batch/v1/cronjobs | 
*Kubernetes.BatchV1Api* | [**listBatchV1JobForAllNamespaces**](docs/BatchV1Api.md#listBatchV1JobForAllNamespaces) | **GET** /apis/batch/v1/jobs | 
*Kubernetes.BatchV1Api* | [**listBatchV1NamespacedCronJob**](docs/BatchV1Api.md#listBatchV1NamespacedCronJob) | **GET** /apis/batch/v1/namespaces/{namespace}/cronjobs | 
*Kubernetes.BatchV1Api* | [**listBatchV1NamespacedJob**](docs/BatchV1Api.md#listBatchV1NamespacedJob) | **GET** /apis/batch/v1/namespaces/{namespace}/jobs | 
*Kubernetes.BatchV1Api* | [**patchBatchV1NamespacedCronJob**](docs/BatchV1Api.md#patchBatchV1NamespacedCronJob) | **PATCH** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name} | 
*Kubernetes.BatchV1Api* | [**patchBatchV1NamespacedCronJobStatus**](docs/BatchV1Api.md#patchBatchV1NamespacedCronJobStatus) | **PATCH** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name}/status | 
*Kubernetes.BatchV1Api* | [**patchBatchV1NamespacedJob**](docs/BatchV1Api.md#patchBatchV1NamespacedJob) | **PATCH** /apis/batch/v1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchV1Api* | [**patchBatchV1NamespacedJobStatus**](docs/BatchV1Api.md#patchBatchV1NamespacedJobStatus) | **PATCH** /apis/batch/v1/namespaces/{namespace}/jobs/{name}/status | 
*Kubernetes.BatchV1Api* | [**readBatchV1NamespacedCronJob**](docs/BatchV1Api.md#readBatchV1NamespacedCronJob) | **GET** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name} | 
*Kubernetes.BatchV1Api* | [**readBatchV1NamespacedCronJobStatus**](docs/BatchV1Api.md#readBatchV1NamespacedCronJobStatus) | **GET** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name}/status | 
*Kubernetes.BatchV1Api* | [**readBatchV1NamespacedJob**](docs/BatchV1Api.md#readBatchV1NamespacedJob) | **GET** /apis/batch/v1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchV1Api* | [**readBatchV1NamespacedJobStatus**](docs/BatchV1Api.md#readBatchV1NamespacedJobStatus) | **GET** /apis/batch/v1/namespaces/{namespace}/jobs/{name}/status | 
*Kubernetes.BatchV1Api* | [**replaceBatchV1NamespacedCronJob**](docs/BatchV1Api.md#replaceBatchV1NamespacedCronJob) | **PUT** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name} | 
*Kubernetes.BatchV1Api* | [**replaceBatchV1NamespacedCronJobStatus**](docs/BatchV1Api.md#replaceBatchV1NamespacedCronJobStatus) | **PUT** /apis/batch/v1/namespaces/{namespace}/cronjobs/{name}/status | 
*Kubernetes.BatchV1Api* | [**replaceBatchV1NamespacedJob**](docs/BatchV1Api.md#replaceBatchV1NamespacedJob) | **PUT** /apis/batch/v1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchV1Api* | [**replaceBatchV1NamespacedJobStatus**](docs/BatchV1Api.md#replaceBatchV1NamespacedJobStatus) | **PUT** /apis/batch/v1/namespaces/{namespace}/jobs/{name}/status | 
*Kubernetes.BatchV1Api* | [**watchBatchV1CronJobListForAllNamespaces**](docs/BatchV1Api.md#watchBatchV1CronJobListForAllNamespaces) | **GET** /apis/batch/v1/watch/cronjobs | 
*Kubernetes.BatchV1Api* | [**watchBatchV1JobListForAllNamespaces**](docs/BatchV1Api.md#watchBatchV1JobListForAllNamespaces) | **GET** /apis/batch/v1/watch/jobs | 
*Kubernetes.BatchV1Api* | [**watchBatchV1NamespacedCronJob**](docs/BatchV1Api.md#watchBatchV1NamespacedCronJob) | **GET** /apis/batch/v1/watch/namespaces/{namespace}/cronjobs/{name} | 
*Kubernetes.BatchV1Api* | [**watchBatchV1NamespacedCronJobList**](docs/BatchV1Api.md#watchBatchV1NamespacedCronJobList) | **GET** /apis/batch/v1/watch/namespaces/{namespace}/cronjobs | 
*Kubernetes.BatchV1Api* | [**watchBatchV1NamespacedJob**](docs/BatchV1Api.md#watchBatchV1NamespacedJob) | **GET** /apis/batch/v1/watch/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchV1Api* | [**watchBatchV1NamespacedJobList**](docs/BatchV1Api.md#watchBatchV1NamespacedJobList) | **GET** /apis/batch/v1/watch/namespaces/{namespace}/jobs | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**createBatchVolcanoShV1alpha1NamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#createBatchVolcanoShV1alpha1NamespacedJob) | **POST** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**deleteBatchVolcanoShV1alpha1CollectionNamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#deleteBatchVolcanoShV1alpha1CollectionNamespacedJob) | **DELETE** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**deleteBatchVolcanoShV1alpha1NamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#deleteBatchVolcanoShV1alpha1NamespacedJob) | **DELETE** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**listBatchVolcanoShV1alpha1JobForAllNamespaces**](docs/BatchVolcanoShV1alpha1Api.md#listBatchVolcanoShV1alpha1JobForAllNamespaces) | **GET** /apis/batch.volcano.sh/v1alpha1/jobs | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**listBatchVolcanoShV1alpha1NamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#listBatchVolcanoShV1alpha1NamespacedJob) | **GET** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**patchBatchVolcanoShV1alpha1NamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#patchBatchVolcanoShV1alpha1NamespacedJob) | **PATCH** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**patchBatchVolcanoShV1alpha1NamespacedJobStatus**](docs/BatchVolcanoShV1alpha1Api.md#patchBatchVolcanoShV1alpha1NamespacedJobStatus) | **PATCH** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name}/status | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**readBatchVolcanoShV1alpha1NamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#readBatchVolcanoShV1alpha1NamespacedJob) | **GET** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**readBatchVolcanoShV1alpha1NamespacedJobStatus**](docs/BatchVolcanoShV1alpha1Api.md#readBatchVolcanoShV1alpha1NamespacedJobStatus) | **GET** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name}/status | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**replaceBatchVolcanoShV1alpha1NamespacedJob**](docs/BatchVolcanoShV1alpha1Api.md#replaceBatchVolcanoShV1alpha1NamespacedJob) | **PUT** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name} | 
*Kubernetes.BatchVolcanoShV1alpha1Api* | [**replaceBatchVolcanoShV1alpha1NamespacedJobStatus**](docs/BatchVolcanoShV1alpha1Api.md#replaceBatchVolcanoShV1alpha1NamespacedJobStatus) | **PUT** /apis/batch.volcano.sh/v1alpha1/namespaces/{namespace}/jobs/{name}/status | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**createBusVolcanoShV1alpha1NamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#createBusVolcanoShV1alpha1NamespacedCommand) | **POST** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**deleteBusVolcanoShV1alpha1CollectionNamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#deleteBusVolcanoShV1alpha1CollectionNamespacedCommand) | **DELETE** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**deleteBusVolcanoShV1alpha1NamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#deleteBusVolcanoShV1alpha1NamespacedCommand) | **DELETE** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands/{name} | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**listBusVolcanoShV1alpha1CommandForAllNamespaces**](docs/BusVolcanoShV1alpha1Api.md#listBusVolcanoShV1alpha1CommandForAllNamespaces) | **GET** /apis/bus.volcano.sh/v1alpha1/commands | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**listBusVolcanoShV1alpha1NamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#listBusVolcanoShV1alpha1NamespacedCommand) | **GET** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**patchBusVolcanoShV1alpha1NamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#patchBusVolcanoShV1alpha1NamespacedCommand) | **PATCH** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands/{name} | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**readBusVolcanoShV1alpha1NamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#readBusVolcanoShV1alpha1NamespacedCommand) | **GET** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands/{name} | 
*Kubernetes.BusVolcanoShV1alpha1Api* | [**replaceBusVolcanoShV1alpha1NamespacedCommand**](docs/BusVolcanoShV1alpha1Api.md#replaceBusVolcanoShV1alpha1NamespacedCommand) | **PUT** /apis/bus.volcano.sh/v1alpha1/namespaces/{namespace}/commands/{name} | 
*Kubernetes.CertificatesApi* | [**getCertificatesAPIGroup**](docs/CertificatesApi.md#getCertificatesAPIGroup) | **GET** /apis/certificates.k8s.io/ | 
*Kubernetes.CertificatesV1Api* | [**createCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#createCertificatesV1CertificateSigningRequest) | **POST** /apis/certificates.k8s.io/v1/certificatesigningrequests | 
*Kubernetes.CertificatesV1Api* | [**deleteCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#deleteCertificatesV1CertificateSigningRequest) | **DELETE** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name} | 
*Kubernetes.CertificatesV1Api* | [**deleteCertificatesV1CollectionCertificateSigningRequest**](docs/CertificatesV1Api.md#deleteCertificatesV1CollectionCertificateSigningRequest) | **DELETE** /apis/certificates.k8s.io/v1/certificatesigningrequests | 
*Kubernetes.CertificatesV1Api* | [**getCertificatesV1APIResources**](docs/CertificatesV1Api.md#getCertificatesV1APIResources) | **GET** /apis/certificates.k8s.io/v1/ | 
*Kubernetes.CertificatesV1Api* | [**listCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#listCertificatesV1CertificateSigningRequest) | **GET** /apis/certificates.k8s.io/v1/certificatesigningrequests | 
*Kubernetes.CertificatesV1Api* | [**patchCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#patchCertificatesV1CertificateSigningRequest) | **PATCH** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name} | 
*Kubernetes.CertificatesV1Api* | [**patchCertificatesV1CertificateSigningRequestApproval**](docs/CertificatesV1Api.md#patchCertificatesV1CertificateSigningRequestApproval) | **PATCH** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name}/approval | 
*Kubernetes.CertificatesV1Api* | [**patchCertificatesV1CertificateSigningRequestStatus**](docs/CertificatesV1Api.md#patchCertificatesV1CertificateSigningRequestStatus) | **PATCH** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name}/status | 
*Kubernetes.CertificatesV1Api* | [**readCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#readCertificatesV1CertificateSigningRequest) | **GET** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name} | 
*Kubernetes.CertificatesV1Api* | [**readCertificatesV1CertificateSigningRequestApproval**](docs/CertificatesV1Api.md#readCertificatesV1CertificateSigningRequestApproval) | **GET** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name}/approval | 
*Kubernetes.CertificatesV1Api* | [**readCertificatesV1CertificateSigningRequestStatus**](docs/CertificatesV1Api.md#readCertificatesV1CertificateSigningRequestStatus) | **GET** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name}/status | 
*Kubernetes.CertificatesV1Api* | [**replaceCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#replaceCertificatesV1CertificateSigningRequest) | **PUT** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name} | 
*Kubernetes.CertificatesV1Api* | [**replaceCertificatesV1CertificateSigningRequestApproval**](docs/CertificatesV1Api.md#replaceCertificatesV1CertificateSigningRequestApproval) | **PUT** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name}/approval | 
*Kubernetes.CertificatesV1Api* | [**replaceCertificatesV1CertificateSigningRequestStatus**](docs/CertificatesV1Api.md#replaceCertificatesV1CertificateSigningRequestStatus) | **PUT** /apis/certificates.k8s.io/v1/certificatesigningrequests/{name}/status | 
*Kubernetes.CertificatesV1Api* | [**watchCertificatesV1CertificateSigningRequest**](docs/CertificatesV1Api.md#watchCertificatesV1CertificateSigningRequest) | **GET** /apis/certificates.k8s.io/v1/watch/certificatesigningrequests/{name} | 
*Kubernetes.CertificatesV1Api* | [**watchCertificatesV1CertificateSigningRequestList**](docs/CertificatesV1Api.md#watchCertificatesV1CertificateSigningRequestList) | **GET** /apis/certificates.k8s.io/v1/watch/certificatesigningrequests | 
*Kubernetes.CoordinationApi* | [**getCoordinationAPIGroup**](docs/CoordinationApi.md#getCoordinationAPIGroup) | **GET** /apis/coordination.k8s.io/ | 
*Kubernetes.CoordinationV1Api* | [**createCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#createCoordinationV1NamespacedLease) | **POST** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases | 
*Kubernetes.CoordinationV1Api* | [**deleteCoordinationV1CollectionNamespacedLease**](docs/CoordinationV1Api.md#deleteCoordinationV1CollectionNamespacedLease) | **DELETE** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases | 
*Kubernetes.CoordinationV1Api* | [**deleteCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#deleteCoordinationV1NamespacedLease) | **DELETE** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases/{name} | 
*Kubernetes.CoordinationV1Api* | [**getCoordinationV1APIResources**](docs/CoordinationV1Api.md#getCoordinationV1APIResources) | **GET** /apis/coordination.k8s.io/v1/ | 
*Kubernetes.CoordinationV1Api* | [**listCoordinationV1LeaseForAllNamespaces**](docs/CoordinationV1Api.md#listCoordinationV1LeaseForAllNamespaces) | **GET** /apis/coordination.k8s.io/v1/leases | 
*Kubernetes.CoordinationV1Api* | [**listCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#listCoordinationV1NamespacedLease) | **GET** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases | 
*Kubernetes.CoordinationV1Api* | [**patchCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#patchCoordinationV1NamespacedLease) | **PATCH** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases/{name} | 
*Kubernetes.CoordinationV1Api* | [**readCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#readCoordinationV1NamespacedLease) | **GET** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases/{name} | 
*Kubernetes.CoordinationV1Api* | [**replaceCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#replaceCoordinationV1NamespacedLease) | **PUT** /apis/coordination.k8s.io/v1/namespaces/{namespace}/leases/{name} | 
*Kubernetes.CoordinationV1Api* | [**watchCoordinationV1LeaseListForAllNamespaces**](docs/CoordinationV1Api.md#watchCoordinationV1LeaseListForAllNamespaces) | **GET** /apis/coordination.k8s.io/v1/watch/leases | 
*Kubernetes.CoordinationV1Api* | [**watchCoordinationV1NamespacedLease**](docs/CoordinationV1Api.md#watchCoordinationV1NamespacedLease) | **GET** /apis/coordination.k8s.io/v1/watch/namespaces/{namespace}/leases/{name} | 
*Kubernetes.CoordinationV1Api* | [**watchCoordinationV1NamespacedLeaseList**](docs/CoordinationV1Api.md#watchCoordinationV1NamespacedLeaseList) | **GET** /apis/coordination.k8s.io/v1/watch/namespaces/{namespace}/leases | 
*Kubernetes.CoreApi* | [**getCoreAPIVersions**](docs/CoreApi.md#getCoreAPIVersions) | **GET** /api/ | 
*Kubernetes.CoreV1Api* | [**connectCoreV1DeleteNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1DeleteNamespacedPodProxy) | **DELETE** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1DeleteNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1DeleteNamespacedPodProxyWithPath) | **DELETE** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1DeleteNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1DeleteNamespacedServiceProxy) | **DELETE** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1DeleteNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1DeleteNamespacedServiceProxyWithPath) | **DELETE** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1DeleteNodeProxy**](docs/CoreV1Api.md#connectCoreV1DeleteNodeProxy) | **DELETE** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1DeleteNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1DeleteNodeProxyWithPath) | **DELETE** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedPodAttach**](docs/CoreV1Api.md#connectCoreV1GetNamespacedPodAttach) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/attach | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedPodExec**](docs/CoreV1Api.md#connectCoreV1GetNamespacedPodExec) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/exec | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedPodPortforward**](docs/CoreV1Api.md#connectCoreV1GetNamespacedPodPortforward) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/portforward | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1GetNamespacedPodProxy) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1GetNamespacedPodProxyWithPath) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1GetNamespacedServiceProxy) | **GET** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1GetNamespacedServiceProxyWithPath) | **GET** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNodeProxy**](docs/CoreV1Api.md#connectCoreV1GetNodeProxy) | **GET** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1GetNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1GetNodeProxyWithPath) | **GET** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1HeadNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1HeadNamespacedPodProxy) | **HEAD** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1HeadNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1HeadNamespacedPodProxyWithPath) | **HEAD** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1HeadNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1HeadNamespacedServiceProxy) | **HEAD** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1HeadNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1HeadNamespacedServiceProxyWithPath) | **HEAD** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1HeadNodeProxy**](docs/CoreV1Api.md#connectCoreV1HeadNodeProxy) | **HEAD** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1HeadNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1HeadNodeProxyWithPath) | **HEAD** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1OptionsNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1OptionsNamespacedPodProxy) | **OPTIONS** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1OptionsNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1OptionsNamespacedPodProxyWithPath) | **OPTIONS** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1OptionsNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1OptionsNamespacedServiceProxy) | **OPTIONS** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1OptionsNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1OptionsNamespacedServiceProxyWithPath) | **OPTIONS** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1OptionsNodeProxy**](docs/CoreV1Api.md#connectCoreV1OptionsNodeProxy) | **OPTIONS** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1OptionsNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1OptionsNodeProxyWithPath) | **OPTIONS** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PatchNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1PatchNamespacedPodProxy) | **PATCH** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PatchNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PatchNamespacedPodProxyWithPath) | **PATCH** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PatchNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1PatchNamespacedServiceProxy) | **PATCH** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PatchNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PatchNamespacedServiceProxyWithPath) | **PATCH** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PatchNodeProxy**](docs/CoreV1Api.md#connectCoreV1PatchNodeProxy) | **PATCH** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PatchNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PatchNodeProxyWithPath) | **PATCH** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedPodAttach**](docs/CoreV1Api.md#connectCoreV1PostNamespacedPodAttach) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/attach | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedPodExec**](docs/CoreV1Api.md#connectCoreV1PostNamespacedPodExec) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/exec | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedPodPortforward**](docs/CoreV1Api.md#connectCoreV1PostNamespacedPodPortforward) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/portforward | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1PostNamespacedPodProxy) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PostNamespacedPodProxyWithPath) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1PostNamespacedServiceProxy) | **POST** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PostNamespacedServiceProxyWithPath) | **POST** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNodeProxy**](docs/CoreV1Api.md#connectCoreV1PostNodeProxy) | **POST** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PostNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PostNodeProxyWithPath) | **POST** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PutNamespacedPodProxy**](docs/CoreV1Api.md#connectCoreV1PutNamespacedPodProxy) | **PUT** /api/v1/namespaces/{namespace}/pods/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PutNamespacedPodProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PutNamespacedPodProxyWithPath) | **PUT** /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PutNamespacedServiceProxy**](docs/CoreV1Api.md#connectCoreV1PutNamespacedServiceProxy) | **PUT** /api/v1/namespaces/{namespace}/services/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PutNamespacedServiceProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PutNamespacedServiceProxyWithPath) | **PUT** /api/v1/namespaces/{namespace}/services/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PutNodeProxy**](docs/CoreV1Api.md#connectCoreV1PutNodeProxy) | **PUT** /api/v1/nodes/{name}/proxy | 
*Kubernetes.CoreV1Api* | [**connectCoreV1PutNodeProxyWithPath**](docs/CoreV1Api.md#connectCoreV1PutNodeProxyWithPath) | **PUT** /api/v1/nodes/{name}/proxy/{path} | 
*Kubernetes.CoreV1Api* | [**createCoreV1Namespace**](docs/CoreV1Api.md#createCoreV1Namespace) | **POST** /api/v1/namespaces | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedBinding**](docs/CoreV1Api.md#createCoreV1NamespacedBinding) | **POST** /api/v1/namespaces/{namespace}/bindings | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#createCoreV1NamespacedConfigMap) | **POST** /api/v1/namespaces/{namespace}/configmaps | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#createCoreV1NamespacedEndpoints) | **POST** /api/v1/namespaces/{namespace}/endpoints | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedEvent**](docs/CoreV1Api.md#createCoreV1NamespacedEvent) | **POST** /api/v1/namespaces/{namespace}/events | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#createCoreV1NamespacedLimitRange) | **POST** /api/v1/namespaces/{namespace}/limitranges | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#createCoreV1NamespacedPersistentVolumeClaim) | **POST** /api/v1/namespaces/{namespace}/persistentvolumeclaims | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedPod**](docs/CoreV1Api.md#createCoreV1NamespacedPod) | **POST** /api/v1/namespaces/{namespace}/pods | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedPodBinding**](docs/CoreV1Api.md#createCoreV1NamespacedPodBinding) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/binding | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedPodEviction**](docs/CoreV1Api.md#createCoreV1NamespacedPodEviction) | **POST** /api/v1/namespaces/{namespace}/pods/{name}/eviction | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#createCoreV1NamespacedPodTemplate) | **POST** /api/v1/namespaces/{namespace}/podtemplates | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#createCoreV1NamespacedReplicationController) | **POST** /api/v1/namespaces/{namespace}/replicationcontrollers | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#createCoreV1NamespacedResourceQuota) | **POST** /api/v1/namespaces/{namespace}/resourcequotas | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedSecret**](docs/CoreV1Api.md#createCoreV1NamespacedSecret) | **POST** /api/v1/namespaces/{namespace}/secrets | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedService**](docs/CoreV1Api.md#createCoreV1NamespacedService) | **POST** /api/v1/namespaces/{namespace}/services | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#createCoreV1NamespacedServiceAccount) | **POST** /api/v1/namespaces/{namespace}/serviceaccounts | 
*Kubernetes.CoreV1Api* | [**createCoreV1NamespacedServiceAccountToken**](docs/CoreV1Api.md#createCoreV1NamespacedServiceAccountToken) | **POST** /api/v1/namespaces/{namespace}/serviceaccounts/{name}/token | 
*Kubernetes.CoreV1Api* | [**createCoreV1Node**](docs/CoreV1Api.md#createCoreV1Node) | **POST** /api/v1/nodes | 
*Kubernetes.CoreV1Api* | [**createCoreV1PersistentVolume**](docs/CoreV1Api.md#createCoreV1PersistentVolume) | **POST** /api/v1/persistentvolumes | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedConfigMap**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedConfigMap) | **DELETE** /api/v1/namespaces/{namespace}/configmaps | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedEndpoints**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedEndpoints) | **DELETE** /api/v1/namespaces/{namespace}/endpoints | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedEvent**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedEvent) | **DELETE** /api/v1/namespaces/{namespace}/events | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedLimitRange**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedLimitRange) | **DELETE** /api/v1/namespaces/{namespace}/limitranges | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedPersistentVolumeClaim) | **DELETE** /api/v1/namespaces/{namespace}/persistentvolumeclaims | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedPod**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedPod) | **DELETE** /api/v1/namespaces/{namespace}/pods | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedPodTemplate**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedPodTemplate) | **DELETE** /api/v1/namespaces/{namespace}/podtemplates | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedReplicationController**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedReplicationController) | **DELETE** /api/v1/namespaces/{namespace}/replicationcontrollers | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedResourceQuota**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedResourceQuota) | **DELETE** /api/v1/namespaces/{namespace}/resourcequotas | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedSecret**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedSecret) | **DELETE** /api/v1/namespaces/{namespace}/secrets | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedService**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedService) | **DELETE** /api/v1/namespaces/{namespace}/services | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNamespacedServiceAccount**](docs/CoreV1Api.md#deleteCoreV1CollectionNamespacedServiceAccount) | **DELETE** /api/v1/namespaces/{namespace}/serviceaccounts | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionNode**](docs/CoreV1Api.md#deleteCoreV1CollectionNode) | **DELETE** /api/v1/nodes | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1CollectionPersistentVolume**](docs/CoreV1Api.md#deleteCoreV1CollectionPersistentVolume) | **DELETE** /api/v1/persistentvolumes | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1Namespace**](docs/CoreV1Api.md#deleteCoreV1Namespace) | **DELETE** /api/v1/namespaces/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#deleteCoreV1NamespacedConfigMap) | **DELETE** /api/v1/namespaces/{namespace}/configmaps/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#deleteCoreV1NamespacedEndpoints) | **DELETE** /api/v1/namespaces/{namespace}/endpoints/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedEvent**](docs/CoreV1Api.md#deleteCoreV1NamespacedEvent) | **DELETE** /api/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#deleteCoreV1NamespacedLimitRange) | **DELETE** /api/v1/namespaces/{namespace}/limitranges/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#deleteCoreV1NamespacedPersistentVolumeClaim) | **DELETE** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedPod**](docs/CoreV1Api.md#deleteCoreV1NamespacedPod) | **DELETE** /api/v1/namespaces/{namespace}/pods/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#deleteCoreV1NamespacedPodTemplate) | **DELETE** /api/v1/namespaces/{namespace}/podtemplates/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#deleteCoreV1NamespacedReplicationController) | **DELETE** /api/v1/namespaces/{namespace}/replicationcontrollers/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#deleteCoreV1NamespacedResourceQuota) | **DELETE** /api/v1/namespaces/{namespace}/resourcequotas/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedSecret**](docs/CoreV1Api.md#deleteCoreV1NamespacedSecret) | **DELETE** /api/v1/namespaces/{namespace}/secrets/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedService**](docs/CoreV1Api.md#deleteCoreV1NamespacedService) | **DELETE** /api/v1/namespaces/{namespace}/services/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#deleteCoreV1NamespacedServiceAccount) | **DELETE** /api/v1/namespaces/{namespace}/serviceaccounts/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1Node**](docs/CoreV1Api.md#deleteCoreV1Node) | **DELETE** /api/v1/nodes/{name} | 
*Kubernetes.CoreV1Api* | [**deleteCoreV1PersistentVolume**](docs/CoreV1Api.md#deleteCoreV1PersistentVolume) | **DELETE** /api/v1/persistentvolumes/{name} | 
*Kubernetes.CoreV1Api* | [**getCoreV1APIResources**](docs/CoreV1Api.md#getCoreV1APIResources) | **GET** /api/v1/ | 
*Kubernetes.CoreV1Api* | [**listCoreV1ComponentStatus**](docs/CoreV1Api.md#listCoreV1ComponentStatus) | **GET** /api/v1/componentstatuses | 
*Kubernetes.CoreV1Api* | [**listCoreV1ConfigMapForAllNamespaces**](docs/CoreV1Api.md#listCoreV1ConfigMapForAllNamespaces) | **GET** /api/v1/configmaps | 
*Kubernetes.CoreV1Api* | [**listCoreV1EndpointsForAllNamespaces**](docs/CoreV1Api.md#listCoreV1EndpointsForAllNamespaces) | **GET** /api/v1/endpoints | 
*Kubernetes.CoreV1Api* | [**listCoreV1EventForAllNamespaces**](docs/CoreV1Api.md#listCoreV1EventForAllNamespaces) | **GET** /api/v1/events | 
*Kubernetes.CoreV1Api* | [**listCoreV1LimitRangeForAllNamespaces**](docs/CoreV1Api.md#listCoreV1LimitRangeForAllNamespaces) | **GET** /api/v1/limitranges | 
*Kubernetes.CoreV1Api* | [**listCoreV1Namespace**](docs/CoreV1Api.md#listCoreV1Namespace) | **GET** /api/v1/namespaces | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#listCoreV1NamespacedConfigMap) | **GET** /api/v1/namespaces/{namespace}/configmaps | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#listCoreV1NamespacedEndpoints) | **GET** /api/v1/namespaces/{namespace}/endpoints | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedEvent**](docs/CoreV1Api.md#listCoreV1NamespacedEvent) | **GET** /api/v1/namespaces/{namespace}/events | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#listCoreV1NamespacedLimitRange) | **GET** /api/v1/namespaces/{namespace}/limitranges | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#listCoreV1NamespacedPersistentVolumeClaim) | **GET** /api/v1/namespaces/{namespace}/persistentvolumeclaims | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedPod**](docs/CoreV1Api.md#listCoreV1NamespacedPod) | **GET** /api/v1/namespaces/{namespace}/pods | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#listCoreV1NamespacedPodTemplate) | **GET** /api/v1/namespaces/{namespace}/podtemplates | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#listCoreV1NamespacedReplicationController) | **GET** /api/v1/namespaces/{namespace}/replicationcontrollers | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#listCoreV1NamespacedResourceQuota) | **GET** /api/v1/namespaces/{namespace}/resourcequotas | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedSecret**](docs/CoreV1Api.md#listCoreV1NamespacedSecret) | **GET** /api/v1/namespaces/{namespace}/secrets | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedService**](docs/CoreV1Api.md#listCoreV1NamespacedService) | **GET** /api/v1/namespaces/{namespace}/services | 
*Kubernetes.CoreV1Api* | [**listCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#listCoreV1NamespacedServiceAccount) | **GET** /api/v1/namespaces/{namespace}/serviceaccounts | 
*Kubernetes.CoreV1Api* | [**listCoreV1Node**](docs/CoreV1Api.md#listCoreV1Node) | **GET** /api/v1/nodes | 
*Kubernetes.CoreV1Api* | [**listCoreV1PersistentVolume**](docs/CoreV1Api.md#listCoreV1PersistentVolume) | **GET** /api/v1/persistentvolumes | 
*Kubernetes.CoreV1Api* | [**listCoreV1PersistentVolumeClaimForAllNamespaces**](docs/CoreV1Api.md#listCoreV1PersistentVolumeClaimForAllNamespaces) | **GET** /api/v1/persistentvolumeclaims | 
*Kubernetes.CoreV1Api* | [**listCoreV1PodForAllNamespaces**](docs/CoreV1Api.md#listCoreV1PodForAllNamespaces) | **GET** /api/v1/pods | 
*Kubernetes.CoreV1Api* | [**listCoreV1PodTemplateForAllNamespaces**](docs/CoreV1Api.md#listCoreV1PodTemplateForAllNamespaces) | **GET** /api/v1/podtemplates | 
*Kubernetes.CoreV1Api* | [**listCoreV1ReplicationControllerForAllNamespaces**](docs/CoreV1Api.md#listCoreV1ReplicationControllerForAllNamespaces) | **GET** /api/v1/replicationcontrollers | 
*Kubernetes.CoreV1Api* | [**listCoreV1ResourceQuotaForAllNamespaces**](docs/CoreV1Api.md#listCoreV1ResourceQuotaForAllNamespaces) | **GET** /api/v1/resourcequotas | 
*Kubernetes.CoreV1Api* | [**listCoreV1SecretForAllNamespaces**](docs/CoreV1Api.md#listCoreV1SecretForAllNamespaces) | **GET** /api/v1/secrets | 
*Kubernetes.CoreV1Api* | [**listCoreV1ServiceAccountForAllNamespaces**](docs/CoreV1Api.md#listCoreV1ServiceAccountForAllNamespaces) | **GET** /api/v1/serviceaccounts | 
*Kubernetes.CoreV1Api* | [**listCoreV1ServiceForAllNamespaces**](docs/CoreV1Api.md#listCoreV1ServiceForAllNamespaces) | **GET** /api/v1/services | 
*Kubernetes.CoreV1Api* | [**patchCoreV1Namespace**](docs/CoreV1Api.md#patchCoreV1Namespace) | **PATCH** /api/v1/namespaces/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespaceStatus**](docs/CoreV1Api.md#patchCoreV1NamespaceStatus) | **PATCH** /api/v1/namespaces/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#patchCoreV1NamespacedConfigMap) | **PATCH** /api/v1/namespaces/{namespace}/configmaps/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#patchCoreV1NamespacedEndpoints) | **PATCH** /api/v1/namespaces/{namespace}/endpoints/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedEvent**](docs/CoreV1Api.md#patchCoreV1NamespacedEvent) | **PATCH** /api/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#patchCoreV1NamespacedLimitRange) | **PATCH** /api/v1/namespaces/{namespace}/limitranges/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#patchCoreV1NamespacedPersistentVolumeClaim) | **PATCH** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedPersistentVolumeClaimStatus**](docs/CoreV1Api.md#patchCoreV1NamespacedPersistentVolumeClaimStatus) | **PATCH** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedPod**](docs/CoreV1Api.md#patchCoreV1NamespacedPod) | **PATCH** /api/v1/namespaces/{namespace}/pods/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedPodEphemeralcontainers**](docs/CoreV1Api.md#patchCoreV1NamespacedPodEphemeralcontainers) | **PATCH** /api/v1/namespaces/{namespace}/pods/{name}/ephemeralcontainers | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedPodStatus**](docs/CoreV1Api.md#patchCoreV1NamespacedPodStatus) | **PATCH** /api/v1/namespaces/{namespace}/pods/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#patchCoreV1NamespacedPodTemplate) | **PATCH** /api/v1/namespaces/{namespace}/podtemplates/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#patchCoreV1NamespacedReplicationController) | **PATCH** /api/v1/namespaces/{namespace}/replicationcontrollers/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedReplicationControllerScale**](docs/CoreV1Api.md#patchCoreV1NamespacedReplicationControllerScale) | **PATCH** /api/v1/namespaces/{namespace}/replicationcontrollers/{name}/scale | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedReplicationControllerStatus**](docs/CoreV1Api.md#patchCoreV1NamespacedReplicationControllerStatus) | **PATCH** /api/v1/namespaces/{namespace}/replicationcontrollers/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#patchCoreV1NamespacedResourceQuota) | **PATCH** /api/v1/namespaces/{namespace}/resourcequotas/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedResourceQuotaStatus**](docs/CoreV1Api.md#patchCoreV1NamespacedResourceQuotaStatus) | **PATCH** /api/v1/namespaces/{namespace}/resourcequotas/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedSecret**](docs/CoreV1Api.md#patchCoreV1NamespacedSecret) | **PATCH** /api/v1/namespaces/{namespace}/secrets/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedService**](docs/CoreV1Api.md#patchCoreV1NamespacedService) | **PATCH** /api/v1/namespaces/{namespace}/services/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#patchCoreV1NamespacedServiceAccount) | **PATCH** /api/v1/namespaces/{namespace}/serviceaccounts/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NamespacedServiceStatus**](docs/CoreV1Api.md#patchCoreV1NamespacedServiceStatus) | **PATCH** /api/v1/namespaces/{namespace}/services/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1Node**](docs/CoreV1Api.md#patchCoreV1Node) | **PATCH** /api/v1/nodes/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1NodeStatus**](docs/CoreV1Api.md#patchCoreV1NodeStatus) | **PATCH** /api/v1/nodes/{name}/status | 
*Kubernetes.CoreV1Api* | [**patchCoreV1PersistentVolume**](docs/CoreV1Api.md#patchCoreV1PersistentVolume) | **PATCH** /api/v1/persistentvolumes/{name} | 
*Kubernetes.CoreV1Api* | [**patchCoreV1PersistentVolumeStatus**](docs/CoreV1Api.md#patchCoreV1PersistentVolumeStatus) | **PATCH** /api/v1/persistentvolumes/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1ComponentStatus**](docs/CoreV1Api.md#readCoreV1ComponentStatus) | **GET** /api/v1/componentstatuses/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1Namespace**](docs/CoreV1Api.md#readCoreV1Namespace) | **GET** /api/v1/namespaces/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespaceStatus**](docs/CoreV1Api.md#readCoreV1NamespaceStatus) | **GET** /api/v1/namespaces/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#readCoreV1NamespacedConfigMap) | **GET** /api/v1/namespaces/{namespace}/configmaps/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#readCoreV1NamespacedEndpoints) | **GET** /api/v1/namespaces/{namespace}/endpoints/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedEvent**](docs/CoreV1Api.md#readCoreV1NamespacedEvent) | **GET** /api/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#readCoreV1NamespacedLimitRange) | **GET** /api/v1/namespaces/{namespace}/limitranges/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#readCoreV1NamespacedPersistentVolumeClaim) | **GET** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPersistentVolumeClaimStatus**](docs/CoreV1Api.md#readCoreV1NamespacedPersistentVolumeClaimStatus) | **GET** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPod**](docs/CoreV1Api.md#readCoreV1NamespacedPod) | **GET** /api/v1/namespaces/{namespace}/pods/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPodEphemeralcontainers**](docs/CoreV1Api.md#readCoreV1NamespacedPodEphemeralcontainers) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/ephemeralcontainers | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPodLog**](docs/CoreV1Api.md#readCoreV1NamespacedPodLog) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/log | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPodStatus**](docs/CoreV1Api.md#readCoreV1NamespacedPodStatus) | **GET** /api/v1/namespaces/{namespace}/pods/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#readCoreV1NamespacedPodTemplate) | **GET** /api/v1/namespaces/{namespace}/podtemplates/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#readCoreV1NamespacedReplicationController) | **GET** /api/v1/namespaces/{namespace}/replicationcontrollers/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedReplicationControllerScale**](docs/CoreV1Api.md#readCoreV1NamespacedReplicationControllerScale) | **GET** /api/v1/namespaces/{namespace}/replicationcontrollers/{name}/scale | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedReplicationControllerStatus**](docs/CoreV1Api.md#readCoreV1NamespacedReplicationControllerStatus) | **GET** /api/v1/namespaces/{namespace}/replicationcontrollers/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#readCoreV1NamespacedResourceQuota) | **GET** /api/v1/namespaces/{namespace}/resourcequotas/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedResourceQuotaStatus**](docs/CoreV1Api.md#readCoreV1NamespacedResourceQuotaStatus) | **GET** /api/v1/namespaces/{namespace}/resourcequotas/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedSecret**](docs/CoreV1Api.md#readCoreV1NamespacedSecret) | **GET** /api/v1/namespaces/{namespace}/secrets/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedService**](docs/CoreV1Api.md#readCoreV1NamespacedService) | **GET** /api/v1/namespaces/{namespace}/services/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#readCoreV1NamespacedServiceAccount) | **GET** /api/v1/namespaces/{namespace}/serviceaccounts/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NamespacedServiceStatus**](docs/CoreV1Api.md#readCoreV1NamespacedServiceStatus) | **GET** /api/v1/namespaces/{namespace}/services/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1Node**](docs/CoreV1Api.md#readCoreV1Node) | **GET** /api/v1/nodes/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1NodeStatus**](docs/CoreV1Api.md#readCoreV1NodeStatus) | **GET** /api/v1/nodes/{name}/status | 
*Kubernetes.CoreV1Api* | [**readCoreV1PersistentVolume**](docs/CoreV1Api.md#readCoreV1PersistentVolume) | **GET** /api/v1/persistentvolumes/{name} | 
*Kubernetes.CoreV1Api* | [**readCoreV1PersistentVolumeStatus**](docs/CoreV1Api.md#readCoreV1PersistentVolumeStatus) | **GET** /api/v1/persistentvolumes/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1Namespace**](docs/CoreV1Api.md#replaceCoreV1Namespace) | **PUT** /api/v1/namespaces/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespaceFinalize**](docs/CoreV1Api.md#replaceCoreV1NamespaceFinalize) | **PUT** /api/v1/namespaces/{name}/finalize | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespaceStatus**](docs/CoreV1Api.md#replaceCoreV1NamespaceStatus) | **PUT** /api/v1/namespaces/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#replaceCoreV1NamespacedConfigMap) | **PUT** /api/v1/namespaces/{namespace}/configmaps/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#replaceCoreV1NamespacedEndpoints) | **PUT** /api/v1/namespaces/{namespace}/endpoints/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedEvent**](docs/CoreV1Api.md#replaceCoreV1NamespacedEvent) | **PUT** /api/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#replaceCoreV1NamespacedLimitRange) | **PUT** /api/v1/namespaces/{namespace}/limitranges/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#replaceCoreV1NamespacedPersistentVolumeClaim) | **PUT** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedPersistentVolumeClaimStatus**](docs/CoreV1Api.md#replaceCoreV1NamespacedPersistentVolumeClaimStatus) | **PUT** /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedPod**](docs/CoreV1Api.md#replaceCoreV1NamespacedPod) | **PUT** /api/v1/namespaces/{namespace}/pods/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedPodEphemeralcontainers**](docs/CoreV1Api.md#replaceCoreV1NamespacedPodEphemeralcontainers) | **PUT** /api/v1/namespaces/{namespace}/pods/{name}/ephemeralcontainers | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedPodStatus**](docs/CoreV1Api.md#replaceCoreV1NamespacedPodStatus) | **PUT** /api/v1/namespaces/{namespace}/pods/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#replaceCoreV1NamespacedPodTemplate) | **PUT** /api/v1/namespaces/{namespace}/podtemplates/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#replaceCoreV1NamespacedReplicationController) | **PUT** /api/v1/namespaces/{namespace}/replicationcontrollers/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedReplicationControllerScale**](docs/CoreV1Api.md#replaceCoreV1NamespacedReplicationControllerScale) | **PUT** /api/v1/namespaces/{namespace}/replicationcontrollers/{name}/scale | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedReplicationControllerStatus**](docs/CoreV1Api.md#replaceCoreV1NamespacedReplicationControllerStatus) | **PUT** /api/v1/namespaces/{namespace}/replicationcontrollers/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#replaceCoreV1NamespacedResourceQuota) | **PUT** /api/v1/namespaces/{namespace}/resourcequotas/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedResourceQuotaStatus**](docs/CoreV1Api.md#replaceCoreV1NamespacedResourceQuotaStatus) | **PUT** /api/v1/namespaces/{namespace}/resourcequotas/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedSecret**](docs/CoreV1Api.md#replaceCoreV1NamespacedSecret) | **PUT** /api/v1/namespaces/{namespace}/secrets/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedService**](docs/CoreV1Api.md#replaceCoreV1NamespacedService) | **PUT** /api/v1/namespaces/{namespace}/services/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#replaceCoreV1NamespacedServiceAccount) | **PUT** /api/v1/namespaces/{namespace}/serviceaccounts/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NamespacedServiceStatus**](docs/CoreV1Api.md#replaceCoreV1NamespacedServiceStatus) | **PUT** /api/v1/namespaces/{namespace}/services/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1Node**](docs/CoreV1Api.md#replaceCoreV1Node) | **PUT** /api/v1/nodes/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1NodeStatus**](docs/CoreV1Api.md#replaceCoreV1NodeStatus) | **PUT** /api/v1/nodes/{name}/status | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1PersistentVolume**](docs/CoreV1Api.md#replaceCoreV1PersistentVolume) | **PUT** /api/v1/persistentvolumes/{name} | 
*Kubernetes.CoreV1Api* | [**replaceCoreV1PersistentVolumeStatus**](docs/CoreV1Api.md#replaceCoreV1PersistentVolumeStatus) | **PUT** /api/v1/persistentvolumes/{name}/status | 
*Kubernetes.CoreV1Api* | [**watchCoreV1ConfigMapListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1ConfigMapListForAllNamespaces) | **GET** /api/v1/watch/configmaps | 
*Kubernetes.CoreV1Api* | [**watchCoreV1EndpointsListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1EndpointsListForAllNamespaces) | **GET** /api/v1/watch/endpoints | 
*Kubernetes.CoreV1Api* | [**watchCoreV1EventListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1EventListForAllNamespaces) | **GET** /api/v1/watch/events | 
*Kubernetes.CoreV1Api* | [**watchCoreV1LimitRangeListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1LimitRangeListForAllNamespaces) | **GET** /api/v1/watch/limitranges | 
*Kubernetes.CoreV1Api* | [**watchCoreV1Namespace**](docs/CoreV1Api.md#watchCoreV1Namespace) | **GET** /api/v1/watch/namespaces/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespaceList**](docs/CoreV1Api.md#watchCoreV1NamespaceList) | **GET** /api/v1/watch/namespaces | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedConfigMap**](docs/CoreV1Api.md#watchCoreV1NamespacedConfigMap) | **GET** /api/v1/watch/namespaces/{namespace}/configmaps/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedConfigMapList**](docs/CoreV1Api.md#watchCoreV1NamespacedConfigMapList) | **GET** /api/v1/watch/namespaces/{namespace}/configmaps | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedEndpoints**](docs/CoreV1Api.md#watchCoreV1NamespacedEndpoints) | **GET** /api/v1/watch/namespaces/{namespace}/endpoints/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedEndpointsList**](docs/CoreV1Api.md#watchCoreV1NamespacedEndpointsList) | **GET** /api/v1/watch/namespaces/{namespace}/endpoints | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedEvent**](docs/CoreV1Api.md#watchCoreV1NamespacedEvent) | **GET** /api/v1/watch/namespaces/{namespace}/events/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedEventList**](docs/CoreV1Api.md#watchCoreV1NamespacedEventList) | **GET** /api/v1/watch/namespaces/{namespace}/events | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedLimitRange**](docs/CoreV1Api.md#watchCoreV1NamespacedLimitRange) | **GET** /api/v1/watch/namespaces/{namespace}/limitranges/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedLimitRangeList**](docs/CoreV1Api.md#watchCoreV1NamespacedLimitRangeList) | **GET** /api/v1/watch/namespaces/{namespace}/limitranges | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedPersistentVolumeClaim**](docs/CoreV1Api.md#watchCoreV1NamespacedPersistentVolumeClaim) | **GET** /api/v1/watch/namespaces/{namespace}/persistentvolumeclaims/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedPersistentVolumeClaimList**](docs/CoreV1Api.md#watchCoreV1NamespacedPersistentVolumeClaimList) | **GET** /api/v1/watch/namespaces/{namespace}/persistentvolumeclaims | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedPod**](docs/CoreV1Api.md#watchCoreV1NamespacedPod) | **GET** /api/v1/watch/namespaces/{namespace}/pods/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedPodList**](docs/CoreV1Api.md#watchCoreV1NamespacedPodList) | **GET** /api/v1/watch/namespaces/{namespace}/pods | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedPodTemplate**](docs/CoreV1Api.md#watchCoreV1NamespacedPodTemplate) | **GET** /api/v1/watch/namespaces/{namespace}/podtemplates/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedPodTemplateList**](docs/CoreV1Api.md#watchCoreV1NamespacedPodTemplateList) | **GET** /api/v1/watch/namespaces/{namespace}/podtemplates | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedReplicationController**](docs/CoreV1Api.md#watchCoreV1NamespacedReplicationController) | **GET** /api/v1/watch/namespaces/{namespace}/replicationcontrollers/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedReplicationControllerList**](docs/CoreV1Api.md#watchCoreV1NamespacedReplicationControllerList) | **GET** /api/v1/watch/namespaces/{namespace}/replicationcontrollers | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedResourceQuota**](docs/CoreV1Api.md#watchCoreV1NamespacedResourceQuota) | **GET** /api/v1/watch/namespaces/{namespace}/resourcequotas/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedResourceQuotaList**](docs/CoreV1Api.md#watchCoreV1NamespacedResourceQuotaList) | **GET** /api/v1/watch/namespaces/{namespace}/resourcequotas | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedSecret**](docs/CoreV1Api.md#watchCoreV1NamespacedSecret) | **GET** /api/v1/watch/namespaces/{namespace}/secrets/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedSecretList**](docs/CoreV1Api.md#watchCoreV1NamespacedSecretList) | **GET** /api/v1/watch/namespaces/{namespace}/secrets | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedService**](docs/CoreV1Api.md#watchCoreV1NamespacedService) | **GET** /api/v1/watch/namespaces/{namespace}/services/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedServiceAccount**](docs/CoreV1Api.md#watchCoreV1NamespacedServiceAccount) | **GET** /api/v1/watch/namespaces/{namespace}/serviceaccounts/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedServiceAccountList**](docs/CoreV1Api.md#watchCoreV1NamespacedServiceAccountList) | **GET** /api/v1/watch/namespaces/{namespace}/serviceaccounts | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NamespacedServiceList**](docs/CoreV1Api.md#watchCoreV1NamespacedServiceList) | **GET** /api/v1/watch/namespaces/{namespace}/services | 
*Kubernetes.CoreV1Api* | [**watchCoreV1Node**](docs/CoreV1Api.md#watchCoreV1Node) | **GET** /api/v1/watch/nodes/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1NodeList**](docs/CoreV1Api.md#watchCoreV1NodeList) | **GET** /api/v1/watch/nodes | 
*Kubernetes.CoreV1Api* | [**watchCoreV1PersistentVolume**](docs/CoreV1Api.md#watchCoreV1PersistentVolume) | **GET** /api/v1/watch/persistentvolumes/{name} | 
*Kubernetes.CoreV1Api* | [**watchCoreV1PersistentVolumeClaimListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1PersistentVolumeClaimListForAllNamespaces) | **GET** /api/v1/watch/persistentvolumeclaims | 
*Kubernetes.CoreV1Api* | [**watchCoreV1PersistentVolumeList**](docs/CoreV1Api.md#watchCoreV1PersistentVolumeList) | **GET** /api/v1/watch/persistentvolumes | 
*Kubernetes.CoreV1Api* | [**watchCoreV1PodListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1PodListForAllNamespaces) | **GET** /api/v1/watch/pods | 
*Kubernetes.CoreV1Api* | [**watchCoreV1PodTemplateListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1PodTemplateListForAllNamespaces) | **GET** /api/v1/watch/podtemplates | 
*Kubernetes.CoreV1Api* | [**watchCoreV1ReplicationControllerListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1ReplicationControllerListForAllNamespaces) | **GET** /api/v1/watch/replicationcontrollers | 
*Kubernetes.CoreV1Api* | [**watchCoreV1ResourceQuotaListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1ResourceQuotaListForAllNamespaces) | **GET** /api/v1/watch/resourcequotas | 
*Kubernetes.CoreV1Api* | [**watchCoreV1SecretListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1SecretListForAllNamespaces) | **GET** /api/v1/watch/secrets | 
*Kubernetes.CoreV1Api* | [**watchCoreV1ServiceAccountListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1ServiceAccountListForAllNamespaces) | **GET** /api/v1/watch/serviceaccounts | 
*Kubernetes.CoreV1Api* | [**watchCoreV1ServiceListForAllNamespaces**](docs/CoreV1Api.md#watchCoreV1ServiceListForAllNamespaces) | **GET** /api/v1/watch/services | 
*Kubernetes.DiscoveryApi* | [**getDiscoveryAPIGroup**](docs/DiscoveryApi.md#getDiscoveryAPIGroup) | **GET** /apis/discovery.k8s.io/ | 
*Kubernetes.DiscoveryV1Api* | [**createDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#createDiscoveryV1NamespacedEndpointSlice) | **POST** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices | 
*Kubernetes.DiscoveryV1Api* | [**deleteDiscoveryV1CollectionNamespacedEndpointSlice**](docs/DiscoveryV1Api.md#deleteDiscoveryV1CollectionNamespacedEndpointSlice) | **DELETE** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices | 
*Kubernetes.DiscoveryV1Api* | [**deleteDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#deleteDiscoveryV1NamespacedEndpointSlice) | **DELETE** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices/{name} | 
*Kubernetes.DiscoveryV1Api* | [**getDiscoveryV1APIResources**](docs/DiscoveryV1Api.md#getDiscoveryV1APIResources) | **GET** /apis/discovery.k8s.io/v1/ | 
*Kubernetes.DiscoveryV1Api* | [**listDiscoveryV1EndpointSliceForAllNamespaces**](docs/DiscoveryV1Api.md#listDiscoveryV1EndpointSliceForAllNamespaces) | **GET** /apis/discovery.k8s.io/v1/endpointslices | 
*Kubernetes.DiscoveryV1Api* | [**listDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#listDiscoveryV1NamespacedEndpointSlice) | **GET** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices | 
*Kubernetes.DiscoveryV1Api* | [**patchDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#patchDiscoveryV1NamespacedEndpointSlice) | **PATCH** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices/{name} | 
*Kubernetes.DiscoveryV1Api* | [**readDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#readDiscoveryV1NamespacedEndpointSlice) | **GET** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices/{name} | 
*Kubernetes.DiscoveryV1Api* | [**replaceDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#replaceDiscoveryV1NamespacedEndpointSlice) | **PUT** /apis/discovery.k8s.io/v1/namespaces/{namespace}/endpointslices/{name} | 
*Kubernetes.DiscoveryV1Api* | [**watchDiscoveryV1EndpointSliceListForAllNamespaces**](docs/DiscoveryV1Api.md#watchDiscoveryV1EndpointSliceListForAllNamespaces) | **GET** /apis/discovery.k8s.io/v1/watch/endpointslices | 
*Kubernetes.DiscoveryV1Api* | [**watchDiscoveryV1NamespacedEndpointSlice**](docs/DiscoveryV1Api.md#watchDiscoveryV1NamespacedEndpointSlice) | **GET** /apis/discovery.k8s.io/v1/watch/namespaces/{namespace}/endpointslices/{name} | 
*Kubernetes.DiscoveryV1Api* | [**watchDiscoveryV1NamespacedEndpointSliceList**](docs/DiscoveryV1Api.md#watchDiscoveryV1NamespacedEndpointSliceList) | **GET** /apis/discovery.k8s.io/v1/watch/namespaces/{namespace}/endpointslices | 
*Kubernetes.EventsApi* | [**getEventsAPIGroup**](docs/EventsApi.md#getEventsAPIGroup) | **GET** /apis/events.k8s.io/ | 
*Kubernetes.EventsV1Api* | [**createEventsV1NamespacedEvent**](docs/EventsV1Api.md#createEventsV1NamespacedEvent) | **POST** /apis/events.k8s.io/v1/namespaces/{namespace}/events | 
*Kubernetes.EventsV1Api* | [**deleteEventsV1CollectionNamespacedEvent**](docs/EventsV1Api.md#deleteEventsV1CollectionNamespacedEvent) | **DELETE** /apis/events.k8s.io/v1/namespaces/{namespace}/events | 
*Kubernetes.EventsV1Api* | [**deleteEventsV1NamespacedEvent**](docs/EventsV1Api.md#deleteEventsV1NamespacedEvent) | **DELETE** /apis/events.k8s.io/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.EventsV1Api* | [**getEventsV1APIResources**](docs/EventsV1Api.md#getEventsV1APIResources) | **GET** /apis/events.k8s.io/v1/ | 
*Kubernetes.EventsV1Api* | [**listEventsV1EventForAllNamespaces**](docs/EventsV1Api.md#listEventsV1EventForAllNamespaces) | **GET** /apis/events.k8s.io/v1/events | 
*Kubernetes.EventsV1Api* | [**listEventsV1NamespacedEvent**](docs/EventsV1Api.md#listEventsV1NamespacedEvent) | **GET** /apis/events.k8s.io/v1/namespaces/{namespace}/events | 
*Kubernetes.EventsV1Api* | [**patchEventsV1NamespacedEvent**](docs/EventsV1Api.md#patchEventsV1NamespacedEvent) | **PATCH** /apis/events.k8s.io/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.EventsV1Api* | [**readEventsV1NamespacedEvent**](docs/EventsV1Api.md#readEventsV1NamespacedEvent) | **GET** /apis/events.k8s.io/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.EventsV1Api* | [**replaceEventsV1NamespacedEvent**](docs/EventsV1Api.md#replaceEventsV1NamespacedEvent) | **PUT** /apis/events.k8s.io/v1/namespaces/{namespace}/events/{name} | 
*Kubernetes.EventsV1Api* | [**watchEventsV1EventListForAllNamespaces**](docs/EventsV1Api.md#watchEventsV1EventListForAllNamespaces) | **GET** /apis/events.k8s.io/v1/watch/events | 
*Kubernetes.EventsV1Api* | [**watchEventsV1NamespacedEvent**](docs/EventsV1Api.md#watchEventsV1NamespacedEvent) | **GET** /apis/events.k8s.io/v1/watch/namespaces/{namespace}/events/{name} | 
*Kubernetes.EventsV1Api* | [**watchEventsV1NamespacedEventList**](docs/EventsV1Api.md#watchEventsV1NamespacedEventList) | **GET** /apis/events.k8s.io/v1/watch/namespaces/{namespace}/events | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**createFlowVolcanoShV1alpha1NamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#createFlowVolcanoShV1alpha1NamespacedJobFlow) | **POST** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**createFlowVolcanoShV1alpha1NamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#createFlowVolcanoShV1alpha1NamespacedJobTemplate) | **POST** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**deleteFlowVolcanoShV1alpha1CollectionNamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#deleteFlowVolcanoShV1alpha1CollectionNamespacedJobFlow) | **DELETE** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**deleteFlowVolcanoShV1alpha1CollectionNamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#deleteFlowVolcanoShV1alpha1CollectionNamespacedJobTemplate) | **DELETE** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**deleteFlowVolcanoShV1alpha1NamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#deleteFlowVolcanoShV1alpha1NamespacedJobFlow) | **DELETE** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**deleteFlowVolcanoShV1alpha1NamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#deleteFlowVolcanoShV1alpha1NamespacedJobTemplate) | **DELETE** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**listFlowVolcanoShV1alpha1JobFlowForAllNamespaces**](docs/FlowVolcanoShV1alpha1Api.md#listFlowVolcanoShV1alpha1JobFlowForAllNamespaces) | **GET** /apis/flow.volcano.sh/v1alpha1/jobflows | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**listFlowVolcanoShV1alpha1JobTemplateForAllNamespaces**](docs/FlowVolcanoShV1alpha1Api.md#listFlowVolcanoShV1alpha1JobTemplateForAllNamespaces) | **GET** /apis/flow.volcano.sh/v1alpha1/jobtemplates | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**listFlowVolcanoShV1alpha1NamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#listFlowVolcanoShV1alpha1NamespacedJobFlow) | **GET** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**listFlowVolcanoShV1alpha1NamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#listFlowVolcanoShV1alpha1NamespacedJobTemplate) | **GET** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**patchFlowVolcanoShV1alpha1NamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#patchFlowVolcanoShV1alpha1NamespacedJobFlow) | **PATCH** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**patchFlowVolcanoShV1alpha1NamespacedJobFlowStatus**](docs/FlowVolcanoShV1alpha1Api.md#patchFlowVolcanoShV1alpha1NamespacedJobFlowStatus) | **PATCH** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name}/status | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**patchFlowVolcanoShV1alpha1NamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#patchFlowVolcanoShV1alpha1NamespacedJobTemplate) | **PATCH** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**patchFlowVolcanoShV1alpha1NamespacedJobTemplateStatus**](docs/FlowVolcanoShV1alpha1Api.md#patchFlowVolcanoShV1alpha1NamespacedJobTemplateStatus) | **PATCH** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name}/status | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**readFlowVolcanoShV1alpha1NamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#readFlowVolcanoShV1alpha1NamespacedJobFlow) | **GET** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**readFlowVolcanoShV1alpha1NamespacedJobFlowStatus**](docs/FlowVolcanoShV1alpha1Api.md#readFlowVolcanoShV1alpha1NamespacedJobFlowStatus) | **GET** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name}/status | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**readFlowVolcanoShV1alpha1NamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#readFlowVolcanoShV1alpha1NamespacedJobTemplate) | **GET** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**readFlowVolcanoShV1alpha1NamespacedJobTemplateStatus**](docs/FlowVolcanoShV1alpha1Api.md#readFlowVolcanoShV1alpha1NamespacedJobTemplateStatus) | **GET** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name}/status | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**replaceFlowVolcanoShV1alpha1NamespacedJobFlow**](docs/FlowVolcanoShV1alpha1Api.md#replaceFlowVolcanoShV1alpha1NamespacedJobFlow) | **PUT** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**replaceFlowVolcanoShV1alpha1NamespacedJobFlowStatus**](docs/FlowVolcanoShV1alpha1Api.md#replaceFlowVolcanoShV1alpha1NamespacedJobFlowStatus) | **PUT** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobflows/{name}/status | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**replaceFlowVolcanoShV1alpha1NamespacedJobTemplate**](docs/FlowVolcanoShV1alpha1Api.md#replaceFlowVolcanoShV1alpha1NamespacedJobTemplate) | **PUT** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name} | 
*Kubernetes.FlowVolcanoShV1alpha1Api* | [**replaceFlowVolcanoShV1alpha1NamespacedJobTemplateStatus**](docs/FlowVolcanoShV1alpha1Api.md#replaceFlowVolcanoShV1alpha1NamespacedJobTemplateStatus) | **PUT** /apis/flow.volcano.sh/v1alpha1/namespaces/{namespace}/jobtemplates/{name}/status | 
*Kubernetes.FlowcontrolApiserverApi* | [**getFlowcontrolApiserverAPIGroup**](docs/FlowcontrolApiserverApi.md#getFlowcontrolApiserverAPIGroup) | **GET** /apis/flowcontrol.apiserver.k8s.io/ | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**createFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#createFlowcontrolApiserverV1FlowSchema) | **POST** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**createFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#createFlowcontrolApiserverV1PriorityLevelConfiguration) | **POST** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**deleteFlowcontrolApiserverV1CollectionFlowSchema**](docs/FlowcontrolApiserverV1Api.md#deleteFlowcontrolApiserverV1CollectionFlowSchema) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**deleteFlowcontrolApiserverV1CollectionPriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#deleteFlowcontrolApiserverV1CollectionPriorityLevelConfiguration) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**deleteFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#deleteFlowcontrolApiserverV1FlowSchema) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**deleteFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#deleteFlowcontrolApiserverV1PriorityLevelConfiguration) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**getFlowcontrolApiserverV1APIResources**](docs/FlowcontrolApiserverV1Api.md#getFlowcontrolApiserverV1APIResources) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/ | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**listFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#listFlowcontrolApiserverV1FlowSchema) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**listFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#listFlowcontrolApiserverV1PriorityLevelConfiguration) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**patchFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#patchFlowcontrolApiserverV1FlowSchema) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**patchFlowcontrolApiserverV1FlowSchemaStatus**](docs/FlowcontrolApiserverV1Api.md#patchFlowcontrolApiserverV1FlowSchemaStatus) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**patchFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#patchFlowcontrolApiserverV1PriorityLevelConfiguration) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**patchFlowcontrolApiserverV1PriorityLevelConfigurationStatus**](docs/FlowcontrolApiserverV1Api.md#patchFlowcontrolApiserverV1PriorityLevelConfigurationStatus) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**readFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#readFlowcontrolApiserverV1FlowSchema) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**readFlowcontrolApiserverV1FlowSchemaStatus**](docs/FlowcontrolApiserverV1Api.md#readFlowcontrolApiserverV1FlowSchemaStatus) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**readFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#readFlowcontrolApiserverV1PriorityLevelConfiguration) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**readFlowcontrolApiserverV1PriorityLevelConfigurationStatus**](docs/FlowcontrolApiserverV1Api.md#readFlowcontrolApiserverV1PriorityLevelConfigurationStatus) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**replaceFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#replaceFlowcontrolApiserverV1FlowSchema) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**replaceFlowcontrolApiserverV1FlowSchemaStatus**](docs/FlowcontrolApiserverV1Api.md#replaceFlowcontrolApiserverV1FlowSchemaStatus) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1/flowschemas/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**replaceFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#replaceFlowcontrolApiserverV1PriorityLevelConfiguration) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**replaceFlowcontrolApiserverV1PriorityLevelConfigurationStatus**](docs/FlowcontrolApiserverV1Api.md#replaceFlowcontrolApiserverV1PriorityLevelConfigurationStatus) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1/prioritylevelconfigurations/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**watchFlowcontrolApiserverV1FlowSchema**](docs/FlowcontrolApiserverV1Api.md#watchFlowcontrolApiserverV1FlowSchema) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/watch/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**watchFlowcontrolApiserverV1FlowSchemaList**](docs/FlowcontrolApiserverV1Api.md#watchFlowcontrolApiserverV1FlowSchemaList) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/watch/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**watchFlowcontrolApiserverV1PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1Api.md#watchFlowcontrolApiserverV1PriorityLevelConfiguration) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/watch/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1Api* | [**watchFlowcontrolApiserverV1PriorityLevelConfigurationList**](docs/FlowcontrolApiserverV1Api.md#watchFlowcontrolApiserverV1PriorityLevelConfigurationList) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1/watch/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**createFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#createFlowcontrolApiserverV1beta3FlowSchema) | **POST** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**createFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#createFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **POST** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**deleteFlowcontrolApiserverV1beta3CollectionFlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#deleteFlowcontrolApiserverV1beta3CollectionFlowSchema) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**deleteFlowcontrolApiserverV1beta3CollectionPriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#deleteFlowcontrolApiserverV1beta3CollectionPriorityLevelConfiguration) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**deleteFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#deleteFlowcontrolApiserverV1beta3FlowSchema) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**deleteFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#deleteFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **DELETE** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**getFlowcontrolApiserverV1beta3APIResources**](docs/FlowcontrolApiserverV1beta3Api.md#getFlowcontrolApiserverV1beta3APIResources) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/ | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**listFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#listFlowcontrolApiserverV1beta3FlowSchema) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**listFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#listFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**patchFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#patchFlowcontrolApiserverV1beta3FlowSchema) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**patchFlowcontrolApiserverV1beta3FlowSchemaStatus**](docs/FlowcontrolApiserverV1beta3Api.md#patchFlowcontrolApiserverV1beta3FlowSchemaStatus) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**patchFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#patchFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**patchFlowcontrolApiserverV1beta3PriorityLevelConfigurationStatus**](docs/FlowcontrolApiserverV1beta3Api.md#patchFlowcontrolApiserverV1beta3PriorityLevelConfigurationStatus) | **PATCH** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**readFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#readFlowcontrolApiserverV1beta3FlowSchema) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**readFlowcontrolApiserverV1beta3FlowSchemaStatus**](docs/FlowcontrolApiserverV1beta3Api.md#readFlowcontrolApiserverV1beta3FlowSchemaStatus) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**readFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#readFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**readFlowcontrolApiserverV1beta3PriorityLevelConfigurationStatus**](docs/FlowcontrolApiserverV1beta3Api.md#readFlowcontrolApiserverV1beta3PriorityLevelConfigurationStatus) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**replaceFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#replaceFlowcontrolApiserverV1beta3FlowSchema) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**replaceFlowcontrolApiserverV1beta3FlowSchemaStatus**](docs/FlowcontrolApiserverV1beta3Api.md#replaceFlowcontrolApiserverV1beta3FlowSchemaStatus) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1beta3/flowschemas/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**replaceFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#replaceFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**replaceFlowcontrolApiserverV1beta3PriorityLevelConfigurationStatus**](docs/FlowcontrolApiserverV1beta3Api.md#replaceFlowcontrolApiserverV1beta3PriorityLevelConfigurationStatus) | **PUT** /apis/flowcontrol.apiserver.k8s.io/v1beta3/prioritylevelconfigurations/{name}/status | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**watchFlowcontrolApiserverV1beta3FlowSchema**](docs/FlowcontrolApiserverV1beta3Api.md#watchFlowcontrolApiserverV1beta3FlowSchema) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/watch/flowschemas/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**watchFlowcontrolApiserverV1beta3FlowSchemaList**](docs/FlowcontrolApiserverV1beta3Api.md#watchFlowcontrolApiserverV1beta3FlowSchemaList) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/watch/flowschemas | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**watchFlowcontrolApiserverV1beta3PriorityLevelConfiguration**](docs/FlowcontrolApiserverV1beta3Api.md#watchFlowcontrolApiserverV1beta3PriorityLevelConfiguration) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/watch/prioritylevelconfigurations/{name} | 
*Kubernetes.FlowcontrolApiserverV1beta3Api* | [**watchFlowcontrolApiserverV1beta3PriorityLevelConfigurationList**](docs/FlowcontrolApiserverV1beta3Api.md#watchFlowcontrolApiserverV1beta3PriorityLevelConfigurationList) | **GET** /apis/flowcontrol.apiserver.k8s.io/v1beta3/watch/prioritylevelconfigurations | 
*Kubernetes.LogsApi* | [**logFileHandler**](docs/LogsApi.md#logFileHandler) | **GET** /logs/{logpath} | 
*Kubernetes.LogsApi* | [**logFileListHandler**](docs/LogsApi.md#logFileListHandler) | **GET** /logs/ | 
*Kubernetes.NetworkingApi* | [**getNetworkingAPIGroup**](docs/NetworkingApi.md#getNetworkingAPIGroup) | **GET** /apis/networking.k8s.io/ | 
*Kubernetes.NetworkingV1Api* | [**createNetworkingV1IngressClass**](docs/NetworkingV1Api.md#createNetworkingV1IngressClass) | **POST** /apis/networking.k8s.io/v1/ingressclasses | 
*Kubernetes.NetworkingV1Api* | [**createNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#createNetworkingV1NamespacedIngress) | **POST** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses | 
*Kubernetes.NetworkingV1Api* | [**createNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#createNetworkingV1NamespacedNetworkPolicy) | **POST** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies | 
*Kubernetes.NetworkingV1Api* | [**deleteNetworkingV1CollectionIngressClass**](docs/NetworkingV1Api.md#deleteNetworkingV1CollectionIngressClass) | **DELETE** /apis/networking.k8s.io/v1/ingressclasses | 
*Kubernetes.NetworkingV1Api* | [**deleteNetworkingV1CollectionNamespacedIngress**](docs/NetworkingV1Api.md#deleteNetworkingV1CollectionNamespacedIngress) | **DELETE** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses | 
*Kubernetes.NetworkingV1Api* | [**deleteNetworkingV1CollectionNamespacedNetworkPolicy**](docs/NetworkingV1Api.md#deleteNetworkingV1CollectionNamespacedNetworkPolicy) | **DELETE** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies | 
*Kubernetes.NetworkingV1Api* | [**deleteNetworkingV1IngressClass**](docs/NetworkingV1Api.md#deleteNetworkingV1IngressClass) | **DELETE** /apis/networking.k8s.io/v1/ingressclasses/{name} | 
*Kubernetes.NetworkingV1Api* | [**deleteNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#deleteNetworkingV1NamespacedIngress) | **DELETE** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name} | 
*Kubernetes.NetworkingV1Api* | [**deleteNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#deleteNetworkingV1NamespacedNetworkPolicy) | **DELETE** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies/{name} | 
*Kubernetes.NetworkingV1Api* | [**getNetworkingV1APIResources**](docs/NetworkingV1Api.md#getNetworkingV1APIResources) | **GET** /apis/networking.k8s.io/v1/ | 
*Kubernetes.NetworkingV1Api* | [**listNetworkingV1IngressClass**](docs/NetworkingV1Api.md#listNetworkingV1IngressClass) | **GET** /apis/networking.k8s.io/v1/ingressclasses | 
*Kubernetes.NetworkingV1Api* | [**listNetworkingV1IngressForAllNamespaces**](docs/NetworkingV1Api.md#listNetworkingV1IngressForAllNamespaces) | **GET** /apis/networking.k8s.io/v1/ingresses | 
*Kubernetes.NetworkingV1Api* | [**listNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#listNetworkingV1NamespacedIngress) | **GET** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses | 
*Kubernetes.NetworkingV1Api* | [**listNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#listNetworkingV1NamespacedNetworkPolicy) | **GET** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies | 
*Kubernetes.NetworkingV1Api* | [**listNetworkingV1NetworkPolicyForAllNamespaces**](docs/NetworkingV1Api.md#listNetworkingV1NetworkPolicyForAllNamespaces) | **GET** /apis/networking.k8s.io/v1/networkpolicies | 
*Kubernetes.NetworkingV1Api* | [**patchNetworkingV1IngressClass**](docs/NetworkingV1Api.md#patchNetworkingV1IngressClass) | **PATCH** /apis/networking.k8s.io/v1/ingressclasses/{name} | 
*Kubernetes.NetworkingV1Api* | [**patchNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#patchNetworkingV1NamespacedIngress) | **PATCH** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name} | 
*Kubernetes.NetworkingV1Api* | [**patchNetworkingV1NamespacedIngressStatus**](docs/NetworkingV1Api.md#patchNetworkingV1NamespacedIngressStatus) | **PATCH** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name}/status | 
*Kubernetes.NetworkingV1Api* | [**patchNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#patchNetworkingV1NamespacedNetworkPolicy) | **PATCH** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies/{name} | 
*Kubernetes.NetworkingV1Api* | [**readNetworkingV1IngressClass**](docs/NetworkingV1Api.md#readNetworkingV1IngressClass) | **GET** /apis/networking.k8s.io/v1/ingressclasses/{name} | 
*Kubernetes.NetworkingV1Api* | [**readNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#readNetworkingV1NamespacedIngress) | **GET** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name} | 
*Kubernetes.NetworkingV1Api* | [**readNetworkingV1NamespacedIngressStatus**](docs/NetworkingV1Api.md#readNetworkingV1NamespacedIngressStatus) | **GET** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name}/status | 
*Kubernetes.NetworkingV1Api* | [**readNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#readNetworkingV1NamespacedNetworkPolicy) | **GET** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies/{name} | 
*Kubernetes.NetworkingV1Api* | [**replaceNetworkingV1IngressClass**](docs/NetworkingV1Api.md#replaceNetworkingV1IngressClass) | **PUT** /apis/networking.k8s.io/v1/ingressclasses/{name} | 
*Kubernetes.NetworkingV1Api* | [**replaceNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#replaceNetworkingV1NamespacedIngress) | **PUT** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name} | 
*Kubernetes.NetworkingV1Api* | [**replaceNetworkingV1NamespacedIngressStatus**](docs/NetworkingV1Api.md#replaceNetworkingV1NamespacedIngressStatus) | **PUT** /apis/networking.k8s.io/v1/namespaces/{namespace}/ingresses/{name}/status | 
*Kubernetes.NetworkingV1Api* | [**replaceNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#replaceNetworkingV1NamespacedNetworkPolicy) | **PUT** /apis/networking.k8s.io/v1/namespaces/{namespace}/networkpolicies/{name} | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1IngressClass**](docs/NetworkingV1Api.md#watchNetworkingV1IngressClass) | **GET** /apis/networking.k8s.io/v1/watch/ingressclasses/{name} | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1IngressClassList**](docs/NetworkingV1Api.md#watchNetworkingV1IngressClassList) | **GET** /apis/networking.k8s.io/v1/watch/ingressclasses | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1IngressListForAllNamespaces**](docs/NetworkingV1Api.md#watchNetworkingV1IngressListForAllNamespaces) | **GET** /apis/networking.k8s.io/v1/watch/ingresses | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1NamespacedIngress**](docs/NetworkingV1Api.md#watchNetworkingV1NamespacedIngress) | **GET** /apis/networking.k8s.io/v1/watch/namespaces/{namespace}/ingresses/{name} | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1NamespacedIngressList**](docs/NetworkingV1Api.md#watchNetworkingV1NamespacedIngressList) | **GET** /apis/networking.k8s.io/v1/watch/namespaces/{namespace}/ingresses | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1NamespacedNetworkPolicy**](docs/NetworkingV1Api.md#watchNetworkingV1NamespacedNetworkPolicy) | **GET** /apis/networking.k8s.io/v1/watch/namespaces/{namespace}/networkpolicies/{name} | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1NamespacedNetworkPolicyList**](docs/NetworkingV1Api.md#watchNetworkingV1NamespacedNetworkPolicyList) | **GET** /apis/networking.k8s.io/v1/watch/namespaces/{namespace}/networkpolicies | 
*Kubernetes.NetworkingV1Api* | [**watchNetworkingV1NetworkPolicyListForAllNamespaces**](docs/NetworkingV1Api.md#watchNetworkingV1NetworkPolicyListForAllNamespaces) | **GET** /apis/networking.k8s.io/v1/watch/networkpolicies | 
*Kubernetes.NodeApi* | [**getNodeAPIGroup**](docs/NodeApi.md#getNodeAPIGroup) | **GET** /apis/node.k8s.io/ | 
*Kubernetes.NodeV1Api* | [**createNodeV1RuntimeClass**](docs/NodeV1Api.md#createNodeV1RuntimeClass) | **POST** /apis/node.k8s.io/v1/runtimeclasses | 
*Kubernetes.NodeV1Api* | [**deleteNodeV1CollectionRuntimeClass**](docs/NodeV1Api.md#deleteNodeV1CollectionRuntimeClass) | **DELETE** /apis/node.k8s.io/v1/runtimeclasses | 
*Kubernetes.NodeV1Api* | [**deleteNodeV1RuntimeClass**](docs/NodeV1Api.md#deleteNodeV1RuntimeClass) | **DELETE** /apis/node.k8s.io/v1/runtimeclasses/{name} | 
*Kubernetes.NodeV1Api* | [**getNodeV1APIResources**](docs/NodeV1Api.md#getNodeV1APIResources) | **GET** /apis/node.k8s.io/v1/ | 
*Kubernetes.NodeV1Api* | [**listNodeV1RuntimeClass**](docs/NodeV1Api.md#listNodeV1RuntimeClass) | **GET** /apis/node.k8s.io/v1/runtimeclasses | 
*Kubernetes.NodeV1Api* | [**patchNodeV1RuntimeClass**](docs/NodeV1Api.md#patchNodeV1RuntimeClass) | **PATCH** /apis/node.k8s.io/v1/runtimeclasses/{name} | 
*Kubernetes.NodeV1Api* | [**readNodeV1RuntimeClass**](docs/NodeV1Api.md#readNodeV1RuntimeClass) | **GET** /apis/node.k8s.io/v1/runtimeclasses/{name} | 
*Kubernetes.NodeV1Api* | [**replaceNodeV1RuntimeClass**](docs/NodeV1Api.md#replaceNodeV1RuntimeClass) | **PUT** /apis/node.k8s.io/v1/runtimeclasses/{name} | 
*Kubernetes.NodeV1Api* | [**watchNodeV1RuntimeClass**](docs/NodeV1Api.md#watchNodeV1RuntimeClass) | **GET** /apis/node.k8s.io/v1/watch/runtimeclasses/{name} | 
*Kubernetes.NodeV1Api* | [**watchNodeV1RuntimeClassList**](docs/NodeV1Api.md#watchNodeV1RuntimeClassList) | **GET** /apis/node.k8s.io/v1/watch/runtimeclasses | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**createNodeinfoVolcanoShV1alpha1Numatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#createNodeinfoVolcanoShV1alpha1Numatopology) | **POST** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**deleteNodeinfoVolcanoShV1alpha1CollectionNumatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#deleteNodeinfoVolcanoShV1alpha1CollectionNumatopology) | **DELETE** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**deleteNodeinfoVolcanoShV1alpha1Numatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#deleteNodeinfoVolcanoShV1alpha1Numatopology) | **DELETE** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies/{name} | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**listNodeinfoVolcanoShV1alpha1Numatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#listNodeinfoVolcanoShV1alpha1Numatopology) | **GET** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**patchNodeinfoVolcanoShV1alpha1Numatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#patchNodeinfoVolcanoShV1alpha1Numatopology) | **PATCH** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies/{name} | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**readNodeinfoVolcanoShV1alpha1Numatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#readNodeinfoVolcanoShV1alpha1Numatopology) | **GET** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies/{name} | 
*Kubernetes.NodeinfoVolcanoShV1alpha1Api* | [**replaceNodeinfoVolcanoShV1alpha1Numatopology**](docs/NodeinfoVolcanoShV1alpha1Api.md#replaceNodeinfoVolcanoShV1alpha1Numatopology) | **PUT** /apis/nodeinfo.volcano.sh/v1alpha1/numatopologies/{name} | 
*Kubernetes.OpenidApi* | [**getServiceAccountIssuerOpenIDKeyset**](docs/OpenidApi.md#getServiceAccountIssuerOpenIDKeyset) | **GET** /openid/v1/jwks/ | 
*Kubernetes.PolicyApi* | [**getPolicyAPIGroup**](docs/PolicyApi.md#getPolicyAPIGroup) | **GET** /apis/policy/ | 
*Kubernetes.PolicyV1Api* | [**createPolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#createPolicyV1NamespacedPodDisruptionBudget) | **POST** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets | 
*Kubernetes.PolicyV1Api* | [**deletePolicyV1CollectionNamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#deletePolicyV1CollectionNamespacedPodDisruptionBudget) | **DELETE** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets | 
*Kubernetes.PolicyV1Api* | [**deletePolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#deletePolicyV1NamespacedPodDisruptionBudget) | **DELETE** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name} | 
*Kubernetes.PolicyV1Api* | [**getPolicyV1APIResources**](docs/PolicyV1Api.md#getPolicyV1APIResources) | **GET** /apis/policy/v1/ | 
*Kubernetes.PolicyV1Api* | [**listPolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#listPolicyV1NamespacedPodDisruptionBudget) | **GET** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets | 
*Kubernetes.PolicyV1Api* | [**listPolicyV1PodDisruptionBudgetForAllNamespaces**](docs/PolicyV1Api.md#listPolicyV1PodDisruptionBudgetForAllNamespaces) | **GET** /apis/policy/v1/poddisruptionbudgets | 
*Kubernetes.PolicyV1Api* | [**patchPolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#patchPolicyV1NamespacedPodDisruptionBudget) | **PATCH** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name} | 
*Kubernetes.PolicyV1Api* | [**patchPolicyV1NamespacedPodDisruptionBudgetStatus**](docs/PolicyV1Api.md#patchPolicyV1NamespacedPodDisruptionBudgetStatus) | **PATCH** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name}/status | 
*Kubernetes.PolicyV1Api* | [**readPolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#readPolicyV1NamespacedPodDisruptionBudget) | **GET** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name} | 
*Kubernetes.PolicyV1Api* | [**readPolicyV1NamespacedPodDisruptionBudgetStatus**](docs/PolicyV1Api.md#readPolicyV1NamespacedPodDisruptionBudgetStatus) | **GET** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name}/status | 
*Kubernetes.PolicyV1Api* | [**replacePolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#replacePolicyV1NamespacedPodDisruptionBudget) | **PUT** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name} | 
*Kubernetes.PolicyV1Api* | [**replacePolicyV1NamespacedPodDisruptionBudgetStatus**](docs/PolicyV1Api.md#replacePolicyV1NamespacedPodDisruptionBudgetStatus) | **PUT** /apis/policy/v1/namespaces/{namespace}/poddisruptionbudgets/{name}/status | 
*Kubernetes.PolicyV1Api* | [**watchPolicyV1NamespacedPodDisruptionBudget**](docs/PolicyV1Api.md#watchPolicyV1NamespacedPodDisruptionBudget) | **GET** /apis/policy/v1/watch/namespaces/{namespace}/poddisruptionbudgets/{name} | 
*Kubernetes.PolicyV1Api* | [**watchPolicyV1NamespacedPodDisruptionBudgetList**](docs/PolicyV1Api.md#watchPolicyV1NamespacedPodDisruptionBudgetList) | **GET** /apis/policy/v1/watch/namespaces/{namespace}/poddisruptionbudgets | 
*Kubernetes.PolicyV1Api* | [**watchPolicyV1PodDisruptionBudgetListForAllNamespaces**](docs/PolicyV1Api.md#watchPolicyV1PodDisruptionBudgetListForAllNamespaces) | **GET** /apis/policy/v1/watch/poddisruptionbudgets | 
*Kubernetes.RbacAuthorizationApi* | [**getRbacAuthorizationAPIGroup**](docs/RbacAuthorizationApi.md#getRbacAuthorizationAPIGroup) | **GET** /apis/rbac.authorization.k8s.io/ | 
*Kubernetes.RbacAuthorizationV1Api* | [**createRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#createRbacAuthorizationV1ClusterRole) | **POST** /apis/rbac.authorization.k8s.io/v1/clusterroles | 
*Kubernetes.RbacAuthorizationV1Api* | [**createRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#createRbacAuthorizationV1ClusterRoleBinding) | **POST** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**createRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#createRbacAuthorizationV1NamespacedRole) | **POST** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles | 
*Kubernetes.RbacAuthorizationV1Api* | [**createRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#createRbacAuthorizationV1NamespacedRoleBinding) | **POST** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1ClusterRole) | **DELETE** /apis/rbac.authorization.k8s.io/v1/clusterroles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1ClusterRoleBinding) | **DELETE** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1CollectionClusterRole**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1CollectionClusterRole) | **DELETE** /apis/rbac.authorization.k8s.io/v1/clusterroles | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1CollectionClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1CollectionClusterRoleBinding) | **DELETE** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1CollectionNamespacedRole**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1CollectionNamespacedRole) | **DELETE** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1CollectionNamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1CollectionNamespacedRoleBinding) | **DELETE** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1NamespacedRole) | **DELETE** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**deleteRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#deleteRbacAuthorizationV1NamespacedRoleBinding) | **DELETE** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**getRbacAuthorizationV1APIResources**](docs/RbacAuthorizationV1Api.md#getRbacAuthorizationV1APIResources) | **GET** /apis/rbac.authorization.k8s.io/v1/ | 
*Kubernetes.RbacAuthorizationV1Api* | [**listRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#listRbacAuthorizationV1ClusterRole) | **GET** /apis/rbac.authorization.k8s.io/v1/clusterroles | 
*Kubernetes.RbacAuthorizationV1Api* | [**listRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#listRbacAuthorizationV1ClusterRoleBinding) | **GET** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**listRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#listRbacAuthorizationV1NamespacedRole) | **GET** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles | 
*Kubernetes.RbacAuthorizationV1Api* | [**listRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#listRbacAuthorizationV1NamespacedRoleBinding) | **GET** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**listRbacAuthorizationV1RoleBindingForAllNamespaces**](docs/RbacAuthorizationV1Api.md#listRbacAuthorizationV1RoleBindingForAllNamespaces) | **GET** /apis/rbac.authorization.k8s.io/v1/rolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**listRbacAuthorizationV1RoleForAllNamespaces**](docs/RbacAuthorizationV1Api.md#listRbacAuthorizationV1RoleForAllNamespaces) | **GET** /apis/rbac.authorization.k8s.io/v1/roles | 
*Kubernetes.RbacAuthorizationV1Api* | [**patchRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#patchRbacAuthorizationV1ClusterRole) | **PATCH** /apis/rbac.authorization.k8s.io/v1/clusterroles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**patchRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#patchRbacAuthorizationV1ClusterRoleBinding) | **PATCH** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**patchRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#patchRbacAuthorizationV1NamespacedRole) | **PATCH** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**patchRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#patchRbacAuthorizationV1NamespacedRoleBinding) | **PATCH** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**readRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#readRbacAuthorizationV1ClusterRole) | **GET** /apis/rbac.authorization.k8s.io/v1/clusterroles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**readRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#readRbacAuthorizationV1ClusterRoleBinding) | **GET** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**readRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#readRbacAuthorizationV1NamespacedRole) | **GET** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**readRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#readRbacAuthorizationV1NamespacedRoleBinding) | **GET** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**replaceRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#replaceRbacAuthorizationV1ClusterRole) | **PUT** /apis/rbac.authorization.k8s.io/v1/clusterroles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**replaceRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#replaceRbacAuthorizationV1ClusterRoleBinding) | **PUT** /apis/rbac.authorization.k8s.io/v1/clusterrolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**replaceRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#replaceRbacAuthorizationV1NamespacedRole) | **PUT** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/roles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**replaceRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#replaceRbacAuthorizationV1NamespacedRoleBinding) | **PUT** /apis/rbac.authorization.k8s.io/v1/namespaces/{namespace}/rolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1ClusterRole**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1ClusterRole) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/clusterroles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1ClusterRoleBinding**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1ClusterRoleBinding) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/clusterrolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1ClusterRoleBindingList**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1ClusterRoleBindingList) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/clusterrolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1ClusterRoleList**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1ClusterRoleList) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/clusterroles | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1NamespacedRole**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1NamespacedRole) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/namespaces/{namespace}/roles/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1NamespacedRoleBinding**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1NamespacedRoleBinding) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/namespaces/{namespace}/rolebindings/{name} | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1NamespacedRoleBindingList**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1NamespacedRoleBindingList) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/namespaces/{namespace}/rolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1NamespacedRoleList**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1NamespacedRoleList) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/namespaces/{namespace}/roles | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1RoleBindingListForAllNamespaces**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1RoleBindingListForAllNamespaces) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/rolebindings | 
*Kubernetes.RbacAuthorizationV1Api* | [**watchRbacAuthorizationV1RoleListForAllNamespaces**](docs/RbacAuthorizationV1Api.md#watchRbacAuthorizationV1RoleListForAllNamespaces) | **GET** /apis/rbac.authorization.k8s.io/v1/watch/roles | 
*Kubernetes.SchedulingApi* | [**getSchedulingAPIGroup**](docs/SchedulingApi.md#getSchedulingAPIGroup) | **GET** /apis/scheduling.k8s.io/ | 
*Kubernetes.SchedulingV1Api* | [**createSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#createSchedulingV1PriorityClass) | **POST** /apis/scheduling.k8s.io/v1/priorityclasses | 
*Kubernetes.SchedulingV1Api* | [**deleteSchedulingV1CollectionPriorityClass**](docs/SchedulingV1Api.md#deleteSchedulingV1CollectionPriorityClass) | **DELETE** /apis/scheduling.k8s.io/v1/priorityclasses | 
*Kubernetes.SchedulingV1Api* | [**deleteSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#deleteSchedulingV1PriorityClass) | **DELETE** /apis/scheduling.k8s.io/v1/priorityclasses/{name} | 
*Kubernetes.SchedulingV1Api* | [**getSchedulingV1APIResources**](docs/SchedulingV1Api.md#getSchedulingV1APIResources) | **GET** /apis/scheduling.k8s.io/v1/ | 
*Kubernetes.SchedulingV1Api* | [**listSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#listSchedulingV1PriorityClass) | **GET** /apis/scheduling.k8s.io/v1/priorityclasses | 
*Kubernetes.SchedulingV1Api* | [**patchSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#patchSchedulingV1PriorityClass) | **PATCH** /apis/scheduling.k8s.io/v1/priorityclasses/{name} | 
*Kubernetes.SchedulingV1Api* | [**readSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#readSchedulingV1PriorityClass) | **GET** /apis/scheduling.k8s.io/v1/priorityclasses/{name} | 
*Kubernetes.SchedulingV1Api* | [**replaceSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#replaceSchedulingV1PriorityClass) | **PUT** /apis/scheduling.k8s.io/v1/priorityclasses/{name} | 
*Kubernetes.SchedulingV1Api* | [**watchSchedulingV1PriorityClass**](docs/SchedulingV1Api.md#watchSchedulingV1PriorityClass) | **GET** /apis/scheduling.k8s.io/v1/watch/priorityclasses/{name} | 
*Kubernetes.SchedulingV1Api* | [**watchSchedulingV1PriorityClassList**](docs/SchedulingV1Api.md#watchSchedulingV1PriorityClassList) | **GET** /apis/scheduling.k8s.io/v1/watch/priorityclasses | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**createSchedulingVolcanoShV1beta1NamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#createSchedulingVolcanoShV1beta1NamespacedPodGroup) | **POST** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**createSchedulingVolcanoShV1beta1Queue**](docs/SchedulingVolcanoShV1beta1Api.md#createSchedulingVolcanoShV1beta1Queue) | **POST** /apis/scheduling.volcano.sh/v1beta1/queues | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**deleteSchedulingVolcanoShV1beta1CollectionNamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#deleteSchedulingVolcanoShV1beta1CollectionNamespacedPodGroup) | **DELETE** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**deleteSchedulingVolcanoShV1beta1CollectionQueue**](docs/SchedulingVolcanoShV1beta1Api.md#deleteSchedulingVolcanoShV1beta1CollectionQueue) | **DELETE** /apis/scheduling.volcano.sh/v1beta1/queues | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**deleteSchedulingVolcanoShV1beta1NamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#deleteSchedulingVolcanoShV1beta1NamespacedPodGroup) | **DELETE** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**deleteSchedulingVolcanoShV1beta1Queue**](docs/SchedulingVolcanoShV1beta1Api.md#deleteSchedulingVolcanoShV1beta1Queue) | **DELETE** /apis/scheduling.volcano.sh/v1beta1/queues/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**listSchedulingVolcanoShV1beta1NamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#listSchedulingVolcanoShV1beta1NamespacedPodGroup) | **GET** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**listSchedulingVolcanoShV1beta1PodGroupForAllNamespaces**](docs/SchedulingVolcanoShV1beta1Api.md#listSchedulingVolcanoShV1beta1PodGroupForAllNamespaces) | **GET** /apis/scheduling.volcano.sh/v1beta1/podgroups | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**listSchedulingVolcanoShV1beta1Queue**](docs/SchedulingVolcanoShV1beta1Api.md#listSchedulingVolcanoShV1beta1Queue) | **GET** /apis/scheduling.volcano.sh/v1beta1/queues | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**patchSchedulingVolcanoShV1beta1NamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#patchSchedulingVolcanoShV1beta1NamespacedPodGroup) | **PATCH** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**patchSchedulingVolcanoShV1beta1Queue**](docs/SchedulingVolcanoShV1beta1Api.md#patchSchedulingVolcanoShV1beta1Queue) | **PATCH** /apis/scheduling.volcano.sh/v1beta1/queues/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**patchSchedulingVolcanoShV1beta1QueueStatus**](docs/SchedulingVolcanoShV1beta1Api.md#patchSchedulingVolcanoShV1beta1QueueStatus) | **PATCH** /apis/scheduling.volcano.sh/v1beta1/queues/{name}/status | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**readSchedulingVolcanoShV1beta1NamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#readSchedulingVolcanoShV1beta1NamespacedPodGroup) | **GET** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**readSchedulingVolcanoShV1beta1Queue**](docs/SchedulingVolcanoShV1beta1Api.md#readSchedulingVolcanoShV1beta1Queue) | **GET** /apis/scheduling.volcano.sh/v1beta1/queues/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**readSchedulingVolcanoShV1beta1QueueStatus**](docs/SchedulingVolcanoShV1beta1Api.md#readSchedulingVolcanoShV1beta1QueueStatus) | **GET** /apis/scheduling.volcano.sh/v1beta1/queues/{name}/status | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**replaceSchedulingVolcanoShV1beta1NamespacedPodGroup**](docs/SchedulingVolcanoShV1beta1Api.md#replaceSchedulingVolcanoShV1beta1NamespacedPodGroup) | **PUT** /apis/scheduling.volcano.sh/v1beta1/namespaces/{namespace}/podgroups/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**replaceSchedulingVolcanoShV1beta1Queue**](docs/SchedulingVolcanoShV1beta1Api.md#replaceSchedulingVolcanoShV1beta1Queue) | **PUT** /apis/scheduling.volcano.sh/v1beta1/queues/{name} | 
*Kubernetes.SchedulingVolcanoShV1beta1Api* | [**replaceSchedulingVolcanoShV1beta1QueueStatus**](docs/SchedulingVolcanoShV1beta1Api.md#replaceSchedulingVolcanoShV1beta1QueueStatus) | **PUT** /apis/scheduling.volcano.sh/v1beta1/queues/{name}/status | 
*Kubernetes.StorageApi* | [**getStorageAPIGroup**](docs/StorageApi.md#getStorageAPIGroup) | **GET** /apis/storage.k8s.io/ | 
*Kubernetes.StorageV1Api* | [**createStorageV1CSIDriver**](docs/StorageV1Api.md#createStorageV1CSIDriver) | **POST** /apis/storage.k8s.io/v1/csidrivers | 
*Kubernetes.StorageV1Api* | [**createStorageV1CSINode**](docs/StorageV1Api.md#createStorageV1CSINode) | **POST** /apis/storage.k8s.io/v1/csinodes | 
*Kubernetes.StorageV1Api* | [**createStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#createStorageV1NamespacedCSIStorageCapacity) | **POST** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities | 
*Kubernetes.StorageV1Api* | [**createStorageV1StorageClass**](docs/StorageV1Api.md#createStorageV1StorageClass) | **POST** /apis/storage.k8s.io/v1/storageclasses | 
*Kubernetes.StorageV1Api* | [**createStorageV1VolumeAttachment**](docs/StorageV1Api.md#createStorageV1VolumeAttachment) | **POST** /apis/storage.k8s.io/v1/volumeattachments | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CSIDriver**](docs/StorageV1Api.md#deleteStorageV1CSIDriver) | **DELETE** /apis/storage.k8s.io/v1/csidrivers/{name} | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CSINode**](docs/StorageV1Api.md#deleteStorageV1CSINode) | **DELETE** /apis/storage.k8s.io/v1/csinodes/{name} | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CollectionCSIDriver**](docs/StorageV1Api.md#deleteStorageV1CollectionCSIDriver) | **DELETE** /apis/storage.k8s.io/v1/csidrivers | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CollectionCSINode**](docs/StorageV1Api.md#deleteStorageV1CollectionCSINode) | **DELETE** /apis/storage.k8s.io/v1/csinodes | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CollectionNamespacedCSIStorageCapacity**](docs/StorageV1Api.md#deleteStorageV1CollectionNamespacedCSIStorageCapacity) | **DELETE** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CollectionStorageClass**](docs/StorageV1Api.md#deleteStorageV1CollectionStorageClass) | **DELETE** /apis/storage.k8s.io/v1/storageclasses | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1CollectionVolumeAttachment**](docs/StorageV1Api.md#deleteStorageV1CollectionVolumeAttachment) | **DELETE** /apis/storage.k8s.io/v1/volumeattachments | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#deleteStorageV1NamespacedCSIStorageCapacity) | **DELETE** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities/{name} | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1StorageClass**](docs/StorageV1Api.md#deleteStorageV1StorageClass) | **DELETE** /apis/storage.k8s.io/v1/storageclasses/{name} | 
*Kubernetes.StorageV1Api* | [**deleteStorageV1VolumeAttachment**](docs/StorageV1Api.md#deleteStorageV1VolumeAttachment) | **DELETE** /apis/storage.k8s.io/v1/volumeattachments/{name} | 
*Kubernetes.StorageV1Api* | [**getStorageV1APIResources**](docs/StorageV1Api.md#getStorageV1APIResources) | **GET** /apis/storage.k8s.io/v1/ | 
*Kubernetes.StorageV1Api* | [**listStorageV1CSIDriver**](docs/StorageV1Api.md#listStorageV1CSIDriver) | **GET** /apis/storage.k8s.io/v1/csidrivers | 
*Kubernetes.StorageV1Api* | [**listStorageV1CSINode**](docs/StorageV1Api.md#listStorageV1CSINode) | **GET** /apis/storage.k8s.io/v1/csinodes | 
*Kubernetes.StorageV1Api* | [**listStorageV1CSIStorageCapacityForAllNamespaces**](docs/StorageV1Api.md#listStorageV1CSIStorageCapacityForAllNamespaces) | **GET** /apis/storage.k8s.io/v1/csistoragecapacities | 
*Kubernetes.StorageV1Api* | [**listStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#listStorageV1NamespacedCSIStorageCapacity) | **GET** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities | 
*Kubernetes.StorageV1Api* | [**listStorageV1StorageClass**](docs/StorageV1Api.md#listStorageV1StorageClass) | **GET** /apis/storage.k8s.io/v1/storageclasses | 
*Kubernetes.StorageV1Api* | [**listStorageV1VolumeAttachment**](docs/StorageV1Api.md#listStorageV1VolumeAttachment) | **GET** /apis/storage.k8s.io/v1/volumeattachments | 
*Kubernetes.StorageV1Api* | [**patchStorageV1CSIDriver**](docs/StorageV1Api.md#patchStorageV1CSIDriver) | **PATCH** /apis/storage.k8s.io/v1/csidrivers/{name} | 
*Kubernetes.StorageV1Api* | [**patchStorageV1CSINode**](docs/StorageV1Api.md#patchStorageV1CSINode) | **PATCH** /apis/storage.k8s.io/v1/csinodes/{name} | 
*Kubernetes.StorageV1Api* | [**patchStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#patchStorageV1NamespacedCSIStorageCapacity) | **PATCH** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities/{name} | 
*Kubernetes.StorageV1Api* | [**patchStorageV1StorageClass**](docs/StorageV1Api.md#patchStorageV1StorageClass) | **PATCH** /apis/storage.k8s.io/v1/storageclasses/{name} | 
*Kubernetes.StorageV1Api* | [**patchStorageV1VolumeAttachment**](docs/StorageV1Api.md#patchStorageV1VolumeAttachment) | **PATCH** /apis/storage.k8s.io/v1/volumeattachments/{name} | 
*Kubernetes.StorageV1Api* | [**patchStorageV1VolumeAttachmentStatus**](docs/StorageV1Api.md#patchStorageV1VolumeAttachmentStatus) | **PATCH** /apis/storage.k8s.io/v1/volumeattachments/{name}/status | 
*Kubernetes.StorageV1Api* | [**readStorageV1CSIDriver**](docs/StorageV1Api.md#readStorageV1CSIDriver) | **GET** /apis/storage.k8s.io/v1/csidrivers/{name} | 
*Kubernetes.StorageV1Api* | [**readStorageV1CSINode**](docs/StorageV1Api.md#readStorageV1CSINode) | **GET** /apis/storage.k8s.io/v1/csinodes/{name} | 
*Kubernetes.StorageV1Api* | [**readStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#readStorageV1NamespacedCSIStorageCapacity) | **GET** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities/{name} | 
*Kubernetes.StorageV1Api* | [**readStorageV1StorageClass**](docs/StorageV1Api.md#readStorageV1StorageClass) | **GET** /apis/storage.k8s.io/v1/storageclasses/{name} | 
*Kubernetes.StorageV1Api* | [**readStorageV1VolumeAttachment**](docs/StorageV1Api.md#readStorageV1VolumeAttachment) | **GET** /apis/storage.k8s.io/v1/volumeattachments/{name} | 
*Kubernetes.StorageV1Api* | [**readStorageV1VolumeAttachmentStatus**](docs/StorageV1Api.md#readStorageV1VolumeAttachmentStatus) | **GET** /apis/storage.k8s.io/v1/volumeattachments/{name}/status | 
*Kubernetes.StorageV1Api* | [**replaceStorageV1CSIDriver**](docs/StorageV1Api.md#replaceStorageV1CSIDriver) | **PUT** /apis/storage.k8s.io/v1/csidrivers/{name} | 
*Kubernetes.StorageV1Api* | [**replaceStorageV1CSINode**](docs/StorageV1Api.md#replaceStorageV1CSINode) | **PUT** /apis/storage.k8s.io/v1/csinodes/{name} | 
*Kubernetes.StorageV1Api* | [**replaceStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#replaceStorageV1NamespacedCSIStorageCapacity) | **PUT** /apis/storage.k8s.io/v1/namespaces/{namespace}/csistoragecapacities/{name} | 
*Kubernetes.StorageV1Api* | [**replaceStorageV1StorageClass**](docs/StorageV1Api.md#replaceStorageV1StorageClass) | **PUT** /apis/storage.k8s.io/v1/storageclasses/{name} | 
*Kubernetes.StorageV1Api* | [**replaceStorageV1VolumeAttachment**](docs/StorageV1Api.md#replaceStorageV1VolumeAttachment) | **PUT** /apis/storage.k8s.io/v1/volumeattachments/{name} | 
*Kubernetes.StorageV1Api* | [**replaceStorageV1VolumeAttachmentStatus**](docs/StorageV1Api.md#replaceStorageV1VolumeAttachmentStatus) | **PUT** /apis/storage.k8s.io/v1/volumeattachments/{name}/status | 
*Kubernetes.StorageV1Api* | [**watchStorageV1CSIDriver**](docs/StorageV1Api.md#watchStorageV1CSIDriver) | **GET** /apis/storage.k8s.io/v1/watch/csidrivers/{name} | 
*Kubernetes.StorageV1Api* | [**watchStorageV1CSIDriverList**](docs/StorageV1Api.md#watchStorageV1CSIDriverList) | **GET** /apis/storage.k8s.io/v1/watch/csidrivers | 
*Kubernetes.StorageV1Api* | [**watchStorageV1CSINode**](docs/StorageV1Api.md#watchStorageV1CSINode) | **GET** /apis/storage.k8s.io/v1/watch/csinodes/{name} | 
*Kubernetes.StorageV1Api* | [**watchStorageV1CSINodeList**](docs/StorageV1Api.md#watchStorageV1CSINodeList) | **GET** /apis/storage.k8s.io/v1/watch/csinodes | 
*Kubernetes.StorageV1Api* | [**watchStorageV1CSIStorageCapacityListForAllNamespaces**](docs/StorageV1Api.md#watchStorageV1CSIStorageCapacityListForAllNamespaces) | **GET** /apis/storage.k8s.io/v1/watch/csistoragecapacities | 
*Kubernetes.StorageV1Api* | [**watchStorageV1NamespacedCSIStorageCapacity**](docs/StorageV1Api.md#watchStorageV1NamespacedCSIStorageCapacity) | **GET** /apis/storage.k8s.io/v1/watch/namespaces/{namespace}/csistoragecapacities/{name} | 
*Kubernetes.StorageV1Api* | [**watchStorageV1NamespacedCSIStorageCapacityList**](docs/StorageV1Api.md#watchStorageV1NamespacedCSIStorageCapacityList) | **GET** /apis/storage.k8s.io/v1/watch/namespaces/{namespace}/csistoragecapacities | 
*Kubernetes.StorageV1Api* | [**watchStorageV1StorageClass**](docs/StorageV1Api.md#watchStorageV1StorageClass) | **GET** /apis/storage.k8s.io/v1/watch/storageclasses/{name} | 
*Kubernetes.StorageV1Api* | [**watchStorageV1StorageClassList**](docs/StorageV1Api.md#watchStorageV1StorageClassList) | **GET** /apis/storage.k8s.io/v1/watch/storageclasses | 
*Kubernetes.StorageV1Api* | [**watchStorageV1VolumeAttachment**](docs/StorageV1Api.md#watchStorageV1VolumeAttachment) | **GET** /apis/storage.k8s.io/v1/watch/volumeattachments/{name} | 
*Kubernetes.StorageV1Api* | [**watchStorageV1VolumeAttachmentList**](docs/StorageV1Api.md#watchStorageV1VolumeAttachmentList) | **GET** /apis/storage.k8s.io/v1/watch/volumeattachments | 
*Kubernetes.VersionApi* | [**getCodeVersion**](docs/VersionApi.md#getCodeVersion) | **GET** /version/ | 
*Kubernetes.WellKnownApi* | [**getServiceAccountIssuerOpenIDConfiguration**](docs/WellKnownApi.md#getServiceAccountIssuerOpenIDConfiguration) | **GET** /.well-known/openid-configuration/ | 


## Documentation for Models

 - [Kubernetes.IoK8sApiAdmissionregistrationV1AuditAnnotation](docs/IoK8sApiAdmissionregistrationV1AuditAnnotation.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ExpressionWarning](docs/IoK8sApiAdmissionregistrationV1ExpressionWarning.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1MatchCondition](docs/IoK8sApiAdmissionregistrationV1MatchCondition.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1MatchResources](docs/IoK8sApiAdmissionregistrationV1MatchResources.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1MutatingWebhook](docs/IoK8sApiAdmissionregistrationV1MutatingWebhook.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1MutatingWebhookConfiguration](docs/IoK8sApiAdmissionregistrationV1MutatingWebhookConfiguration.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1MutatingWebhookConfigurationList](docs/IoK8sApiAdmissionregistrationV1MutatingWebhookConfigurationList.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1NamedRuleWithOperations](docs/IoK8sApiAdmissionregistrationV1NamedRuleWithOperations.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ParamKind](docs/IoK8sApiAdmissionregistrationV1ParamKind.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ParamRef](docs/IoK8sApiAdmissionregistrationV1ParamRef.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1RuleWithOperations](docs/IoK8sApiAdmissionregistrationV1RuleWithOperations.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ServiceReference](docs/IoK8sApiAdmissionregistrationV1ServiceReference.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1TypeChecking](docs/IoK8sApiAdmissionregistrationV1TypeChecking.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicy](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicy.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyBinding](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyBinding.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyBindingList](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyBindingList.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyBindingSpec](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyBindingSpec.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyList](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyList.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicySpec](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicySpec.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyStatus](docs/IoK8sApiAdmissionregistrationV1ValidatingAdmissionPolicyStatus.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingWebhook](docs/IoK8sApiAdmissionregistrationV1ValidatingWebhook.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingWebhookConfiguration](docs/IoK8sApiAdmissionregistrationV1ValidatingWebhookConfiguration.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1ValidatingWebhookConfigurationList](docs/IoK8sApiAdmissionregistrationV1ValidatingWebhookConfigurationList.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1Validation](docs/IoK8sApiAdmissionregistrationV1Validation.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1Variable](docs/IoK8sApiAdmissionregistrationV1Variable.md)
 - [Kubernetes.IoK8sApiAdmissionregistrationV1WebhookClientConfig](docs/IoK8sApiAdmissionregistrationV1WebhookClientConfig.md)
 - [Kubernetes.IoK8sApiAppsV1ControllerRevision](docs/IoK8sApiAppsV1ControllerRevision.md)
 - [Kubernetes.IoK8sApiAppsV1ControllerRevisionList](docs/IoK8sApiAppsV1ControllerRevisionList.md)
 - [Kubernetes.IoK8sApiAppsV1DaemonSet](docs/IoK8sApiAppsV1DaemonSet.md)
 - [Kubernetes.IoK8sApiAppsV1DaemonSetCondition](docs/IoK8sApiAppsV1DaemonSetCondition.md)
 - [Kubernetes.IoK8sApiAppsV1DaemonSetList](docs/IoK8sApiAppsV1DaemonSetList.md)
 - [Kubernetes.IoK8sApiAppsV1DaemonSetSpec](docs/IoK8sApiAppsV1DaemonSetSpec.md)
 - [Kubernetes.IoK8sApiAppsV1DaemonSetStatus](docs/IoK8sApiAppsV1DaemonSetStatus.md)
 - [Kubernetes.IoK8sApiAppsV1DaemonSetUpdateStrategy](docs/IoK8sApiAppsV1DaemonSetUpdateStrategy.md)
 - [Kubernetes.IoK8sApiAppsV1Deployment](docs/IoK8sApiAppsV1Deployment.md)
 - [Kubernetes.IoK8sApiAppsV1DeploymentCondition](docs/IoK8sApiAppsV1DeploymentCondition.md)
 - [Kubernetes.IoK8sApiAppsV1DeploymentList](docs/IoK8sApiAppsV1DeploymentList.md)
 - [Kubernetes.IoK8sApiAppsV1DeploymentSpec](docs/IoK8sApiAppsV1DeploymentSpec.md)
 - [Kubernetes.IoK8sApiAppsV1DeploymentStatus](docs/IoK8sApiAppsV1DeploymentStatus.md)
 - [Kubernetes.IoK8sApiAppsV1DeploymentStrategy](docs/IoK8sApiAppsV1DeploymentStrategy.md)
 - [Kubernetes.IoK8sApiAppsV1ReplicaSet](docs/IoK8sApiAppsV1ReplicaSet.md)
 - [Kubernetes.IoK8sApiAppsV1ReplicaSetCondition](docs/IoK8sApiAppsV1ReplicaSetCondition.md)
 - [Kubernetes.IoK8sApiAppsV1ReplicaSetList](docs/IoK8sApiAppsV1ReplicaSetList.md)
 - [Kubernetes.IoK8sApiAppsV1ReplicaSetSpec](docs/IoK8sApiAppsV1ReplicaSetSpec.md)
 - [Kubernetes.IoK8sApiAppsV1ReplicaSetStatus](docs/IoK8sApiAppsV1ReplicaSetStatus.md)
 - [Kubernetes.IoK8sApiAppsV1RollingUpdateDaemonSet](docs/IoK8sApiAppsV1RollingUpdateDaemonSet.md)
 - [Kubernetes.IoK8sApiAppsV1RollingUpdateDeployment](docs/IoK8sApiAppsV1RollingUpdateDeployment.md)
 - [Kubernetes.IoK8sApiAppsV1RollingUpdateStatefulSetStrategy](docs/IoK8sApiAppsV1RollingUpdateStatefulSetStrategy.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSet](docs/IoK8sApiAppsV1StatefulSet.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetCondition](docs/IoK8sApiAppsV1StatefulSetCondition.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetList](docs/IoK8sApiAppsV1StatefulSetList.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetOrdinals](docs/IoK8sApiAppsV1StatefulSetOrdinals.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetPersistentVolumeClaimRetentionPolicy](docs/IoK8sApiAppsV1StatefulSetPersistentVolumeClaimRetentionPolicy.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetSpec](docs/IoK8sApiAppsV1StatefulSetSpec.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetStatus](docs/IoK8sApiAppsV1StatefulSetStatus.md)
 - [Kubernetes.IoK8sApiAppsV1StatefulSetUpdateStrategy](docs/IoK8sApiAppsV1StatefulSetUpdateStrategy.md)
 - [Kubernetes.IoK8sApiAuthenticationV1BoundObjectReference](docs/IoK8sApiAuthenticationV1BoundObjectReference.md)
 - [Kubernetes.IoK8sApiAuthenticationV1SelfSubjectReview](docs/IoK8sApiAuthenticationV1SelfSubjectReview.md)
 - [Kubernetes.IoK8sApiAuthenticationV1SelfSubjectReviewStatus](docs/IoK8sApiAuthenticationV1SelfSubjectReviewStatus.md)
 - [Kubernetes.IoK8sApiAuthenticationV1TokenRequest](docs/IoK8sApiAuthenticationV1TokenRequest.md)
 - [Kubernetes.IoK8sApiAuthenticationV1TokenRequestSpec](docs/IoK8sApiAuthenticationV1TokenRequestSpec.md)
 - [Kubernetes.IoK8sApiAuthenticationV1TokenRequestStatus](docs/IoK8sApiAuthenticationV1TokenRequestStatus.md)
 - [Kubernetes.IoK8sApiAuthenticationV1TokenReview](docs/IoK8sApiAuthenticationV1TokenReview.md)
 - [Kubernetes.IoK8sApiAuthenticationV1TokenReviewSpec](docs/IoK8sApiAuthenticationV1TokenReviewSpec.md)
 - [Kubernetes.IoK8sApiAuthenticationV1TokenReviewStatus](docs/IoK8sApiAuthenticationV1TokenReviewStatus.md)
 - [Kubernetes.IoK8sApiAuthenticationV1UserInfo](docs/IoK8sApiAuthenticationV1UserInfo.md)
 - [Kubernetes.IoK8sApiAuthorizationV1LocalSubjectAccessReview](docs/IoK8sApiAuthorizationV1LocalSubjectAccessReview.md)
 - [Kubernetes.IoK8sApiAuthorizationV1NonResourceAttributes](docs/IoK8sApiAuthorizationV1NonResourceAttributes.md)
 - [Kubernetes.IoK8sApiAuthorizationV1NonResourceRule](docs/IoK8sApiAuthorizationV1NonResourceRule.md)
 - [Kubernetes.IoK8sApiAuthorizationV1ResourceAttributes](docs/IoK8sApiAuthorizationV1ResourceAttributes.md)
 - [Kubernetes.IoK8sApiAuthorizationV1ResourceRule](docs/IoK8sApiAuthorizationV1ResourceRule.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SelfSubjectAccessReview](docs/IoK8sApiAuthorizationV1SelfSubjectAccessReview.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SelfSubjectAccessReviewSpec](docs/IoK8sApiAuthorizationV1SelfSubjectAccessReviewSpec.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SelfSubjectRulesReview](docs/IoK8sApiAuthorizationV1SelfSubjectRulesReview.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SelfSubjectRulesReviewSpec](docs/IoK8sApiAuthorizationV1SelfSubjectRulesReviewSpec.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SubjectAccessReview](docs/IoK8sApiAuthorizationV1SubjectAccessReview.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SubjectAccessReviewSpec](docs/IoK8sApiAuthorizationV1SubjectAccessReviewSpec.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SubjectAccessReviewStatus](docs/IoK8sApiAuthorizationV1SubjectAccessReviewStatus.md)
 - [Kubernetes.IoK8sApiAuthorizationV1SubjectRulesReviewStatus](docs/IoK8sApiAuthorizationV1SubjectRulesReviewStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV1CrossVersionObjectReference](docs/IoK8sApiAutoscalingV1CrossVersionObjectReference.md)
 - [Kubernetes.IoK8sApiAutoscalingV1HorizontalPodAutoscaler](docs/IoK8sApiAutoscalingV1HorizontalPodAutoscaler.md)
 - [Kubernetes.IoK8sApiAutoscalingV1HorizontalPodAutoscalerList](docs/IoK8sApiAutoscalingV1HorizontalPodAutoscalerList.md)
 - [Kubernetes.IoK8sApiAutoscalingV1HorizontalPodAutoscalerSpec](docs/IoK8sApiAutoscalingV1HorizontalPodAutoscalerSpec.md)
 - [Kubernetes.IoK8sApiAutoscalingV1HorizontalPodAutoscalerStatus](docs/IoK8sApiAutoscalingV1HorizontalPodAutoscalerStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV1Scale](docs/IoK8sApiAutoscalingV1Scale.md)
 - [Kubernetes.IoK8sApiAutoscalingV1ScaleSpec](docs/IoK8sApiAutoscalingV1ScaleSpec.md)
 - [Kubernetes.IoK8sApiAutoscalingV1ScaleStatus](docs/IoK8sApiAutoscalingV1ScaleStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ContainerResourceMetricSource](docs/IoK8sApiAutoscalingV2ContainerResourceMetricSource.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ContainerResourceMetricStatus](docs/IoK8sApiAutoscalingV2ContainerResourceMetricStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2CrossVersionObjectReference](docs/IoK8sApiAutoscalingV2CrossVersionObjectReference.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ExternalMetricSource](docs/IoK8sApiAutoscalingV2ExternalMetricSource.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ExternalMetricStatus](docs/IoK8sApiAutoscalingV2ExternalMetricStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HPAScalingPolicy](docs/IoK8sApiAutoscalingV2HPAScalingPolicy.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HPAScalingRules](docs/IoK8sApiAutoscalingV2HPAScalingRules.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HorizontalPodAutoscaler](docs/IoK8sApiAutoscalingV2HorizontalPodAutoscaler.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HorizontalPodAutoscalerBehavior](docs/IoK8sApiAutoscalingV2HorizontalPodAutoscalerBehavior.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HorizontalPodAutoscalerCondition](docs/IoK8sApiAutoscalingV2HorizontalPodAutoscalerCondition.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HorizontalPodAutoscalerList](docs/IoK8sApiAutoscalingV2HorizontalPodAutoscalerList.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HorizontalPodAutoscalerSpec](docs/IoK8sApiAutoscalingV2HorizontalPodAutoscalerSpec.md)
 - [Kubernetes.IoK8sApiAutoscalingV2HorizontalPodAutoscalerStatus](docs/IoK8sApiAutoscalingV2HorizontalPodAutoscalerStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2MetricIdentifier](docs/IoK8sApiAutoscalingV2MetricIdentifier.md)
 - [Kubernetes.IoK8sApiAutoscalingV2MetricSpec](docs/IoK8sApiAutoscalingV2MetricSpec.md)
 - [Kubernetes.IoK8sApiAutoscalingV2MetricStatus](docs/IoK8sApiAutoscalingV2MetricStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2MetricTarget](docs/IoK8sApiAutoscalingV2MetricTarget.md)
 - [Kubernetes.IoK8sApiAutoscalingV2MetricValueStatus](docs/IoK8sApiAutoscalingV2MetricValueStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ObjectMetricSource](docs/IoK8sApiAutoscalingV2ObjectMetricSource.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ObjectMetricStatus](docs/IoK8sApiAutoscalingV2ObjectMetricStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2PodsMetricSource](docs/IoK8sApiAutoscalingV2PodsMetricSource.md)
 - [Kubernetes.IoK8sApiAutoscalingV2PodsMetricStatus](docs/IoK8sApiAutoscalingV2PodsMetricStatus.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ResourceMetricSource](docs/IoK8sApiAutoscalingV2ResourceMetricSource.md)
 - [Kubernetes.IoK8sApiAutoscalingV2ResourceMetricStatus](docs/IoK8sApiAutoscalingV2ResourceMetricStatus.md)
 - [Kubernetes.IoK8sApiBatchV1CronJob](docs/IoK8sApiBatchV1CronJob.md)
 - [Kubernetes.IoK8sApiBatchV1CronJobList](docs/IoK8sApiBatchV1CronJobList.md)
 - [Kubernetes.IoK8sApiBatchV1CronJobSpec](docs/IoK8sApiBatchV1CronJobSpec.md)
 - [Kubernetes.IoK8sApiBatchV1CronJobStatus](docs/IoK8sApiBatchV1CronJobStatus.md)
 - [Kubernetes.IoK8sApiBatchV1Job](docs/IoK8sApiBatchV1Job.md)
 - [Kubernetes.IoK8sApiBatchV1JobCondition](docs/IoK8sApiBatchV1JobCondition.md)
 - [Kubernetes.IoK8sApiBatchV1JobList](docs/IoK8sApiBatchV1JobList.md)
 - [Kubernetes.IoK8sApiBatchV1JobSpec](docs/IoK8sApiBatchV1JobSpec.md)
 - [Kubernetes.IoK8sApiBatchV1JobStatus](docs/IoK8sApiBatchV1JobStatus.md)
 - [Kubernetes.IoK8sApiBatchV1JobTemplateSpec](docs/IoK8sApiBatchV1JobTemplateSpec.md)
 - [Kubernetes.IoK8sApiBatchV1PodFailurePolicy](docs/IoK8sApiBatchV1PodFailurePolicy.md)
 - [Kubernetes.IoK8sApiBatchV1PodFailurePolicyOnExitCodesRequirement](docs/IoK8sApiBatchV1PodFailurePolicyOnExitCodesRequirement.md)
 - [Kubernetes.IoK8sApiBatchV1PodFailurePolicyOnPodConditionsPattern](docs/IoK8sApiBatchV1PodFailurePolicyOnPodConditionsPattern.md)
 - [Kubernetes.IoK8sApiBatchV1PodFailurePolicyRule](docs/IoK8sApiBatchV1PodFailurePolicyRule.md)
 - [Kubernetes.IoK8sApiBatchV1SuccessPolicy](docs/IoK8sApiBatchV1SuccessPolicy.md)
 - [Kubernetes.IoK8sApiBatchV1SuccessPolicyRule](docs/IoK8sApiBatchV1SuccessPolicyRule.md)
 - [Kubernetes.IoK8sApiBatchV1UncountedTerminatedPods](docs/IoK8sApiBatchV1UncountedTerminatedPods.md)
 - [Kubernetes.IoK8sApiCertificatesV1CertificateSigningRequest](docs/IoK8sApiCertificatesV1CertificateSigningRequest.md)
 - [Kubernetes.IoK8sApiCertificatesV1CertificateSigningRequestCondition](docs/IoK8sApiCertificatesV1CertificateSigningRequestCondition.md)
 - [Kubernetes.IoK8sApiCertificatesV1CertificateSigningRequestList](docs/IoK8sApiCertificatesV1CertificateSigningRequestList.md)
 - [Kubernetes.IoK8sApiCertificatesV1CertificateSigningRequestSpec](docs/IoK8sApiCertificatesV1CertificateSigningRequestSpec.md)
 - [Kubernetes.IoK8sApiCertificatesV1CertificateSigningRequestStatus](docs/IoK8sApiCertificatesV1CertificateSigningRequestStatus.md)
 - [Kubernetes.IoK8sApiCoordinationV1Lease](docs/IoK8sApiCoordinationV1Lease.md)
 - [Kubernetes.IoK8sApiCoordinationV1LeaseList](docs/IoK8sApiCoordinationV1LeaseList.md)
 - [Kubernetes.IoK8sApiCoordinationV1LeaseSpec](docs/IoK8sApiCoordinationV1LeaseSpec.md)
 - [Kubernetes.IoK8sApiCoreV1AWSElasticBlockStoreVolumeSource](docs/IoK8sApiCoreV1AWSElasticBlockStoreVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Affinity](docs/IoK8sApiCoreV1Affinity.md)
 - [Kubernetes.IoK8sApiCoreV1AppArmorProfile](docs/IoK8sApiCoreV1AppArmorProfile.md)
 - [Kubernetes.IoK8sApiCoreV1AttachedVolume](docs/IoK8sApiCoreV1AttachedVolume.md)
 - [Kubernetes.IoK8sApiCoreV1AzureDiskVolumeSource](docs/IoK8sApiCoreV1AzureDiskVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1AzureFilePersistentVolumeSource](docs/IoK8sApiCoreV1AzureFilePersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1AzureFileVolumeSource](docs/IoK8sApiCoreV1AzureFileVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Binding](docs/IoK8sApiCoreV1Binding.md)
 - [Kubernetes.IoK8sApiCoreV1CSIPersistentVolumeSource](docs/IoK8sApiCoreV1CSIPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1CSIVolumeSource](docs/IoK8sApiCoreV1CSIVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Capabilities](docs/IoK8sApiCoreV1Capabilities.md)
 - [Kubernetes.IoK8sApiCoreV1CephFSPersistentVolumeSource](docs/IoK8sApiCoreV1CephFSPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1CephFSVolumeSource](docs/IoK8sApiCoreV1CephFSVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1CinderPersistentVolumeSource](docs/IoK8sApiCoreV1CinderPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1CinderVolumeSource](docs/IoK8sApiCoreV1CinderVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ClaimSource](docs/IoK8sApiCoreV1ClaimSource.md)
 - [Kubernetes.IoK8sApiCoreV1ClientIPConfig](docs/IoK8sApiCoreV1ClientIPConfig.md)
 - [Kubernetes.IoK8sApiCoreV1ClusterTrustBundleProjection](docs/IoK8sApiCoreV1ClusterTrustBundleProjection.md)
 - [Kubernetes.IoK8sApiCoreV1ComponentCondition](docs/IoK8sApiCoreV1ComponentCondition.md)
 - [Kubernetes.IoK8sApiCoreV1ComponentStatus](docs/IoK8sApiCoreV1ComponentStatus.md)
 - [Kubernetes.IoK8sApiCoreV1ComponentStatusList](docs/IoK8sApiCoreV1ComponentStatusList.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMap](docs/IoK8sApiCoreV1ConfigMap.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMapEnvSource](docs/IoK8sApiCoreV1ConfigMapEnvSource.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMapKeySelector](docs/IoK8sApiCoreV1ConfigMapKeySelector.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMapList](docs/IoK8sApiCoreV1ConfigMapList.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMapNodeConfigSource](docs/IoK8sApiCoreV1ConfigMapNodeConfigSource.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMapProjection](docs/IoK8sApiCoreV1ConfigMapProjection.md)
 - [Kubernetes.IoK8sApiCoreV1ConfigMapVolumeSource](docs/IoK8sApiCoreV1ConfigMapVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Container](docs/IoK8sApiCoreV1Container.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerImage](docs/IoK8sApiCoreV1ContainerImage.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerPort](docs/IoK8sApiCoreV1ContainerPort.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerResizePolicy](docs/IoK8sApiCoreV1ContainerResizePolicy.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerState](docs/IoK8sApiCoreV1ContainerState.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerStateRunning](docs/IoK8sApiCoreV1ContainerStateRunning.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerStateTerminated](docs/IoK8sApiCoreV1ContainerStateTerminated.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerStateWaiting](docs/IoK8sApiCoreV1ContainerStateWaiting.md)
 - [Kubernetes.IoK8sApiCoreV1ContainerStatus](docs/IoK8sApiCoreV1ContainerStatus.md)
 - [Kubernetes.IoK8sApiCoreV1DaemonEndpoint](docs/IoK8sApiCoreV1DaemonEndpoint.md)
 - [Kubernetes.IoK8sApiCoreV1DownwardAPIProjection](docs/IoK8sApiCoreV1DownwardAPIProjection.md)
 - [Kubernetes.IoK8sApiCoreV1DownwardAPIVolumeFile](docs/IoK8sApiCoreV1DownwardAPIVolumeFile.md)
 - [Kubernetes.IoK8sApiCoreV1DownwardAPIVolumeSource](docs/IoK8sApiCoreV1DownwardAPIVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1EmptyDirVolumeSource](docs/IoK8sApiCoreV1EmptyDirVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1EndpointAddress](docs/IoK8sApiCoreV1EndpointAddress.md)
 - [Kubernetes.IoK8sApiCoreV1EndpointPort](docs/IoK8sApiCoreV1EndpointPort.md)
 - [Kubernetes.IoK8sApiCoreV1EndpointSubset](docs/IoK8sApiCoreV1EndpointSubset.md)
 - [Kubernetes.IoK8sApiCoreV1Endpoints](docs/IoK8sApiCoreV1Endpoints.md)
 - [Kubernetes.IoK8sApiCoreV1EndpointsList](docs/IoK8sApiCoreV1EndpointsList.md)
 - [Kubernetes.IoK8sApiCoreV1EnvFromSource](docs/IoK8sApiCoreV1EnvFromSource.md)
 - [Kubernetes.IoK8sApiCoreV1EnvVar](docs/IoK8sApiCoreV1EnvVar.md)
 - [Kubernetes.IoK8sApiCoreV1EnvVarSource](docs/IoK8sApiCoreV1EnvVarSource.md)
 - [Kubernetes.IoK8sApiCoreV1EphemeralContainer](docs/IoK8sApiCoreV1EphemeralContainer.md)
 - [Kubernetes.IoK8sApiCoreV1EphemeralVolumeSource](docs/IoK8sApiCoreV1EphemeralVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Event](docs/IoK8sApiCoreV1Event.md)
 - [Kubernetes.IoK8sApiCoreV1EventList](docs/IoK8sApiCoreV1EventList.md)
 - [Kubernetes.IoK8sApiCoreV1EventSeries](docs/IoK8sApiCoreV1EventSeries.md)
 - [Kubernetes.IoK8sApiCoreV1EventSource](docs/IoK8sApiCoreV1EventSource.md)
 - [Kubernetes.IoK8sApiCoreV1ExecAction](docs/IoK8sApiCoreV1ExecAction.md)
 - [Kubernetes.IoK8sApiCoreV1FCVolumeSource](docs/IoK8sApiCoreV1FCVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1FlexPersistentVolumeSource](docs/IoK8sApiCoreV1FlexPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1FlexVolumeSource](docs/IoK8sApiCoreV1FlexVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1FlockerVolumeSource](docs/IoK8sApiCoreV1FlockerVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1GCEPersistentDiskVolumeSource](docs/IoK8sApiCoreV1GCEPersistentDiskVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1GRPCAction](docs/IoK8sApiCoreV1GRPCAction.md)
 - [Kubernetes.IoK8sApiCoreV1GitRepoVolumeSource](docs/IoK8sApiCoreV1GitRepoVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1GlusterfsPersistentVolumeSource](docs/IoK8sApiCoreV1GlusterfsPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1GlusterfsVolumeSource](docs/IoK8sApiCoreV1GlusterfsVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1HTTPGetAction](docs/IoK8sApiCoreV1HTTPGetAction.md)
 - [Kubernetes.IoK8sApiCoreV1HTTPHeader](docs/IoK8sApiCoreV1HTTPHeader.md)
 - [Kubernetes.IoK8sApiCoreV1HostAlias](docs/IoK8sApiCoreV1HostAlias.md)
 - [Kubernetes.IoK8sApiCoreV1HostIP](docs/IoK8sApiCoreV1HostIP.md)
 - [Kubernetes.IoK8sApiCoreV1HostPathVolumeSource](docs/IoK8sApiCoreV1HostPathVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ISCSIPersistentVolumeSource](docs/IoK8sApiCoreV1ISCSIPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ISCSIVolumeSource](docs/IoK8sApiCoreV1ISCSIVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1KeyToPath](docs/IoK8sApiCoreV1KeyToPath.md)
 - [Kubernetes.IoK8sApiCoreV1Lifecycle](docs/IoK8sApiCoreV1Lifecycle.md)
 - [Kubernetes.IoK8sApiCoreV1LifecycleHandler](docs/IoK8sApiCoreV1LifecycleHandler.md)
 - [Kubernetes.IoK8sApiCoreV1LimitRange](docs/IoK8sApiCoreV1LimitRange.md)
 - [Kubernetes.IoK8sApiCoreV1LimitRangeItem](docs/IoK8sApiCoreV1LimitRangeItem.md)
 - [Kubernetes.IoK8sApiCoreV1LimitRangeList](docs/IoK8sApiCoreV1LimitRangeList.md)
 - [Kubernetes.IoK8sApiCoreV1LimitRangeSpec](docs/IoK8sApiCoreV1LimitRangeSpec.md)
 - [Kubernetes.IoK8sApiCoreV1LoadBalancerIngress](docs/IoK8sApiCoreV1LoadBalancerIngress.md)
 - [Kubernetes.IoK8sApiCoreV1LoadBalancerStatus](docs/IoK8sApiCoreV1LoadBalancerStatus.md)
 - [Kubernetes.IoK8sApiCoreV1LocalObjectReference](docs/IoK8sApiCoreV1LocalObjectReference.md)
 - [Kubernetes.IoK8sApiCoreV1LocalVolumeSource](docs/IoK8sApiCoreV1LocalVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ModifyVolumeStatus](docs/IoK8sApiCoreV1ModifyVolumeStatus.md)
 - [Kubernetes.IoK8sApiCoreV1NFSVolumeSource](docs/IoK8sApiCoreV1NFSVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Namespace](docs/IoK8sApiCoreV1Namespace.md)
 - [Kubernetes.IoK8sApiCoreV1NamespaceCondition](docs/IoK8sApiCoreV1NamespaceCondition.md)
 - [Kubernetes.IoK8sApiCoreV1NamespaceList](docs/IoK8sApiCoreV1NamespaceList.md)
 - [Kubernetes.IoK8sApiCoreV1NamespaceSpec](docs/IoK8sApiCoreV1NamespaceSpec.md)
 - [Kubernetes.IoK8sApiCoreV1NamespaceStatus](docs/IoK8sApiCoreV1NamespaceStatus.md)
 - [Kubernetes.IoK8sApiCoreV1Node](docs/IoK8sApiCoreV1Node.md)
 - [Kubernetes.IoK8sApiCoreV1NodeAddress](docs/IoK8sApiCoreV1NodeAddress.md)
 - [Kubernetes.IoK8sApiCoreV1NodeAffinity](docs/IoK8sApiCoreV1NodeAffinity.md)
 - [Kubernetes.IoK8sApiCoreV1NodeCondition](docs/IoK8sApiCoreV1NodeCondition.md)
 - [Kubernetes.IoK8sApiCoreV1NodeConfigSource](docs/IoK8sApiCoreV1NodeConfigSource.md)
 - [Kubernetes.IoK8sApiCoreV1NodeConfigStatus](docs/IoK8sApiCoreV1NodeConfigStatus.md)
 - [Kubernetes.IoK8sApiCoreV1NodeDaemonEndpoints](docs/IoK8sApiCoreV1NodeDaemonEndpoints.md)
 - [Kubernetes.IoK8sApiCoreV1NodeList](docs/IoK8sApiCoreV1NodeList.md)
 - [Kubernetes.IoK8sApiCoreV1NodeRuntimeHandler](docs/IoK8sApiCoreV1NodeRuntimeHandler.md)
 - [Kubernetes.IoK8sApiCoreV1NodeRuntimeHandlerFeatures](docs/IoK8sApiCoreV1NodeRuntimeHandlerFeatures.md)
 - [Kubernetes.IoK8sApiCoreV1NodeSelector](docs/IoK8sApiCoreV1NodeSelector.md)
 - [Kubernetes.IoK8sApiCoreV1NodeSelectorRequirement](docs/IoK8sApiCoreV1NodeSelectorRequirement.md)
 - [Kubernetes.IoK8sApiCoreV1NodeSelectorTerm](docs/IoK8sApiCoreV1NodeSelectorTerm.md)
 - [Kubernetes.IoK8sApiCoreV1NodeSpec](docs/IoK8sApiCoreV1NodeSpec.md)
 - [Kubernetes.IoK8sApiCoreV1NodeStatus](docs/IoK8sApiCoreV1NodeStatus.md)
 - [Kubernetes.IoK8sApiCoreV1NodeSystemInfo](docs/IoK8sApiCoreV1NodeSystemInfo.md)
 - [Kubernetes.IoK8sApiCoreV1ObjectFieldSelector](docs/IoK8sApiCoreV1ObjectFieldSelector.md)
 - [Kubernetes.IoK8sApiCoreV1ObjectReference](docs/IoK8sApiCoreV1ObjectReference.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolume](docs/IoK8sApiCoreV1PersistentVolume.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaim](docs/IoK8sApiCoreV1PersistentVolumeClaim.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaimCondition](docs/IoK8sApiCoreV1PersistentVolumeClaimCondition.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaimList](docs/IoK8sApiCoreV1PersistentVolumeClaimList.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaimSpec](docs/IoK8sApiCoreV1PersistentVolumeClaimSpec.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaimStatus](docs/IoK8sApiCoreV1PersistentVolumeClaimStatus.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaimTemplate](docs/IoK8sApiCoreV1PersistentVolumeClaimTemplate.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeClaimVolumeSource](docs/IoK8sApiCoreV1PersistentVolumeClaimVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeList](docs/IoK8sApiCoreV1PersistentVolumeList.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeSpec](docs/IoK8sApiCoreV1PersistentVolumeSpec.md)
 - [Kubernetes.IoK8sApiCoreV1PersistentVolumeStatus](docs/IoK8sApiCoreV1PersistentVolumeStatus.md)
 - [Kubernetes.IoK8sApiCoreV1PhotonPersistentDiskVolumeSource](docs/IoK8sApiCoreV1PhotonPersistentDiskVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Pod](docs/IoK8sApiCoreV1Pod.md)
 - [Kubernetes.IoK8sApiCoreV1PodAffinity](docs/IoK8sApiCoreV1PodAffinity.md)
 - [Kubernetes.IoK8sApiCoreV1PodAffinityTerm](docs/IoK8sApiCoreV1PodAffinityTerm.md)
 - [Kubernetes.IoK8sApiCoreV1PodAntiAffinity](docs/IoK8sApiCoreV1PodAntiAffinity.md)
 - [Kubernetes.IoK8sApiCoreV1PodCondition](docs/IoK8sApiCoreV1PodCondition.md)
 - [Kubernetes.IoK8sApiCoreV1PodDNSConfig](docs/IoK8sApiCoreV1PodDNSConfig.md)
 - [Kubernetes.IoK8sApiCoreV1PodDNSConfigOption](docs/IoK8sApiCoreV1PodDNSConfigOption.md)
 - [Kubernetes.IoK8sApiCoreV1PodIP](docs/IoK8sApiCoreV1PodIP.md)
 - [Kubernetes.IoK8sApiCoreV1PodList](docs/IoK8sApiCoreV1PodList.md)
 - [Kubernetes.IoK8sApiCoreV1PodOS](docs/IoK8sApiCoreV1PodOS.md)
 - [Kubernetes.IoK8sApiCoreV1PodReadinessGate](docs/IoK8sApiCoreV1PodReadinessGate.md)
 - [Kubernetes.IoK8sApiCoreV1PodResourceClaim](docs/IoK8sApiCoreV1PodResourceClaim.md)
 - [Kubernetes.IoK8sApiCoreV1PodResourceClaimStatus](docs/IoK8sApiCoreV1PodResourceClaimStatus.md)
 - [Kubernetes.IoK8sApiCoreV1PodSchedulingGate](docs/IoK8sApiCoreV1PodSchedulingGate.md)
 - [Kubernetes.IoK8sApiCoreV1PodSecurityContext](docs/IoK8sApiCoreV1PodSecurityContext.md)
 - [Kubernetes.IoK8sApiCoreV1PodSpec](docs/IoK8sApiCoreV1PodSpec.md)
 - [Kubernetes.IoK8sApiCoreV1PodStatus](docs/IoK8sApiCoreV1PodStatus.md)
 - [Kubernetes.IoK8sApiCoreV1PodTemplate](docs/IoK8sApiCoreV1PodTemplate.md)
 - [Kubernetes.IoK8sApiCoreV1PodTemplateList](docs/IoK8sApiCoreV1PodTemplateList.md)
 - [Kubernetes.IoK8sApiCoreV1PodTemplateSpec](docs/IoK8sApiCoreV1PodTemplateSpec.md)
 - [Kubernetes.IoK8sApiCoreV1PortStatus](docs/IoK8sApiCoreV1PortStatus.md)
 - [Kubernetes.IoK8sApiCoreV1PortworxVolumeSource](docs/IoK8sApiCoreV1PortworxVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1PreferredSchedulingTerm](docs/IoK8sApiCoreV1PreferredSchedulingTerm.md)
 - [Kubernetes.IoK8sApiCoreV1Probe](docs/IoK8sApiCoreV1Probe.md)
 - [Kubernetes.IoK8sApiCoreV1ProjectedVolumeSource](docs/IoK8sApiCoreV1ProjectedVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1QuobyteVolumeSource](docs/IoK8sApiCoreV1QuobyteVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1RBDPersistentVolumeSource](docs/IoK8sApiCoreV1RBDPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1RBDVolumeSource](docs/IoK8sApiCoreV1RBDVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ReplicationController](docs/IoK8sApiCoreV1ReplicationController.md)
 - [Kubernetes.IoK8sApiCoreV1ReplicationControllerCondition](docs/IoK8sApiCoreV1ReplicationControllerCondition.md)
 - [Kubernetes.IoK8sApiCoreV1ReplicationControllerList](docs/IoK8sApiCoreV1ReplicationControllerList.md)
 - [Kubernetes.IoK8sApiCoreV1ReplicationControllerSpec](docs/IoK8sApiCoreV1ReplicationControllerSpec.md)
 - [Kubernetes.IoK8sApiCoreV1ReplicationControllerStatus](docs/IoK8sApiCoreV1ReplicationControllerStatus.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceClaim](docs/IoK8sApiCoreV1ResourceClaim.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceFieldSelector](docs/IoK8sApiCoreV1ResourceFieldSelector.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceQuota](docs/IoK8sApiCoreV1ResourceQuota.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceQuotaList](docs/IoK8sApiCoreV1ResourceQuotaList.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceQuotaSpec](docs/IoK8sApiCoreV1ResourceQuotaSpec.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceQuotaStatus](docs/IoK8sApiCoreV1ResourceQuotaStatus.md)
 - [Kubernetes.IoK8sApiCoreV1ResourceRequirements](docs/IoK8sApiCoreV1ResourceRequirements.md)
 - [Kubernetes.IoK8sApiCoreV1SELinuxOptions](docs/IoK8sApiCoreV1SELinuxOptions.md)
 - [Kubernetes.IoK8sApiCoreV1ScaleIOPersistentVolumeSource](docs/IoK8sApiCoreV1ScaleIOPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ScaleIOVolumeSource](docs/IoK8sApiCoreV1ScaleIOVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1ScopeSelector](docs/IoK8sApiCoreV1ScopeSelector.md)
 - [Kubernetes.IoK8sApiCoreV1ScopedResourceSelectorRequirement](docs/IoK8sApiCoreV1ScopedResourceSelectorRequirement.md)
 - [Kubernetes.IoK8sApiCoreV1SeccompProfile](docs/IoK8sApiCoreV1SeccompProfile.md)
 - [Kubernetes.IoK8sApiCoreV1Secret](docs/IoK8sApiCoreV1Secret.md)
 - [Kubernetes.IoK8sApiCoreV1SecretEnvSource](docs/IoK8sApiCoreV1SecretEnvSource.md)
 - [Kubernetes.IoK8sApiCoreV1SecretKeySelector](docs/IoK8sApiCoreV1SecretKeySelector.md)
 - [Kubernetes.IoK8sApiCoreV1SecretList](docs/IoK8sApiCoreV1SecretList.md)
 - [Kubernetes.IoK8sApiCoreV1SecretProjection](docs/IoK8sApiCoreV1SecretProjection.md)
 - [Kubernetes.IoK8sApiCoreV1SecretReference](docs/IoK8sApiCoreV1SecretReference.md)
 - [Kubernetes.IoK8sApiCoreV1SecretVolumeSource](docs/IoK8sApiCoreV1SecretVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1SecurityContext](docs/IoK8sApiCoreV1SecurityContext.md)
 - [Kubernetes.IoK8sApiCoreV1Service](docs/IoK8sApiCoreV1Service.md)
 - [Kubernetes.IoK8sApiCoreV1ServiceAccount](docs/IoK8sApiCoreV1ServiceAccount.md)
 - [Kubernetes.IoK8sApiCoreV1ServiceAccountList](docs/IoK8sApiCoreV1ServiceAccountList.md)
 - [Kubernetes.IoK8sApiCoreV1ServiceAccountTokenProjection](docs/IoK8sApiCoreV1ServiceAccountTokenProjection.md)
 - [Kubernetes.IoK8sApiCoreV1ServiceList](docs/IoK8sApiCoreV1ServiceList.md)
 - [Kubernetes.IoK8sApiCoreV1ServicePort](docs/IoK8sApiCoreV1ServicePort.md)
 - [Kubernetes.IoK8sApiCoreV1ServiceSpec](docs/IoK8sApiCoreV1ServiceSpec.md)
 - [Kubernetes.IoK8sApiCoreV1ServiceStatus](docs/IoK8sApiCoreV1ServiceStatus.md)
 - [Kubernetes.IoK8sApiCoreV1SessionAffinityConfig](docs/IoK8sApiCoreV1SessionAffinityConfig.md)
 - [Kubernetes.IoK8sApiCoreV1SleepAction](docs/IoK8sApiCoreV1SleepAction.md)
 - [Kubernetes.IoK8sApiCoreV1StorageOSPersistentVolumeSource](docs/IoK8sApiCoreV1StorageOSPersistentVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1StorageOSVolumeSource](docs/IoK8sApiCoreV1StorageOSVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1Sysctl](docs/IoK8sApiCoreV1Sysctl.md)
 - [Kubernetes.IoK8sApiCoreV1TCPSocketAction](docs/IoK8sApiCoreV1TCPSocketAction.md)
 - [Kubernetes.IoK8sApiCoreV1Taint](docs/IoK8sApiCoreV1Taint.md)
 - [Kubernetes.IoK8sApiCoreV1Toleration](docs/IoK8sApiCoreV1Toleration.md)
 - [Kubernetes.IoK8sApiCoreV1TopologySelectorLabelRequirement](docs/IoK8sApiCoreV1TopologySelectorLabelRequirement.md)
 - [Kubernetes.IoK8sApiCoreV1TopologySelectorTerm](docs/IoK8sApiCoreV1TopologySelectorTerm.md)
 - [Kubernetes.IoK8sApiCoreV1TopologySpreadConstraint](docs/IoK8sApiCoreV1TopologySpreadConstraint.md)
 - [Kubernetes.IoK8sApiCoreV1TypedLocalObjectReference](docs/IoK8sApiCoreV1TypedLocalObjectReference.md)
 - [Kubernetes.IoK8sApiCoreV1TypedObjectReference](docs/IoK8sApiCoreV1TypedObjectReference.md)
 - [Kubernetes.IoK8sApiCoreV1Volume](docs/IoK8sApiCoreV1Volume.md)
 - [Kubernetes.IoK8sApiCoreV1VolumeDevice](docs/IoK8sApiCoreV1VolumeDevice.md)
 - [Kubernetes.IoK8sApiCoreV1VolumeMount](docs/IoK8sApiCoreV1VolumeMount.md)
 - [Kubernetes.IoK8sApiCoreV1VolumeMountStatus](docs/IoK8sApiCoreV1VolumeMountStatus.md)
 - [Kubernetes.IoK8sApiCoreV1VolumeNodeAffinity](docs/IoK8sApiCoreV1VolumeNodeAffinity.md)
 - [Kubernetes.IoK8sApiCoreV1VolumeProjection](docs/IoK8sApiCoreV1VolumeProjection.md)
 - [Kubernetes.IoK8sApiCoreV1VolumeResourceRequirements](docs/IoK8sApiCoreV1VolumeResourceRequirements.md)
 - [Kubernetes.IoK8sApiCoreV1VsphereVirtualDiskVolumeSource](docs/IoK8sApiCoreV1VsphereVirtualDiskVolumeSource.md)
 - [Kubernetes.IoK8sApiCoreV1WeightedPodAffinityTerm](docs/IoK8sApiCoreV1WeightedPodAffinityTerm.md)
 - [Kubernetes.IoK8sApiCoreV1WindowsSecurityContextOptions](docs/IoK8sApiCoreV1WindowsSecurityContextOptions.md)
 - [Kubernetes.IoK8sApiDiscoveryV1Endpoint](docs/IoK8sApiDiscoveryV1Endpoint.md)
 - [Kubernetes.IoK8sApiDiscoveryV1EndpointConditions](docs/IoK8sApiDiscoveryV1EndpointConditions.md)
 - [Kubernetes.IoK8sApiDiscoveryV1EndpointHints](docs/IoK8sApiDiscoveryV1EndpointHints.md)
 - [Kubernetes.IoK8sApiDiscoveryV1EndpointPort](docs/IoK8sApiDiscoveryV1EndpointPort.md)
 - [Kubernetes.IoK8sApiDiscoveryV1EndpointSlice](docs/IoK8sApiDiscoveryV1EndpointSlice.md)
 - [Kubernetes.IoK8sApiDiscoveryV1EndpointSliceList](docs/IoK8sApiDiscoveryV1EndpointSliceList.md)
 - [Kubernetes.IoK8sApiDiscoveryV1ForZone](docs/IoK8sApiDiscoveryV1ForZone.md)
 - [Kubernetes.IoK8sApiEventsV1Event](docs/IoK8sApiEventsV1Event.md)
 - [Kubernetes.IoK8sApiEventsV1EventList](docs/IoK8sApiEventsV1EventList.md)
 - [Kubernetes.IoK8sApiEventsV1EventSeries](docs/IoK8sApiEventsV1EventSeries.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1ExemptPriorityLevelConfiguration](docs/IoK8sApiFlowcontrolV1ExemptPriorityLevelConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1FlowDistinguisherMethod](docs/IoK8sApiFlowcontrolV1FlowDistinguisherMethod.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1FlowSchema](docs/IoK8sApiFlowcontrolV1FlowSchema.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1FlowSchemaCondition](docs/IoK8sApiFlowcontrolV1FlowSchemaCondition.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1FlowSchemaList](docs/IoK8sApiFlowcontrolV1FlowSchemaList.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1FlowSchemaSpec](docs/IoK8sApiFlowcontrolV1FlowSchemaSpec.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1FlowSchemaStatus](docs/IoK8sApiFlowcontrolV1FlowSchemaStatus.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1GroupSubject](docs/IoK8sApiFlowcontrolV1GroupSubject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1LimitResponse](docs/IoK8sApiFlowcontrolV1LimitResponse.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1LimitedPriorityLevelConfiguration](docs/IoK8sApiFlowcontrolV1LimitedPriorityLevelConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1NonResourcePolicyRule](docs/IoK8sApiFlowcontrolV1NonResourcePolicyRule.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PolicyRulesWithSubjects](docs/IoK8sApiFlowcontrolV1PolicyRulesWithSubjects.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PriorityLevelConfiguration](docs/IoK8sApiFlowcontrolV1PriorityLevelConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PriorityLevelConfigurationCondition](docs/IoK8sApiFlowcontrolV1PriorityLevelConfigurationCondition.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PriorityLevelConfigurationList](docs/IoK8sApiFlowcontrolV1PriorityLevelConfigurationList.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PriorityLevelConfigurationReference](docs/IoK8sApiFlowcontrolV1PriorityLevelConfigurationReference.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PriorityLevelConfigurationSpec](docs/IoK8sApiFlowcontrolV1PriorityLevelConfigurationSpec.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1PriorityLevelConfigurationStatus](docs/IoK8sApiFlowcontrolV1PriorityLevelConfigurationStatus.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1QueuingConfiguration](docs/IoK8sApiFlowcontrolV1QueuingConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1ResourcePolicyRule](docs/IoK8sApiFlowcontrolV1ResourcePolicyRule.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1ServiceAccountSubject](docs/IoK8sApiFlowcontrolV1ServiceAccountSubject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1Subject](docs/IoK8sApiFlowcontrolV1Subject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1UserSubject](docs/IoK8sApiFlowcontrolV1UserSubject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3ExemptPriorityLevelConfiguration](docs/IoK8sApiFlowcontrolV1beta3ExemptPriorityLevelConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3FlowDistinguisherMethod](docs/IoK8sApiFlowcontrolV1beta3FlowDistinguisherMethod.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3FlowSchema](docs/IoK8sApiFlowcontrolV1beta3FlowSchema.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3FlowSchemaCondition](docs/IoK8sApiFlowcontrolV1beta3FlowSchemaCondition.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3FlowSchemaList](docs/IoK8sApiFlowcontrolV1beta3FlowSchemaList.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3FlowSchemaSpec](docs/IoK8sApiFlowcontrolV1beta3FlowSchemaSpec.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3FlowSchemaStatus](docs/IoK8sApiFlowcontrolV1beta3FlowSchemaStatus.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3GroupSubject](docs/IoK8sApiFlowcontrolV1beta3GroupSubject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3LimitResponse](docs/IoK8sApiFlowcontrolV1beta3LimitResponse.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3LimitedPriorityLevelConfiguration](docs/IoK8sApiFlowcontrolV1beta3LimitedPriorityLevelConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3NonResourcePolicyRule](docs/IoK8sApiFlowcontrolV1beta3NonResourcePolicyRule.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PolicyRulesWithSubjects](docs/IoK8sApiFlowcontrolV1beta3PolicyRulesWithSubjects.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PriorityLevelConfiguration](docs/IoK8sApiFlowcontrolV1beta3PriorityLevelConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationCondition](docs/IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationCondition.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationList](docs/IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationList.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationReference](docs/IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationReference.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationSpec](docs/IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationSpec.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationStatus](docs/IoK8sApiFlowcontrolV1beta3PriorityLevelConfigurationStatus.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3QueuingConfiguration](docs/IoK8sApiFlowcontrolV1beta3QueuingConfiguration.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3ResourcePolicyRule](docs/IoK8sApiFlowcontrolV1beta3ResourcePolicyRule.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3ServiceAccountSubject](docs/IoK8sApiFlowcontrolV1beta3ServiceAccountSubject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3Subject](docs/IoK8sApiFlowcontrolV1beta3Subject.md)
 - [Kubernetes.IoK8sApiFlowcontrolV1beta3UserSubject](docs/IoK8sApiFlowcontrolV1beta3UserSubject.md)
 - [Kubernetes.IoK8sApiNetworkingV1HTTPIngressPath](docs/IoK8sApiNetworkingV1HTTPIngressPath.md)
 - [Kubernetes.IoK8sApiNetworkingV1HTTPIngressRuleValue](docs/IoK8sApiNetworkingV1HTTPIngressRuleValue.md)
 - [Kubernetes.IoK8sApiNetworkingV1IPBlock](docs/IoK8sApiNetworkingV1IPBlock.md)
 - [Kubernetes.IoK8sApiNetworkingV1Ingress](docs/IoK8sApiNetworkingV1Ingress.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressBackend](docs/IoK8sApiNetworkingV1IngressBackend.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressClass](docs/IoK8sApiNetworkingV1IngressClass.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressClassList](docs/IoK8sApiNetworkingV1IngressClassList.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressClassParametersReference](docs/IoK8sApiNetworkingV1IngressClassParametersReference.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressClassSpec](docs/IoK8sApiNetworkingV1IngressClassSpec.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressList](docs/IoK8sApiNetworkingV1IngressList.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressLoadBalancerIngress](docs/IoK8sApiNetworkingV1IngressLoadBalancerIngress.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressLoadBalancerStatus](docs/IoK8sApiNetworkingV1IngressLoadBalancerStatus.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressPortStatus](docs/IoK8sApiNetworkingV1IngressPortStatus.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressRule](docs/IoK8sApiNetworkingV1IngressRule.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressServiceBackend](docs/IoK8sApiNetworkingV1IngressServiceBackend.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressSpec](docs/IoK8sApiNetworkingV1IngressSpec.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressStatus](docs/IoK8sApiNetworkingV1IngressStatus.md)
 - [Kubernetes.IoK8sApiNetworkingV1IngressTLS](docs/IoK8sApiNetworkingV1IngressTLS.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicy](docs/IoK8sApiNetworkingV1NetworkPolicy.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicyEgressRule](docs/IoK8sApiNetworkingV1NetworkPolicyEgressRule.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicyIngressRule](docs/IoK8sApiNetworkingV1NetworkPolicyIngressRule.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicyList](docs/IoK8sApiNetworkingV1NetworkPolicyList.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicyPeer](docs/IoK8sApiNetworkingV1NetworkPolicyPeer.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicyPort](docs/IoK8sApiNetworkingV1NetworkPolicyPort.md)
 - [Kubernetes.IoK8sApiNetworkingV1NetworkPolicySpec](docs/IoK8sApiNetworkingV1NetworkPolicySpec.md)
 - [Kubernetes.IoK8sApiNetworkingV1ServiceBackendPort](docs/IoK8sApiNetworkingV1ServiceBackendPort.md)
 - [Kubernetes.IoK8sApiNodeV1Overhead](docs/IoK8sApiNodeV1Overhead.md)
 - [Kubernetes.IoK8sApiNodeV1RuntimeClass](docs/IoK8sApiNodeV1RuntimeClass.md)
 - [Kubernetes.IoK8sApiNodeV1RuntimeClassList](docs/IoK8sApiNodeV1RuntimeClassList.md)
 - [Kubernetes.IoK8sApiNodeV1Scheduling](docs/IoK8sApiNodeV1Scheduling.md)
 - [Kubernetes.IoK8sApiPolicyV1Eviction](docs/IoK8sApiPolicyV1Eviction.md)
 - [Kubernetes.IoK8sApiPolicyV1PodDisruptionBudget](docs/IoK8sApiPolicyV1PodDisruptionBudget.md)
 - [Kubernetes.IoK8sApiPolicyV1PodDisruptionBudgetList](docs/IoK8sApiPolicyV1PodDisruptionBudgetList.md)
 - [Kubernetes.IoK8sApiPolicyV1PodDisruptionBudgetSpec](docs/IoK8sApiPolicyV1PodDisruptionBudgetSpec.md)
 - [Kubernetes.IoK8sApiPolicyV1PodDisruptionBudgetStatus](docs/IoK8sApiPolicyV1PodDisruptionBudgetStatus.md)
 - [Kubernetes.IoK8sApiRbacV1AggregationRule](docs/IoK8sApiRbacV1AggregationRule.md)
 - [Kubernetes.IoK8sApiRbacV1ClusterRole](docs/IoK8sApiRbacV1ClusterRole.md)
 - [Kubernetes.IoK8sApiRbacV1ClusterRoleBinding](docs/IoK8sApiRbacV1ClusterRoleBinding.md)
 - [Kubernetes.IoK8sApiRbacV1ClusterRoleBindingList](docs/IoK8sApiRbacV1ClusterRoleBindingList.md)
 - [Kubernetes.IoK8sApiRbacV1ClusterRoleList](docs/IoK8sApiRbacV1ClusterRoleList.md)
 - [Kubernetes.IoK8sApiRbacV1PolicyRule](docs/IoK8sApiRbacV1PolicyRule.md)
 - [Kubernetes.IoK8sApiRbacV1Role](docs/IoK8sApiRbacV1Role.md)
 - [Kubernetes.IoK8sApiRbacV1RoleBinding](docs/IoK8sApiRbacV1RoleBinding.md)
 - [Kubernetes.IoK8sApiRbacV1RoleBindingList](docs/IoK8sApiRbacV1RoleBindingList.md)
 - [Kubernetes.IoK8sApiRbacV1RoleList](docs/IoK8sApiRbacV1RoleList.md)
 - [Kubernetes.IoK8sApiRbacV1RoleRef](docs/IoK8sApiRbacV1RoleRef.md)
 - [Kubernetes.IoK8sApiRbacV1Subject](docs/IoK8sApiRbacV1Subject.md)
 - [Kubernetes.IoK8sApiSchedulingV1PriorityClass](docs/IoK8sApiSchedulingV1PriorityClass.md)
 - [Kubernetes.IoK8sApiSchedulingV1PriorityClassList](docs/IoK8sApiSchedulingV1PriorityClassList.md)
 - [Kubernetes.IoK8sApiStorageV1CSIDriver](docs/IoK8sApiStorageV1CSIDriver.md)
 - [Kubernetes.IoK8sApiStorageV1CSIDriverList](docs/IoK8sApiStorageV1CSIDriverList.md)
 - [Kubernetes.IoK8sApiStorageV1CSIDriverSpec](docs/IoK8sApiStorageV1CSIDriverSpec.md)
 - [Kubernetes.IoK8sApiStorageV1CSINode](docs/IoK8sApiStorageV1CSINode.md)
 - [Kubernetes.IoK8sApiStorageV1CSINodeDriver](docs/IoK8sApiStorageV1CSINodeDriver.md)
 - [Kubernetes.IoK8sApiStorageV1CSINodeList](docs/IoK8sApiStorageV1CSINodeList.md)
 - [Kubernetes.IoK8sApiStorageV1CSINodeSpec](docs/IoK8sApiStorageV1CSINodeSpec.md)
 - [Kubernetes.IoK8sApiStorageV1CSIStorageCapacity](docs/IoK8sApiStorageV1CSIStorageCapacity.md)
 - [Kubernetes.IoK8sApiStorageV1CSIStorageCapacityList](docs/IoK8sApiStorageV1CSIStorageCapacityList.md)
 - [Kubernetes.IoK8sApiStorageV1StorageClass](docs/IoK8sApiStorageV1StorageClass.md)
 - [Kubernetes.IoK8sApiStorageV1StorageClassList](docs/IoK8sApiStorageV1StorageClassList.md)
 - [Kubernetes.IoK8sApiStorageV1TokenRequest](docs/IoK8sApiStorageV1TokenRequest.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeAttachment](docs/IoK8sApiStorageV1VolumeAttachment.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeAttachmentList](docs/IoK8sApiStorageV1VolumeAttachmentList.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeAttachmentSource](docs/IoK8sApiStorageV1VolumeAttachmentSource.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeAttachmentSpec](docs/IoK8sApiStorageV1VolumeAttachmentSpec.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeAttachmentStatus](docs/IoK8sApiStorageV1VolumeAttachmentStatus.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeError](docs/IoK8sApiStorageV1VolumeError.md)
 - [Kubernetes.IoK8sApiStorageV1VolumeNodeResources](docs/IoK8sApiStorageV1VolumeNodeResources.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceColumnDefinition](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceColumnDefinition.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceConversion](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceConversion.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinition](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinition.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionCondition](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionCondition.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionList](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionList.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionNames](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionNames.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionSpec](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionSpec.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionStatus](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionStatus.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionVersion](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceDefinitionVersion.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceSubresourceScale](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceSubresourceScale.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceSubresources](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceSubresources.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceValidation](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1CustomResourceValidation.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1ExternalDocumentation](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1ExternalDocumentation.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1JSONSchemaProps](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1JSONSchemaProps.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1SelectableField](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1SelectableField.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1ServiceReference](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1ServiceReference.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1ValidationRule](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1ValidationRule.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1WebhookClientConfig](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1WebhookClientConfig.md)
 - [Kubernetes.IoK8sApiextensionsApiserverPkgApisApiextensionsV1WebhookConversion](docs/IoK8sApiextensionsApiserverPkgApisApiextensionsV1WebhookConversion.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1APIGroup](docs/IoK8sApimachineryPkgApisMetaV1APIGroup.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1APIGroupList](docs/IoK8sApimachineryPkgApisMetaV1APIGroupList.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1APIResource](docs/IoK8sApimachineryPkgApisMetaV1APIResource.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1APIResourceList](docs/IoK8sApimachineryPkgApisMetaV1APIResourceList.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1APIVersions](docs/IoK8sApimachineryPkgApisMetaV1APIVersions.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1Condition](docs/IoK8sApimachineryPkgApisMetaV1Condition.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1DeleteOptions](docs/IoK8sApimachineryPkgApisMetaV1DeleteOptions.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1GroupVersionForDiscovery](docs/IoK8sApimachineryPkgApisMetaV1GroupVersionForDiscovery.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1LabelSelector](docs/IoK8sApimachineryPkgApisMetaV1LabelSelector.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1LabelSelectorRequirement](docs/IoK8sApimachineryPkgApisMetaV1LabelSelectorRequirement.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1ListMeta](docs/IoK8sApimachineryPkgApisMetaV1ListMeta.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1ManagedFieldsEntry](docs/IoK8sApimachineryPkgApisMetaV1ManagedFieldsEntry.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1ObjectMeta](docs/IoK8sApimachineryPkgApisMetaV1ObjectMeta.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1OwnerReference](docs/IoK8sApimachineryPkgApisMetaV1OwnerReference.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1Preconditions](docs/IoK8sApimachineryPkgApisMetaV1Preconditions.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1ServerAddressByClientCIDR](docs/IoK8sApimachineryPkgApisMetaV1ServerAddressByClientCIDR.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1Status](docs/IoK8sApimachineryPkgApisMetaV1Status.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1StatusCause](docs/IoK8sApimachineryPkgApisMetaV1StatusCause.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1StatusDetails](docs/IoK8sApimachineryPkgApisMetaV1StatusDetails.md)
 - [Kubernetes.IoK8sApimachineryPkgApisMetaV1WatchEvent](docs/IoK8sApimachineryPkgApisMetaV1WatchEvent.md)
 - [Kubernetes.IoK8sApimachineryPkgVersionInfo](docs/IoK8sApimachineryPkgVersionInfo.md)
 - [Kubernetes.IoK8sKubeAggregatorPkgApisApiregistrationV1APIService](docs/IoK8sKubeAggregatorPkgApisApiregistrationV1APIService.md)
 - [Kubernetes.IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceCondition](docs/IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceCondition.md)
 - [Kubernetes.IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceList](docs/IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceList.md)
 - [Kubernetes.IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceSpec](docs/IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceSpec.md)
 - [Kubernetes.IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceStatus](docs/IoK8sKubeAggregatorPkgApisApiregistrationV1APIServiceStatus.md)
 - [Kubernetes.IoK8sKubeAggregatorPkgApisApiregistrationV1ServiceReference](docs/IoK8sKubeAggregatorPkgApisApiregistrationV1ServiceReference.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1Job](docs/ShVolcanoBatchV1alpha1Job.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobList](docs/ShVolcanoBatchV1alpha1JobList.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpec](docs/ShVolcanoBatchV1alpha1JobSpec.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecPoliciesInner](docs/ShVolcanoBatchV1alpha1JobSpecPoliciesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerDependsOn](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerDependsOn.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplate](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplate.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateMetadata](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateMetadata.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpec](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpec.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinity](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinity.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinity](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinity.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPreference](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPreference.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPreferenceMatchExpressionsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPreferenceMatchExpressionsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecution](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecution.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinity](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinity.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPodAffinityTerm](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPodAffinityTerm.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPodAffinityTermLabelSelector](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionInnerPodAffinityTermLabelSelector.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvFromInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvFromInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvFromInnerConfigMapRef](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvFromInnerConfigMapRef.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFrom](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFrom.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFromConfigMapKeyRef](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFromConfigMapKeyRef.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFromFieldRef](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFromFieldRef.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFromResourceFieldRef](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerEnvInnerValueFromResourceFieldRef.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecycle](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecycle.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStart](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStart.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartExec](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartExec.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartHttpGet](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartHttpGet.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartHttpGetHttpHeadersInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartHttpGetHttpHeadersInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartSleep](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartSleep.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartTcpSocket](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLifecyclePostStartTcpSocket.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLivenessProbe](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLivenessProbe.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLivenessProbeGrpc](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerLivenessProbeGrpc.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerPortsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerPortsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerResizePolicyInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerResizePolicyInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerResources](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerResources.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerResourcesClaimsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerResourcesClaimsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContext](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContext.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextAppArmorProfile](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextAppArmorProfile.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextCapabilities](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextCapabilities.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextSeLinuxOptions](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextSeLinuxOptions.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextWindowsOptions](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerSecurityContextWindowsOptions.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerVolumeDevicesInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerVolumeDevicesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerVolumeMountsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecContainersInnerVolumeMountsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecDnsConfig](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecDnsConfig.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecDnsConfigOptionsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecDnsConfigOptionsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecEphemeralContainersInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecEphemeralContainersInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecHostAliasesInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecHostAliasesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecImagePullSecretsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecImagePullSecretsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecReadinessGatesInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecReadinessGatesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecResourceClaimsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecResourceClaimsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecResourceClaimsInnerSource](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecResourceClaimsInnerSource.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecSecurityContext](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecSecurityContext.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecTolerationsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecTolerationsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecTopologySpreadConstraintsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecTopologySpreadConstraintsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerAwsElasticBlockStore](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerAwsElasticBlockStore.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerAzureDisk](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerAzureDisk.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerAzureFile](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerAzureFile.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerCephfs](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerCephfs.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerCinder](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerCinder.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerConfigMap](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerConfigMap.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerConfigMapItemsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerConfigMapItemsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerCsi](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerCsi.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerDownwardAPI](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerDownwardAPI.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerDownwardAPIItemsInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerDownwardAPIItemsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEmptyDir](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEmptyDir.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeral](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeral.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplate](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplate.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpec](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpec.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpecDataSource](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpecDataSource.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpecDataSourceRef](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpecDataSourceRef.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpecResources](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerEphemeralVolumeClaimTemplateSpecResources.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerFc](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerFc.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerFlexVolume](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerFlexVolume.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerFlocker](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerFlocker.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerGcePersistentDisk](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerGcePersistentDisk.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerGitRepo](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerGitRepo.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerGlusterfs](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerGlusterfs.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerHostPath](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerHostPath.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerIscsi](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerIscsi.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerNfs](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerNfs.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerPersistentVolumeClaim](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerPersistentVolumeClaim.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerPhotonPersistentDisk](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerPhotonPersistentDisk.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerPortworxVolume](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerPortworxVolume.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjected](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjected.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInner](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerClusterTrustBundle](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerClusterTrustBundle.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerConfigMap](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerConfigMap.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerDownwardAPI](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerDownwardAPI.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerServiceAccountToken](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerProjectedSourcesInnerServiceAccountToken.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerQuobyte](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerQuobyte.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerRbd](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerRbd.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerScaleIO](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerScaleIO.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerSecret](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerSecret.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerStorageos](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerStorageos.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerVsphereVolume](docs/ShVolcanoBatchV1alpha1JobSpecTasksInnerTemplateSpecVolumesInnerVsphereVolume.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobSpecVolumesInner](docs/ShVolcanoBatchV1alpha1JobSpecVolumesInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobStatus](docs/ShVolcanoBatchV1alpha1JobStatus.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobStatusConditionsInner](docs/ShVolcanoBatchV1alpha1JobStatusConditionsInner.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobStatusState](docs/ShVolcanoBatchV1alpha1JobStatusState.md)
 - [Kubernetes.ShVolcanoBatchV1alpha1JobStatusTaskStatusCountValue](docs/ShVolcanoBatchV1alpha1JobStatusTaskStatusCountValue.md)
 - [Kubernetes.ShVolcanoBusV1alpha1Command](docs/ShVolcanoBusV1alpha1Command.md)
 - [Kubernetes.ShVolcanoBusV1alpha1CommandList](docs/ShVolcanoBusV1alpha1CommandList.md)
 - [Kubernetes.ShVolcanoBusV1alpha1CommandTarget](docs/ShVolcanoBusV1alpha1CommandTarget.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlow](docs/ShVolcanoFlowV1alpha1JobFlow.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowList](docs/ShVolcanoFlowV1alpha1JobFlowList.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpec](docs/ShVolcanoFlowV1alpha1JobFlowSpec.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpecFlowsInner](docs/ShVolcanoFlowV1alpha1JobFlowSpecFlowsInner.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOn](docs/ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOn.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbe](docs/ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbe.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbeHttpGetListInner](docs/ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbeHttpGetListInner.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbeTaskStatusListInner](docs/ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbeTaskStatusListInner.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbeTcpSocketListInner](docs/ShVolcanoFlowV1alpha1JobFlowSpecFlowsInnerDependsOnProbeTcpSocketListInner.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowStatus](docs/ShVolcanoFlowV1alpha1JobFlowStatus.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowStatusConditionsValue](docs/ShVolcanoFlowV1alpha1JobFlowStatusConditionsValue.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowStatusJobStatusListInner](docs/ShVolcanoFlowV1alpha1JobFlowStatusJobStatusListInner.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowStatusJobStatusListInnerRunningHistoriesInner](docs/ShVolcanoFlowV1alpha1JobFlowStatusJobStatusListInnerRunningHistoriesInner.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobFlowStatusState](docs/ShVolcanoFlowV1alpha1JobFlowStatusState.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobTemplate](docs/ShVolcanoFlowV1alpha1JobTemplate.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobTemplateList](docs/ShVolcanoFlowV1alpha1JobTemplateList.md)
 - [Kubernetes.ShVolcanoFlowV1alpha1JobTemplateStatus](docs/ShVolcanoFlowV1alpha1JobTemplateStatus.md)
 - [Kubernetes.ShVolcanoNodeinfoV1alpha1Numatopology](docs/ShVolcanoNodeinfoV1alpha1Numatopology.md)
 - [Kubernetes.ShVolcanoNodeinfoV1alpha1NumatopologyList](docs/ShVolcanoNodeinfoV1alpha1NumatopologyList.md)
 - [Kubernetes.ShVolcanoNodeinfoV1alpha1NumatopologySpec](docs/ShVolcanoNodeinfoV1alpha1NumatopologySpec.md)
 - [Kubernetes.ShVolcanoNodeinfoV1alpha1NumatopologySpecCpuDetailValue](docs/ShVolcanoNodeinfoV1alpha1NumatopologySpecCpuDetailValue.md)
 - [Kubernetes.ShVolcanoNodeinfoV1alpha1NumatopologySpecNumaresValue](docs/ShVolcanoNodeinfoV1alpha1NumatopologySpecNumaresValue.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1PodGroup](docs/ShVolcanoSchedulingV1beta1PodGroup.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1PodGroupList](docs/ShVolcanoSchedulingV1beta1PodGroupList.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1PodGroupSpec](docs/ShVolcanoSchedulingV1beta1PodGroupSpec.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1PodGroupStatus](docs/ShVolcanoSchedulingV1beta1PodGroupStatus.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1PodGroupStatusConditionsInner](docs/ShVolcanoSchedulingV1beta1PodGroupStatusConditionsInner.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1Queue](docs/ShVolcanoSchedulingV1beta1Queue.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueList](docs/ShVolcanoSchedulingV1beta1QueueList.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueSpec](docs/ShVolcanoSchedulingV1beta1QueueSpec.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueSpecAffinity](docs/ShVolcanoSchedulingV1beta1QueueSpecAffinity.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueSpecAffinityNodeGroupAffinity](docs/ShVolcanoSchedulingV1beta1QueueSpecAffinityNodeGroupAffinity.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueSpecAffinityNodeGroupAntiAffinity](docs/ShVolcanoSchedulingV1beta1QueueSpecAffinityNodeGroupAntiAffinity.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueSpecExtendClustersInner](docs/ShVolcanoSchedulingV1beta1QueueSpecExtendClustersInner.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueSpecGuarantee](docs/ShVolcanoSchedulingV1beta1QueueSpecGuarantee.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueStatus](docs/ShVolcanoSchedulingV1beta1QueueStatus.md)
 - [Kubernetes.ShVolcanoSchedulingV1beta1QueueStatusReservation](docs/ShVolcanoSchedulingV1beta1QueueStatusReservation.md)


## Documentation for Authorization


Authentication schemes defined for the API:
### BearerToken


- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

